commit 264a1ec20c9ed4008d947cc66d62669a2a8f1079
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 26 15:50:14 2019 -0800

    Update version numbers for release.

M	doc/configure.ac
M	doc/mit-scheme.1
M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/blowfish/mit-scheme-blowfish.texi
M	src/configure.ac
M	src/gdbm/mit-scheme-gdbm.texi
M	src/runtime/version.scm

commit 1d0e7d98c268a8d0a50dadc5b8b3fc8b91e98839
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 26 15:21:33 2019 -0800

    Change param:reader-fold-case? to be settable.
    
    (cherry picked from commit cd38101be3c58a4b4361e5715375fc87a9eff4dd)

M	src/runtime/reader.scm

commit ebed5b108082ea81e14c3cdcf0559a0395e401b9
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Thu Jan 24 12:42:24 2019 -0700

    x11: Fix declaration of x_graphics_set_clip_rectangle.
    
    (cherry picked from commit 8bdee68690a0a8e70b4f9c6183cf80f668f0cad4)

M	src/x11/x11-shim.h

commit 60385a4f738bfefb503ae566db92d6268582c5a5
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jan 23 14:42:19 2019 -0700

    x11 version 1.3
    
    (cherry picked from commit e847e7db3cd5cff37b1d19ef9c50338fa09fae82)

M	src/x11/NEWS
M	src/x11/configure.ac

commit 6d8ceb583a959ee7b2f2f225c698a8cd6c8fe07d
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jan 23 14:57:20 2019 -0700

    x11: Punt import-x11.
    
    (cherry picked from commit 69096876b4974242b86582f180d4eb6be0a4656f)

M	src/x11/README
M	src/x11/compile.scm
M	src/x11/configure.ac
M	src/x11/x11.pkg
D	src/x11/x11.scm

commit 4124992daa11dbe8a0ef7911018aca59bca55158
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jan 23 14:08:18 2019 -0700

    runtime.pkg: Trim old, unnecessary package exports.
    
    The (runtime x-graphics) package doesn't use have-select? nor (lately)
    make-image-type.  (The (x11 device) package imports make-image-type.)
    
    (cherry picked from commit 51fecb2c8c30855b71b73572b1203dfc1cb6d625)

M	src/runtime/runtime.pkg

commit 316527c55c7e4e987f347e38afaf793d5f3312fe
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jan 23 13:46:35 2019 -0700

    x11: Link to deprecated (runtime x-graphics) bindings when loaded.
    
    (cherry picked from commit b0ea100a310b3b09134a162aca42e16c1c71bda6)

M	src/runtime/x11graph.scm
M	src/x11/make.scm

commit 56c7468e344bf3ba69fafcfc94d9d1f371b2b2df
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jan 23 13:44:17 2019 -0700

    x11: Rename device type to "x".
    
    (cherry picked from commit 63d7afa5222d1b0bd6cb79e20ec0738287ceb9f0)

M	src/x11/x11-device.scm

commit 5d5a55094f3d35469d75585e776b4a3658ddd4c8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Jan 20 20:22:28 2019 -0800

    Don't return open block at top level when syntaxing a single form.
    
    (cherry picked from commit 71d9d70415cc836d245175a22bf9b937ae26ab15)

M	src/runtime/syntax.scm

commit 5e6070c2db0f03657f427ed430c6ac2e1012ad15
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sun Jan 20 11:38:04 2019 -0800

    x11: Fix x-graphics-vdc-extent and x-graphics-set-clip-rectangle.
    
    x-graphics-vdc-extent should have had one argument and returned a
    vector, and x-graphics-set-clip-rectangle needed to accept floats.
    
    (cherry picked from commit cc175b7ef75231a0220d7f384e4fc1c1dd80df67)

M	src/x11/x11-graphics.scm
M	src/x11/x11.cdecl
M	src/x11/x11graph.c

commit 6518ab3315e7bd05df2f137a7014e90e7c5e590f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 5 18:28:40 2019 -0800

    Allow alist->bundle to accept #F as predicate.
    
    Also beef up bundle tests a bit.

M	src/runtime/bundle.scm
M	tests/runtime/test-bundle.scm

commit 706a8166490c2d3d1b04df1ae623b6ecef242a2d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 5 18:12:26 2019 -0800

    Fix problem with using bundle? as a bundle predicate.

M	src/runtime/bundle.scm

commit 2b8dd411365a8b5ec003de8bde8478b2b29b6d3d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 5 17:52:10 2019 -0800

    New printer parameter param:print-hash-number-in-objects?.

M	src/runtime/boot.scm
M	src/runtime/printer.scm
M	src/runtime/runtime.pkg

commit 813d2049f6c069a6a4b3a048b109af293fb89d5b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Jan 4 00:16:54 2019 -0500

    Tweak equality-predicate-property to accept a default-value argument.

M	src/runtime/hash-table.scm

commit 847174fb6c3bae722293707c34f5ace248a160b7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Jan 3 23:44:26 2019 -0500

    Don't use general predicate relations for record predicates.

M	src/runtime/record.scm

commit b1e4eac522db6bffa5ae6b152d34f8d4ae251c3b
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Wed Jan 2 05:50:59 2019 +0000

    Use runtime's string ports.
    
    Also read file in one swell foop, rather than character by character
    in a slow painful chain of indirections thousands of times slower.
    
    We'll use legacy strings here because this code was all written under
    the assumption that `string' meant byte vector, and legacy strings
    still have that semantics.
    
    Eventually this should all be adapted to use bytevectors instead for
    storage, and interpret things as strings only as necessary for text
    processing beyond mail data formats.

M	src/imail/imail-file.scm
M	src/imail/imail-util.scm

commit d3aaeebeda6aae6e1ac713c41c500c2d9509aa6c
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Wed Jan 2 05:50:16 2019 +0000

    Implement position for string input ports.

M	src/runtime/string-io.scm

commit d8acf5701304fd810202c5230d9b1c17a994744b
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Wed Jan 2 05:50:06 2019 +0000

    Export binary-port-length too.

M	src/runtime/runtime.pkg

commit 39161c347dabc89f39b57b820a09cc4deadea3cb
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Dec 8 14:19:46 2018 +0000

    Fix binary-port-position for output ports.
    
    Not sure if it'll DTRT for combined i/o ports; need more tests!

M	src/runtime/binary-port.scm
M	tests/runtime/test-binary-port.scm

commit ed92ea0688368f215c4cf4f2e9b186c9105cb622
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Dec 8 14:10:14 2018 +0000

    Export binary-port-position and set-binary-port-position!.
    
    Currently busted for output ports.

M	src/runtime/runtime.pkg
M	tests/runtime/test-binary-port.scm

commit d77c431ba3e383de06d0c586da6f060709545e45
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Jan 2 01:30:06 2019 -0500

    Fix problem with crashing in Emacs interface.

M	src/runtime/emacs.scm

commit 4f6ecb8c768659b166f6a779413f7045ae49f60a
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Wed Jan 2 02:16:36 2019 +0000

    Integrate string operations for order of magnitude speedup.

M	src/edwin/string.scm

commit d2a03a32868d23f91d2731bd4c5ffe7dde35cf8b
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Wed Jan 2 02:16:28 2019 +0000

    ucd-slc-value &c. return chars, not fixnums.

M	src/runtime/char.scm

commit 9aa62d9a3d9c91e6ae53a9c368d1b61222179195
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Nov 1 22:07:12 2018 -0700

    Don't use upper-case symbols in loader.
    
    The system might be in a non-case-fold mode.

M	src/x11-screen/make.scm

commit 0a35757f05cd80efc936c6e1281a87ed26f830be
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 5 23:15:22 2019 -0800

    Update version to 10.1.4.

M	doc/configure.ac
M	doc/mit-scheme.1
M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/blowfish/mit-scheme-blowfish.texi
M	src/configure.ac
M	src/gdbm/mit-scheme-gdbm.texi
M	src/runtime/version.scm

commit ae0a051094e8addcf78ba2dcdbe391cbd67f829e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jan 5 23:09:12 2019 -0800

    Do the annual copyright update.

M	dist/Makefile
M	dist/copyright.c
M	dist/copyright.scm
M	dist/make-doc-files
M	dist/make-liarc-files
M	dist/make-macosx-app
M	dist/make-native-files
M	dist/make-scmutils
M	dist/make-src-files
M	dist/shared.sh
M	dist/update-copyright.scm
M	doc/Makefile.in
M	doc/configure.ac
M	doc/ffi/ffi.texinfo
M	doc/make-common.in
M	doc/ref-manual/Makefile.in
M	doc/ref-manual/scheme.texinfo
M	doc/sos/Makefile.in
M	doc/sos/sos.texinfo
M	doc/user-manual/Makefile.in
M	doc/user-manual/user.texinfo
M	etc/dirdif.scm
M	etc/dumpdat.scm
M	etc/mkauto.bat
M	etc/mkopt.bat
M	etc/nrwcopyr.el
M	etc/run-three-stages
M	src/6001/6001.cbf
M	src/6001/6001.pkg
M	src/6001/6001.sf
M	src/6001/arith.scm
M	src/6001/edextra.scm
M	src/6001/floppy.scm
M	src/6001/make.scm
M	src/6001/nodefs.scm
M	src/6001/pic-imag.scm
M	src/6001/pic-ops.scm
M	src/6001/pic-read.scm
M	src/6001/pic-reco.scm
M	src/6001/picture.scm
M	src/Clean.sh
M	src/Makefile.in
M	src/Setup.sh
M	src/Stage.sh
M	src/Tags.sh
M	src/berkeley-db/berkeley-db.scm
M	src/berkeley-db/prdb4.c
M	src/berkeley-db/prdb4.scm
M	src/blowfish/Makefile.am
M	src/blowfish/NEWS
M	src/blowfish/blowfish-adapter.c
M	src/blowfish/blowfish-check.scm
M	src/blowfish/blowfish-shim.h
M	src/blowfish/blowfish-test.scm
M	src/blowfish/blowfish.cdecl
M	src/blowfish/blowfish.pkg
M	src/blowfish/blowfish.scm
M	src/blowfish/compile.sh
M	src/blowfish/configure.ac
M	src/blowfish/mit-scheme-blowfish.texi
M	src/compiler/Clean.sh
M	src/compiler/Setup.sh
M	src/compiler/Stage.sh
M	src/compiler/Tags.sh
M	src/compiler/back/asmmac.scm
M	src/compiler/back/asutl.scm
M	src/compiler/back/bittop.scm
M	src/compiler/back/bitutl.scm
M	src/compiler/back/checks.scm
M	src/compiler/back/insseq.scm
M	src/compiler/back/lapgn1.scm
M	src/compiler/back/lapgn2.scm
M	src/compiler/back/lapgn3.scm
M	src/compiler/back/linear.scm
M	src/compiler/back/mermap.scm
M	src/compiler/back/regmap.scm
M	src/compiler/back/syerly.scm
M	src/compiler/back/symtab.scm
M	src/compiler/back/syntax.scm
M	src/compiler/base/asstop.scm
M	src/compiler/base/blocks.scm
M	src/compiler/base/cfg1.scm
M	src/compiler/base/cfg2.scm
M	src/compiler/base/cfg3.scm
M	src/compiler/base/constr.scm
M	src/compiler/base/contin.scm
M	src/compiler/base/crsend.scm
M	src/compiler/base/crstop.scm
M	src/compiler/base/ctypes.scm
M	src/compiler/base/debug.scm
M	src/compiler/base/enumer.scm
M	src/compiler/base/infnew.scm
M	src/compiler/base/lvalue.scm
M	src/compiler/base/macros.scm
M	src/compiler/base/make.scm
M	src/compiler/base/mvalue.scm
M	src/compiler/base/object.scm
M	src/compiler/base/pmerly.scm
M	src/compiler/base/pmlook.scm
M	src/compiler/base/pmpars.scm
M	src/compiler/base/proced.scm
M	src/compiler/base/refctx.scm
M	src/compiler/base/rvalue.scm
M	src/compiler/base/scode.scm
M	src/compiler/base/sets.scm
M	src/compiler/base/subprb.scm
M	src/compiler/base/switch.scm
M	src/compiler/base/toplev.scm
M	src/compiler/base/utils.scm
M	src/compiler/choose-machine.sh
M	src/compiler/configure
M	src/compiler/documentation/cmpaux.txt
M	src/compiler/documentation/cmpint.txt
M	src/compiler/documentation/porting.guide
M	src/compiler/etc/asm.scm
M	src/compiler/etc/comcmp.scm
M	src/compiler/etc/comfiles.scm
M	src/compiler/etc/disload.scm
M	src/compiler/etc/stackp.scm
M	src/compiler/etc/xcbfdir.scm
M	src/compiler/fggen/canon.scm
M	src/compiler/fggen/declar.scm
M	src/compiler/fggen/fggen.scm
M	src/compiler/fgopt/blktyp.scm
M	src/compiler/fgopt/closan.scm
M	src/compiler/fgopt/conect.scm
M	src/compiler/fgopt/contan.scm
M	src/compiler/fgopt/delint.scm
M	src/compiler/fgopt/desenv.scm
M	src/compiler/fgopt/envopt.scm
M	src/compiler/fgopt/folcon.scm
M	src/compiler/fgopt/offset.scm
M	src/compiler/fgopt/operan.scm
M	src/compiler/fgopt/order.scm
M	src/compiler/fgopt/outer.scm
M	src/compiler/fgopt/param.scm
M	src/compiler/fgopt/reord.scm
M	src/compiler/fgopt/reteqv.scm
M	src/compiler/fgopt/reuse.scm
M	src/compiler/fgopt/sideff.scm
M	src/compiler/fgopt/simapp.scm
M	src/compiler/fgopt/simple.scm
M	src/compiler/fgopt/subfre.scm
M	src/compiler/fgopt/varind.scm
M	src/compiler/machines/C/compiler.cbf
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/C/compiler.sf
M	src/compiler/machines/C/cout.scm
M	src/compiler/machines/C/ctop.scm
M	src/compiler/machines/C/cutl.scm
M	src/compiler/machines/C/decls.scm
M	src/compiler/machines/C/lapgen.scm
M	src/compiler/machines/C/machin.scm
M	src/compiler/machines/C/make.scm
M	src/compiler/machines/C/rgspcm.scm
M	src/compiler/machines/C/rules1.scm
M	src/compiler/machines/C/rules2.scm
M	src/compiler/machines/C/rules3.scm
M	src/compiler/machines/C/rules4.scm
M	src/compiler/machines/C/rulfix.scm
M	src/compiler/machines/C/rulflo.scm
M	src/compiler/machines/C/rulrew.scm
M	src/compiler/machines/C/stackify.scm
M	src/compiler/machines/C/stackops.scm
M	src/compiler/machines/C/traditional.scm
M	src/compiler/machines/i386/assmd.scm
M	src/compiler/machines/i386/coerce.scm
M	src/compiler/machines/i386/compiler.cbf
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/i386/compiler.sf
M	src/compiler/machines/i386/dassm1.scm
M	src/compiler/machines/i386/dassm2.scm
M	src/compiler/machines/i386/dassm3.scm
M	src/compiler/machines/i386/decls.scm
M	src/compiler/machines/i386/insmac.scm
M	src/compiler/machines/i386/instr1.scm
M	src/compiler/machines/i386/instr2.scm
M	src/compiler/machines/i386/instrf.scm
M	src/compiler/machines/i386/insutl.scm
M	src/compiler/machines/i386/lapgen.scm
M	src/compiler/machines/i386/lapopt.scm
M	src/compiler/machines/i386/machin.scm
M	src/compiler/machines/i386/make.scm
M	src/compiler/machines/i386/pc-make.scm
M	src/compiler/machines/i386/rgspcm.scm
M	src/compiler/machines/i386/rules1.scm
M	src/compiler/machines/i386/rules2.scm
M	src/compiler/machines/i386/rules3.scm
M	src/compiler/machines/i386/rules4.scm
M	src/compiler/machines/i386/rulfix.scm
M	src/compiler/machines/i386/rulflo.scm
M	src/compiler/machines/i386/rulrew.scm
M	src/compiler/machines/svm/assembler-compiler.scm
M	src/compiler/machines/svm/assembler-rules.scm
M	src/compiler/machines/svm/assembler-runtime.scm
M	src/compiler/machines/svm/compile-assembler.scm
M	src/compiler/machines/svm/compiler.cbf
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/svm/compiler.sf
M	src/compiler/machines/svm/decls.scm
M	src/compiler/machines/svm/disassembler.scm
M	src/compiler/machines/svm/lapgen.scm
M	src/compiler/machines/svm/lapopt.scm
M	src/compiler/machines/svm/machine.scm
M	src/compiler/machines/svm/make.scm
M	src/compiler/machines/svm/rgspcm.scm
M	src/compiler/machines/svm/rules.scm
M	src/compiler/machines/x86-64/assmd.scm
M	src/compiler/machines/x86-64/coerce.scm
M	src/compiler/machines/x86-64/compiler.cbf
M	src/compiler/machines/x86-64/compiler.pkg
M	src/compiler/machines/x86-64/compiler.sf
M	src/compiler/machines/x86-64/dassm1.scm
M	src/compiler/machines/x86-64/dassm2.scm
M	src/compiler/machines/x86-64/dassm3.scm
M	src/compiler/machines/x86-64/decls.scm
M	src/compiler/machines/x86-64/insmac.scm
M	src/compiler/machines/x86-64/instr1.scm
M	src/compiler/machines/x86-64/instr2.scm
M	src/compiler/machines/x86-64/instrf.scm
M	src/compiler/machines/x86-64/insutl.scm
M	src/compiler/machines/x86-64/lapgen.scm
M	src/compiler/machines/x86-64/lapopt.scm
M	src/compiler/machines/x86-64/machin.scm
M	src/compiler/machines/x86-64/make.scm
M	src/compiler/machines/x86-64/pc-make.scm
M	src/compiler/machines/x86-64/rgspcm.scm
M	src/compiler/machines/x86-64/rules1.scm
M	src/compiler/machines/x86-64/rules2.scm
M	src/compiler/machines/x86-64/rules3.scm
M	src/compiler/machines/x86-64/rules4.scm
M	src/compiler/machines/x86-64/rulfix.scm
M	src/compiler/machines/x86-64/rulflo.scm
M	src/compiler/machines/x86-64/rulrew.scm
M	src/compiler/rtlbase/regset.scm
M	src/compiler/rtlbase/rgraph.scm
M	src/compiler/rtlbase/rtlcfg.scm
M	src/compiler/rtlbase/rtlcon.scm
M	src/compiler/rtlbase/rtlexp.scm
M	src/compiler/rtlbase/rtline.scm
M	src/compiler/rtlbase/rtlobj.scm
M	src/compiler/rtlbase/rtlreg.scm
M	src/compiler/rtlbase/rtlty1.scm
M	src/compiler/rtlbase/rtlty2.scm
M	src/compiler/rtlbase/valclass.scm
M	src/compiler/rtlgen/fndblk.scm
M	src/compiler/rtlgen/fndvar.scm
M	src/compiler/rtlgen/opncod.scm
M	src/compiler/rtlgen/rgcomb.scm
M	src/compiler/rtlgen/rgproc.scm
M	src/compiler/rtlgen/rgretn.scm
M	src/compiler/rtlgen/rgrval.scm
M	src/compiler/rtlgen/rgstmt.scm
M	src/compiler/rtlgen/rtlgen.scm
M	src/compiler/rtlopt/ralloc.scm
M	src/compiler/rtlopt/rcompr.scm
M	src/compiler/rtlopt/rcse1.scm
M	src/compiler/rtlopt/rcse2.scm
M	src/compiler/rtlopt/rcseep.scm
M	src/compiler/rtlopt/rcseht.scm
M	src/compiler/rtlopt/rcserq.scm
M	src/compiler/rtlopt/rcsesr.scm
M	src/compiler/rtlopt/rdebug.scm
M	src/compiler/rtlopt/rdflow.scm
M	src/compiler/rtlopt/rerite.scm
M	src/compiler/rtlopt/rinvex.scm
M	src/compiler/rtlopt/rlife.scm
M	src/compiler/rtlopt/rtlcsm.scm
M	src/configure.ac
M	src/cref/anfile.scm
M	src/cref/conpkg.scm
M	src/cref/cref.cbf
M	src/cref/cref.pkg
M	src/cref/cref.sf
M	src/cref/forpkg.scm
M	src/cref/make.scm
M	src/cref/mset.scm
M	src/cref/object.scm
M	src/cref/redpkg.scm
M	src/cref/toplev.scm
M	src/cref/triv.pkg
M	src/edwin/Clean.sh
M	src/edwin/Makefile.am
M	src/edwin/NEWS
M	src/edwin/abbrev.scm
M	src/edwin/ansi.scm
M	src/edwin/argred.scm
M	src/edwin/artdebug.scm
M	src/edwin/autold.scm
M	src/edwin/autosv.scm
M	src/edwin/basic.scm
M	src/edwin/bios.scm
M	src/edwin/bufcom.scm
M	src/edwin/buffer.scm
M	src/edwin/buffrm.scm
M	src/edwin/bufinp.scm
M	src/edwin/bufmnu.scm
M	src/edwin/bufout.scm
M	src/edwin/bufset.scm
M	src/edwin/bufwfs.scm
M	src/edwin/bufwin.scm
M	src/edwin/bufwiu.scm
M	src/edwin/bufwmc.scm
M	src/edwin/c-mode.scm
M	src/edwin/calias.scm
M	src/edwin/cinden.scm
M	src/edwin/class.scm
M	src/edwin/clscon.scm
M	src/edwin/clsmac.scm
M	src/edwin/comatch.scm
M	src/edwin/comhst.scm
M	src/edwin/comint.scm
M	src/edwin/comman.scm
M	src/edwin/compile.scm
M	src/edwin/compile.sh
M	src/edwin/comred.scm
M	src/edwin/comtab.scm
M	src/edwin/comwin.scm
M	src/edwin/configure.ac
M	src/edwin/curren.scm
M	src/edwin/dabbrev.scm
M	src/edwin/debian-changelog.scm
M	src/edwin/debug.scm
M	src/edwin/debuge.scm
M	src/edwin/decls.scm
M	src/edwin/dired.scm
M	src/edwin/dirunx.scm
M	src/edwin/dirw32.scm
M	src/edwin/display.scm
M	src/edwin/docstr.scm
M	src/edwin/dos.scm
M	src/edwin/doscom.scm
M	src/edwin/dosfile.scm
M	src/edwin/dosproc.scm
M	src/edwin/dosshell.scm
M	src/edwin/ed-ffi.scm
M	src/edwin/editor.scm
M	src/edwin/edtfrm.scm
M	src/edwin/edtstr.scm
M	src/edwin/edwin.cbf
M	src/edwin/edwin.ldr
M	src/edwin/edwin.pkg
M	src/edwin/edwin.sf
M	src/edwin/evlcom.scm
M	src/edwin/eystep.scm
M	src/edwin/filcom.scm
M	src/edwin/fileio.scm
M	src/edwin/fill.scm
M	src/edwin/grpops.scm
M	src/edwin/hlpcom.scm
M	src/edwin/htmlmode.scm
M	src/edwin/image.scm
M	src/edwin/info.scm
M	src/edwin/input.scm
M	src/edwin/intmod.scm
M	src/edwin/iserch.scm
M	src/edwin/javamode.scm
M	src/edwin/key-w32.scm
M	src/edwin/keymap.scm
M	src/edwin/keyparse.scm
M	src/edwin/kilcom.scm
M	src/edwin/kmacro.scm
M	src/edwin/lincom.scm
M	src/edwin/linden.scm
M	src/edwin/loadef.scm
M	src/edwin/lspcom.scm
M	src/edwin/macros.scm
M	src/edwin/make.scm
M	src/edwin/malias.scm
M	src/edwin/manual.scm
M	src/edwin/midas.scm
M	src/edwin/modefs.scm
M	src/edwin/modes.scm
M	src/edwin/modlin.scm
M	src/edwin/modwin.scm
M	src/edwin/motcom.scm
M	src/edwin/motion.scm
M	src/edwin/mousecom.scm
M	src/edwin/nntp.scm
M	src/edwin/notify.scm
M	src/edwin/nvector.scm
M	src/edwin/occur.scm
M	src/edwin/outline.scm
M	src/edwin/pasmod.scm
M	src/edwin/paths.scm
M	src/edwin/print.scm
M	src/edwin/process.scm
M	src/edwin/prompt.scm
M	src/edwin/pwedit.scm
M	src/edwin/pwparse.scm
M	src/edwin/rcsparse.scm
M	src/edwin/reccom.scm
M	src/edwin/regcom.scm
M	src/edwin/regexp.scm
M	src/edwin/regops.scm
M	src/edwin/replaz.scm
M	src/edwin/rfc822.scm
M	src/edwin/ring.scm
M	src/edwin/rmail.scm
M	src/edwin/rmailsrt.scm
M	src/edwin/rmailsum.scm
M	src/edwin/schmod.scm
M	src/edwin/scrcom.scm
M	src/edwin/screen.scm
M	src/edwin/search.scm
M	src/edwin/sendmail.scm
M	src/edwin/sercom.scm
M	src/edwin/shell.scm
M	src/edwin/simple.scm
M	src/edwin/snr.scm
M	src/edwin/sort.scm
M	src/edwin/sources.scm
M	src/edwin/sources.sh
M	src/edwin/string.scm
M	src/edwin/strpad.scm
M	src/edwin/strtab.scm
M	src/edwin/struct.scm
M	src/edwin/syntax.scm
M	src/edwin/tagutl.scm
M	src/edwin/techinfo.scm
M	src/edwin/telnet.scm
M	src/edwin/termcap.scm
M	src/edwin/texcom.scm
M	src/edwin/things.scm
M	src/edwin/tparse.scm
M	src/edwin/tterm.scm
M	src/edwin/tximod.scm
M	src/edwin/txtprp.scm
M	src/edwin/undo.scm
M	src/edwin/unix.scm
M	src/edwin/utils.scm
M	src/edwin/utlwin.scm
M	src/edwin/vc-bzr.scm
M	src/edwin/vc-cvs.scm
M	src/edwin/vc-git.scm
M	src/edwin/vc-rcs.scm
M	src/edwin/vc-svn.scm
M	src/edwin/vc.scm
M	src/edwin/verilog.scm
M	src/edwin/vhdl.scm
M	src/edwin/webster.scm
M	src/edwin/win32.scm
M	src/edwin/win32com.scm
M	src/edwin/wincom.scm
M	src/edwin/window.scm
M	src/edwin/winout.scm
M	src/edwin/world-monitor.scm
M	src/edwin/xform.scm
M	src/edwin/xterm.scm
M	src/etc/Clean.sh
M	src/etc/Setup.sh
M	src/etc/Stage.sh
M	src/etc/Tags.sh
M	src/etc/build-bands.sh
M	src/etc/build-boot-compiler.sh
M	src/etc/c-bundle.sh
M	src/etc/c-compile.sh
M	src/etc/c-prepare.sh
M	src/etc/compile-boot-compiler.sh
M	src/etc/compile.scm
M	src/etc/compile.sh
M	src/etc/create-makefiles.sh
M	src/etc/functions.sh
M	src/etc/install-bin-symlinks.sh
M	src/etc/iso8859-converter.scm
M	src/etc/macosx/make-app.sh
M	src/etc/make-in-subdirs.sh
M	src/etc/make-liarc-dist.sh
M	src/etc/make-liarc.sh
M	src/etc/make-native.sh
M	src/etc/maybe-update-file.sh
M	src/etc/native-prepare.sh
M	src/etc/optiondb.scm
M	src/etc/std-makefile-prefix
M	src/etc/ucd-converter.scm
M	src/etc/utilities.scm
M	src/ffi/build.scm
M	src/ffi/cdecls.scm
M	src/ffi/ctypes.scm
M	src/ffi/generator.scm
M	src/ffi/syntax.scm
M	src/gdbm/Makefile.am
M	src/gdbm/NEWS
M	src/gdbm/compile.sh
M	src/gdbm/configure.ac
M	src/gdbm/gdbm-adapter.c
M	src/gdbm/gdbm-check.scm
M	src/gdbm/gdbm-shim.h
M	src/gdbm/gdbm.cdecl
M	src/gdbm/gdbm.pkg
M	src/gdbm/gdbm.scm
M	src/gdbm/mit-scheme-gdbm.texi
M	src/imail/Makefile.am
M	src/imail/NEWS
M	src/imail/compile.scm
M	src/imail/compile.sh
M	src/imail/configure.ac
M	src/imail/ed-ffi.scm
M	src/imail/imail-browser.scm
M	src/imail/imail-core.scm
M	src/imail/imail-file.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-mime.scm
M	src/imail/imail-rmail.scm
M	src/imail/imail-summary.scm
M	src/imail/imail-top.scm
M	src/imail/imail-umail.scm
M	src/imail/imail-util.scm
M	src/imail/imail.pkg
M	src/imail/imap-response.scm
M	src/imail/imap-syntax.scm
M	src/imail/make.scm
M	src/imail/mit-scheme-imail.texi
M	src/imail/print.sh
M	src/mcrypt/Makefile.am
M	src/mcrypt/NEWS
M	src/mcrypt/compile.sh
M	src/mcrypt/configure.ac
M	src/mcrypt/mcrypt-adapter.c
M	src/mcrypt/mcrypt-check.scm
M	src/mcrypt/mcrypt-shim.h
M	src/mcrypt/mcrypt.cdecl
M	src/mcrypt/mcrypt.pkg
M	src/mcrypt/mcrypt.scm
M	src/microcode/Clean.sh
M	src/microcode/Setup.sh
M	src/microcode/artutl.c
M	src/microcode/avltree.c
M	src/microcode/avltree.h
M	src/microcode/bignmint.h
M	src/microcode/bignum.c
M	src/microcode/bignum.h
M	src/microcode/bigprm.c
M	src/microcode/bits.h
M	src/microcode/bitstr.c
M	src/microcode/bitstr.h
M	src/microcode/bkpt.c
M	src/microcode/bkpt.h
M	src/microcode/boot.c
M	src/microcode/bytevector.c
M	src/microcode/char.c
M	src/microcode/cmpauxmd/asmcvt.c
M	src/microcode/cmpauxmd/c.c
M	src/microcode/cmpauxmd/i386.m4
M	src/microcode/cmpauxmd/m4-dos
M	src/microcode/cmpauxmd/makefile
M	src/microcode/cmpauxmd/x86-64.m4
M	src/microcode/cmpgc.h
M	src/microcode/cmpint.c
M	src/microcode/cmpint.h
M	src/microcode/cmpintmd/c-config.h
M	src/microcode/cmpintmd/c.c
M	src/microcode/cmpintmd/c.h
M	src/microcode/cmpintmd/i386-config.h
M	src/microcode/cmpintmd/i386.c
M	src/microcode/cmpintmd/i386.h
M	src/microcode/cmpintmd/none-config.h
M	src/microcode/cmpintmd/none.c
M	src/microcode/cmpintmd/none.h
M	src/microcode/cmpintmd/svm1-config.h
M	src/microcode/cmpintmd/svm1.c
M	src/microcode/cmpintmd/svm1.h
M	src/microcode/cmpintmd/x86-64-config.h
M	src/microcode/cmpintmd/x86-64.c
M	src/microcode/cmpintmd/x86-64.h
M	src/microcode/cmpintmd/x86-fenv.c
M	src/microcode/cmpintmd/x86-fenv.h
M	src/microcode/comlin.c
M	src/microcode/comlin.h
M	src/microcode/comutl.c
M	src/microcode/configure.ac
M	src/microcode/confshared.h
M	src/microcode/const.h
M	src/microcode/copyrigh.c
M	src/microcode/critsec.h
M	src/microcode/daemon.c
M	src/microcode/debug.c
M	src/microcode/dfloat.c
M	src/microcode/dstack.h
M	src/microcode/edwin.h
M	src/microcode/error.c
M	src/microcode/errors.h
M	src/microcode/extern.c
M	src/microcode/extern.h
M	src/microcode/extract-liarc-decls.c
M	src/microcode/fasdump.c
M	src/microcode/fasl.c
M	src/microcode/fasl.h
M	src/microcode/fasload.c
M	src/microcode/findprim.c
M	src/microcode/fixnum.c
M	src/microcode/fixnum.h
M	src/microcode/fixobj.h
M	src/microcode/floenv.c
M	src/microcode/floenv.h
M	src/microcode/flonum.c
M	src/microcode/gc.h
M	src/microcode/gccode.h
M	src/microcode/gcloop.c
M	src/microcode/gen-nonce.c
M	src/microcode/generic.c
M	src/microcode/history.h
M	src/microcode/hooks.c
M	src/microcode/hunk.c
M	src/microcode/intern.c
M	src/microcode/interp.c
M	src/microcode/interp.h
M	src/microcode/intext.c
M	src/microcode/intext.h
M	src/microcode/intprm.c
M	src/microcode/intrpt.h
M	src/microcode/liarc-cc.in
M	src/microcode/liarc-ld.in
M	src/microcode/liarc.h
M	src/microcode/list.c
M	src/microcode/lookprm.c
M	src/microcode/lookup.c
M	src/microcode/lookup.h
M	src/microcode/macosx-starter.c
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/bundles-liarc.scm
M	src/microcode/makegen/dirs-liarc.scm
M	src/microcode/makegen/files-core.scm
M	src/microcode/makegen/files-optional.scm
M	src/microcode/makegen/files-os-prim.scm
M	src/microcode/makegen/files-other.scm
M	src/microcode/makegen/files-unix.scm
M	src/microcode/makegen/liarc-base-rules
M	src/microcode/makegen/m4.sh
M	src/microcode/makegen/makegen.scm
M	src/microcode/makegen/makeinit.sh
M	src/microcode/makegen/pkds-liarc.scm
M	src/microcode/memmag.c
M	src/microcode/memmag.h
M	src/microcode/missing.c
M	src/microcode/mul.c
M	src/microcode/nt.h
M	src/microcode/ntapi.h
M	src/microcode/ntasutl.asm
M	src/microcode/ntenv.c
M	src/microcode/ntfile.c
M	src/microcode/ntfs.c
M	src/microcode/ntfs.h
M	src/microcode/ntgui.c
M	src/microcode/ntgui.h
M	src/microcode/ntio.c
M	src/microcode/ntio.h
M	src/microcode/ntproc.c
M	src/microcode/ntproc.h
M	src/microcode/ntscmlib.h
M	src/microcode/ntscreen.c
M	src/microcode/ntscreen.h
M	src/microcode/ntsig.c
M	src/microcode/ntsock.c
M	src/microcode/ntsys.c
M	src/microcode/ntsys.h
M	src/microcode/ntterm.h
M	src/microcode/nttop.c
M	src/microcode/nttop.h
M	src/microcode/nttrap.c
M	src/microcode/nttrap.h
M	src/microcode/nttterm.c
M	src/microcode/nttty.c
M	src/microcode/ntutl/config.bat
M	src/microcode/ntutl/config.h
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc
M	src/microcode/ntutl/scheme16.c
M	src/microcode/ntutl/scheme16.mak
M	src/microcode/ntutl/scheme31.c
M	src/microcode/ntutl/scheme32.c
M	src/microcode/ntutl/scm-p-nt.lst
M	src/microcode/ntutl/setenv.bat
M	src/microcode/ntutl/wconfig.bat
M	src/microcode/object.h
M	src/microcode/obstack.c
M	src/microcode/obstack.h
M	src/microcode/option.c
M	src/microcode/option.h
M	src/microcode/os.h
M	src/microcode/osctty.h
M	src/microcode/osenv.h
M	src/microcode/osfile.h
M	src/microcode/osfs.h
M	src/microcode/osio.h
M	src/microcode/osproc.h
M	src/microcode/ospty.h
M	src/microcode/osscheme.c
M	src/microcode/osscheme.h
M	src/microcode/ossig.h
M	src/microcode/osterm.h
M	src/microcode/ostop.h
M	src/microcode/ostty.c
M	src/microcode/ostty.h
M	src/microcode/outf.c
M	src/microcode/outf.h
M	src/microcode/prchacha.c
M	src/microcode/prename.h
M	src/microcode/prim.c
M	src/microcode/prim.h
M	src/microcode/prims.h
M	src/microcode/primutl.c
M	src/microcode/prkeccak.c
M	src/microcode/prmd5.c
M	src/microcode/prntenv.c
M	src/microcode/prntfs.c
M	src/microcode/prntio.c
M	src/microcode/prosenv.c
M	src/microcode/prosfile.c
M	src/microcode/prosfs.c
M	src/microcode/prosio.c
M	src/microcode/prosproc.c
M	src/microcode/prospty.c
M	src/microcode/prosterm.c
M	src/microcode/prostty.c
M	src/microcode/pruxdld.c
M	src/microcode/pruxenv.c
M	src/microcode/pruxffi.c
M	src/microcode/pruxffi.h
M	src/microcode/pruxfs.c
M	src/microcode/pruxio.c
M	src/microcode/pruxsock.c
M	src/microcode/ptrvec.c
M	src/microcode/purify.c
M	src/microcode/purutl.c
M	src/microcode/regex.c
M	src/microcode/regex.h
M	src/microcode/returns.h
M	src/microcode/rgxprim.c
M	src/microcode/sample.c
M	src/microcode/scheme.h
M	src/microcode/scode.h
M	src/microcode/sdata.h
M	src/microcode/stack.h
M	src/microcode/stackops.h
M	src/microcode/step.c
M	src/microcode/storage.c
M	src/microcode/string.c
M	src/microcode/svm1-interp.c
M	src/microcode/syntax.c
M	src/microcode/syntax.h
M	src/microcode/syscall.h
M	src/microcode/sysprim.c
M	src/microcode/term.c
M	src/microcode/termcap.c
M	src/microcode/terminfo.c
M	src/microcode/tparam.c
M	src/microcode/transact.c
M	src/microcode/trap.h
M	src/microcode/tterm.c
M	src/microcode/types.h
M	src/microcode/unstackify.c
M	src/microcode/usrdef.h
M	src/microcode/utabmd.c
M	src/microcode/utils.c
M	src/microcode/ux.c
M	src/microcode/ux.h
M	src/microcode/uxctty.c
M	src/microcode/uxenv.c
M	src/microcode/uxfile.c
M	src/microcode/uxfs.c
M	src/microcode/uxio.c
M	src/microcode/uxio.h
M	src/microcode/uxproc.c
M	src/microcode/uxproc.h
M	src/microcode/uxsig.c
M	src/microcode/uxsig.h
M	src/microcode/uxsock.c
M	src/microcode/uxsock.h
M	src/microcode/uxterm.c
M	src/microcode/uxterm.h
M	src/microcode/uxtop.c
M	src/microcode/uxtop.h
M	src/microcode/uxtrap.c
M	src/microcode/uxtrap.h
M	src/microcode/uxtty.c
M	src/microcode/uxutil.c
M	src/microcode/uxutil.h
M	src/microcode/vector.c
M	src/microcode/wind.c
M	src/microcode/xdebug.c
M	src/pgsql/Makefile.am
M	src/pgsql/NEWS
M	src/pgsql/compile.sh
M	src/pgsql/configure.ac
M	src/pgsql/pgsql-check.scm
M	src/pgsql/pgsql-shim.h
M	src/pgsql/pgsql.cdecl
M	src/pgsql/pgsql.pkg
M	src/pgsql/pgsql.scm
M	src/runtime/advice.scm
M	src/runtime/apply.scm
M	src/runtime/apropos.scm
M	src/runtime/arith.scm
M	src/runtime/binary-port.scm
M	src/runtime/bitstr.scm
M	src/runtime/blowfish.scm
M	src/runtime/boole.scm
M	src/runtime/boot.scm
M	src/runtime/bundle.scm
M	src/runtime/bytevector.scm
M	src/runtime/char-set.scm
M	src/runtime/char.scm
M	src/runtime/chrsyn.scm
M	src/runtime/codwlk.scm
M	src/runtime/command-line.scm
M	src/runtime/compound-predicate.scm
M	src/runtime/condvar.scm
M	src/runtime/conpar.scm
M	src/runtime/console-io.scm
M	src/runtime/contin.scm
M	src/runtime/cpoint.scm
M	src/runtime/cpress.scm
M	src/runtime/crypto.scm
M	src/runtime/datime.scm
M	src/runtime/dbgcmd.scm
M	src/runtime/dbgutl.scm
M	src/runtime/debug.scm
M	src/runtime/defstr.scm
M	src/runtime/dispatch-cache.scm
M	src/runtime/dispatch-tag.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/dragon4.scm
M	src/runtime/dynamic.scm
M	src/runtime/ed-ffi.scm
M	src/runtime/emacs.scm
M	src/runtime/environment.scm
M	src/runtime/equals.scm
M	src/runtime/error.scm
M	src/runtime/events.scm
M	src/runtime/ffi.scm
M	src/runtime/file-attributes.scm
M	src/runtime/file-io.scm
M	src/runtime/floenv.scm
M	src/runtime/format.scm
M	src/runtime/framex.scm
M	src/runtime/gc.scm
M	src/runtime/gcdemn.scm
M	src/runtime/gcfinal.scm
M	src/runtime/gcnote.scm
M	src/runtime/gcstat.scm
M	src/runtime/gdatab.scm
M	src/runtime/gdbm.scm
M	src/runtime/generic-io.scm
M	src/runtime/global.scm
M	src/runtime/graphics.scm
M	src/runtime/hash-table.scm
M	src/runtime/hash.scm
M	src/runtime/histry.scm
M	src/runtime/host-adapter.scm
M	src/runtime/html-form-codec.scm
M	src/runtime/http-client.scm
M	src/runtime/http-io.scm
M	src/runtime/http-syntax.scm
M	src/runtime/infstr.scm
M	src/runtime/infutl.scm
M	src/runtime/input-port.scm
M	src/runtime/integer-bits.scm
M	src/runtime/interrupt.scm
M	src/runtime/keyword.scm
M	src/runtime/lambda-list.scm
M	src/runtime/lambda.scm
M	src/runtime/lambdx.scm
M	src/runtime/legacy-string.scm
M	src/runtime/library-database.scm
M	src/runtime/library-imports.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-parser.scm
M	src/runtime/library-scode.scm
M	src/runtime/library-standard.scm
M	src/runtime/list.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/memoizer.scm
M	src/runtime/microcode-data.scm
M	src/runtime/microcode-errors.scm
M	src/runtime/microcode-tables.scm
M	src/runtime/mime-codec.scm
M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/msort.scm
M	src/runtime/ntdir.scm
M	src/runtime/ntprm.scm
M	src/runtime/numint.scm
M	src/runtime/numpar.scm
M	src/runtime/option.scm
M	src/runtime/optiondb.scm
M	src/runtime/ordvec.scm
M	src/runtime/os-primitives.scm
M	src/runtime/output-port.scm
M	src/runtime/packag.scm
M	src/runtime/parametric-predicate.scm
M	src/runtime/parser-buffer.scm
M	src/runtime/pathname.scm
M	src/runtime/pgsql.scm
M	src/runtime/poplat.scm
M	src/runtime/pp.scm
M	src/runtime/predicate-dispatch.scm
M	src/runtime/predicate-tagging.scm
M	src/runtime/predicate.scm
M	src/runtime/prgcop.scm
M	src/runtime/primitive-arithmetic.scm
M	src/runtime/primitive-io.scm
M	src/runtime/printer.scm
M	src/runtime/procedure.scm
M	src/runtime/process.scm
M	src/runtime/prop1d.scm
M	src/runtime/prop2d.scm
M	src/runtime/qsort.scm
M	src/runtime/queue.scm
M	src/runtime/random.scm
M	src/runtime/rbtree.scm
M	src/runtime/reader.scm
M	src/runtime/record.scm
M	src/runtime/reference-trap.scm
M	src/runtime/regexp.scm
M	src/runtime/regsexp.scm
M	src/runtime/rep.scm
M	src/runtime/rexp.scm
M	src/runtime/rfc2822-headers.scm
M	src/runtime/rgxcmp.scm
M	src/runtime/runtime.cbf
M	src/runtime/runtime.pkg
M	src/runtime/runtime.sf
M	src/runtime/savres.scm
M	src/runtime/scan.scm
M	src/runtime/scode.scm
M	src/runtime/sdata.scm
M	src/runtime/sfile.scm
M	src/runtime/sha3.scm
M	src/runtime/socket.scm
M	src/runtime/srfi-1.scm
M	src/runtime/stream.scm
M	src/runtime/string-io.scm
M	src/runtime/string.scm
M	src/runtime/structure-parser.scm
M	src/runtime/swank.scm
M	src/runtime/symbol.scm
M	src/runtime/syncproc.scm
M	src/runtime/syntax-check.scm
M	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-declaration.scm
M	src/runtime/syntax-environment.scm
M	src/runtime/syntax-items.scm
M	src/runtime/syntax-low.scm
M	src/runtime/syntax-output.scm
M	src/runtime/syntax-parser.scm
M	src/runtime/syntax-rename.scm
M	src/runtime/syntax-rules.scm
M	src/runtime/syntax.scm
M	src/runtime/sysclk.scm
M	src/runtime/sysmac.scm
M	src/runtime/system.scm
M	src/runtime/textual-port.scm
M	src/runtime/thread-barrier.scm
M	src/runtime/thread-low.scm
M	src/runtime/thread-queue.scm
M	src/runtime/thread.scm
M	src/runtime/transcript.scm
M	src/runtime/ucd-glue.scm
M	src/runtime/ucd-table-alpha.scm
M	src/runtime/ucd-table-canonical-cm-second.scm
M	src/runtime/ucd-table-canonical-cm.scm
M	src/runtime/ucd-table-canonical-dm.scm
M	src/runtime/ucd-table-cased.scm
M	src/runtime/ucd-table-ccc.scm
M	src/runtime/ucd-table-cf.scm
M	src/runtime/ucd-table-comp_ex.scm
M	src/runtime/ucd-table-cwcf.scm
M	src/runtime/ucd-table-cwl.scm
M	src/runtime/ucd-table-cwu.scm
M	src/runtime/ucd-table-gc.scm
M	src/runtime/ucd-table-gcb.scm
M	src/runtime/ucd-table-lc.scm
M	src/runtime/ucd-table-lower.scm
M	src/runtime/ucd-table-nfc_qc.scm
M	src/runtime/ucd-table-nfd_qc.scm
M	src/runtime/ucd-table-nt.scm
M	src/runtime/ucd-table-nv.scm
M	src/runtime/ucd-table-scf.scm
M	src/runtime/ucd-table-slc.scm
M	src/runtime/ucd-table-suc.scm
M	src/runtime/ucd-table-tc.scm
M	src/runtime/ucd-table-uc.scm
M	src/runtime/ucd-table-upper.scm
M	src/runtime/ucd-table-wb.scm
M	src/runtime/ucd-table-wspace.scm
M	src/runtime/unix-pathname.scm
M	src/runtime/unsyn.scm
M	src/runtime/unxdir.scm
M	src/runtime/unxprm.scm
M	src/runtime/url.scm
M	src/runtime/usrint.scm
M	src/runtime/vector.scm
M	src/runtime/version.scm
M	src/runtime/where.scm
M	src/runtime/win32-registry.scm
M	src/runtime/wind.scm
M	src/runtime/world-report.scm
M	src/runtime/wrkdir.scm
M	src/runtime/wttree.scm
M	src/runtime/x11graph.scm
M	src/runtime/xeval.scm
M	src/runtime/ystep.scm
M	src/sf/analyze.scm
M	src/sf/butils.scm
M	src/sf/cgen.scm
M	src/sf/chtype.scm
M	src/sf/copy.scm
M	src/sf/emodel.scm
M	src/sf/gconst.scm
M	src/sf/make.scm
M	src/sf/object.scm
M	src/sf/pardec.scm
M	src/sf/pthmap.scm
M	src/sf/reduct.scm
M	src/sf/sf.cbf
M	src/sf/sf.pkg
M	src/sf/sf.sf
M	src/sf/subst.scm
M	src/sf/tables.scm
M	src/sf/toplev.scm
M	src/sf/usicon.scm
M	src/sf/usiexp.scm
M	src/sf/xform.scm
M	src/sos/class.scm
M	src/sos/compile.scm
M	src/sos/ed-ffi.scm
M	src/sos/geneqht.scm
M	src/sos/generic.scm
M	src/sos/genmult.scm
M	src/sos/instance.scm
M	src/sos/load.scm
M	src/sos/macros.scm
M	src/sos/method.scm
M	src/sos/microbench.scm
M	src/sos/printer.scm
M	src/sos/recslot.scm
M	src/sos/slot.scm
M	src/sos/sos.pkg
M	src/sos/tvector.scm
M	src/ssp/compile.scm
M	src/ssp/expenv.scm
M	src/ssp/load.scm
M	src/ssp/mod-lisp.scm
M	src/ssp/ssp.pkg
M	src/ssp/xhtml-expander.scm
M	src/ssp/xmlrpc.scm
M	src/star-parser/compile.scm
M	src/star-parser/ed-ffi.scm
M	src/star-parser/load.scm
M	src/star-parser/matcher.scm
M	src/star-parser/parser.pkg
M	src/star-parser/parser.scm
M	src/star-parser/shared.scm
M	src/win32/clipbrd.scm
M	src/win32/dib.scm
M	src/win32/dibutils/dibutils.c
M	src/win32/dibutils/dibutils.def
M	src/win32/dibutils/dibutils.h
M	src/win32/dibutils/makefile.msc
M	src/win32/dibutils/makefile.wcc
M	src/win32/ffimacro.scm
M	src/win32/graphics.scm
M	src/win32/make.scm
M	src/win32/module.scm
M	src/win32/protect.scm
M	src/win32/wf_user.scm
M	src/win32/win32.cbf
M	src/win32/win32.pkg
M	src/win32/win32.sf
M	src/win32/win_ffi.scm
M	src/win32/wingdi.scm
M	src/win32/winnt.scm
M	src/win32/winuser.scm
M	src/win32/wt_user.scm
M	src/x11-screen/Makefile.am
M	src/x11-screen/NEWS
M	src/x11-screen/compile.scm
M	src/x11-screen/compile.sh
M	src/x11-screen/configure.ac
M	src/x11-screen/ed-ffi.scm
M	src/x11-screen/x11-command.scm
M	src/x11-screen/x11-key.scm
M	src/x11-screen/x11-screen-test.scm
M	src/x11-screen/x11-screen.pkg
M	src/x11-screen/x11-screen.scm
M	src/x11/Makefile.am
M	src/x11/NEWS
M	src/x11/compile.scm
M	src/x11/compile.sh
M	src/x11/configure.ac
M	src/x11/x11-base.scm
M	src/x11/x11-color.scm
M	src/x11/x11-device.scm
M	src/x11/x11-graphics.scm
M	src/x11/x11-shim.h
M	src/x11/x11-terminal.scm
M	src/x11/x11-test.scm
M	src/x11/x11.cdecl
M	src/x11/x11.h
M	src/x11/x11.pkg
M	src/x11/x11.scm
M	src/x11/x11base.c
M	src/x11/x11color.c
M	src/x11/x11graph.c
M	src/x11/x11term.c
M	src/xdoc/compile.scm
M	src/xdoc/db.scm
M	src/xdoc/load.scm
M	src/xdoc/validate-xdoc.scm
M	src/xdoc/xdoc.pkg
M	src/xdoc/xdoc.scm
M	src/xml/compile.scm
M	src/xml/ed-ffi.scm
M	src/xml/load.scm
M	src/xml/parser-macro.scm
M	src/xml/rdf-nt.scm
M	src/xml/rdf-struct.scm
M	src/xml/turtle.scm
M	src/xml/xhtml-entities.scm
M	src/xml/xhtml.scm
M	src/xml/xml-chars.scm
M	src/xml/xml-names.scm
M	src/xml/xml-output.scm
M	src/xml/xml-parser.scm
M	src/xml/xml-rpc.scm
M	src/xml/xml-struct.scm
M	src/xml/xml.pkg
M	src/xml/xpath.scm
M	tests/check.scm
M	tests/ffi/Makefile.am
M	tests/ffi/configure.ac
M	tests/ffi/ffi-test.c
M	tests/ffi/test-ffi.scm
M	tests/load.scm
M	tests/microcode/test-chacha.scm
M	tests/microcode/test-flonum-casts.scm
M	tests/microcode/test-keccak.scm
M	tests/microcode/test-lookup.scm
M	tests/runtime/test-arith.scm
M	tests/runtime/test-binary-port.scm
M	tests/runtime/test-boyer-moore.scm
M	tests/runtime/test-bundle.scm
M	tests/runtime/test-bytevector.scm
M	tests/runtime/test-char-set.scm
M	tests/runtime/test-char.scm
M	tests/runtime/test-compound-predicate.scm
M	tests/runtime/test-dragon4.scm
M	tests/runtime/test-dynamic-env.scm
M	tests/runtime/test-entity.scm
M	tests/runtime/test-ephemeron.scm
M	tests/runtime/test-file-attributes.scm
M	tests/runtime/test-floenv.scm
M	tests/runtime/test-hash-table.scm
M	tests/runtime/test-integer-bits.scm
M	tests/runtime/test-library-data/support-code.scm
M	tests/runtime/test-library-imports.scm
M	tests/runtime/test-library-loader.scm
M	tests/runtime/test-library-parser.scm
M	tests/runtime/test-library-standard.scm
M	tests/runtime/test-md5.scm
M	tests/runtime/test-mime-codec.scm
M	tests/runtime/test-parametric-predicate.scm
M	tests/runtime/test-predicate-dispatch.scm
M	tests/runtime/test-predicate.scm
M	tests/runtime/test-process.scm
M	tests/runtime/test-random.scm
M	tests/runtime/test-readwrite.scm
M	tests/runtime/test-regsexp.scm
M	tests/runtime/test-rgxcmp.scm
M	tests/runtime/test-sha3.scm
M	tests/runtime/test-srfi-1.scm
M	tests/runtime/test-stream.scm
M	tests/runtime/test-string-copy.scm
M	tests/runtime/test-string-normalization.scm
M	tests/runtime/test-string-search-data
M	tests/runtime/test-string-search.scm
M	tests/runtime/test-string.scm
M	tests/runtime/test-syncproc.scm
M	tests/runtime/test-syntax-rename.scm
M	tests/runtime/test-thread-queue.scm
M	tests/runtime/test-url.scm
M	tests/runtime/test-wttree.scm
M	tests/sos/test-genmult.scm
M	tests/star-parser/test-parser.scm
M	tests/unit-testing.scm
M	tests/xml/test-parser.scm
M	tests/xml/test-turtle.scm

commit 10bd5d1842be2d2f71f8e4a70efc8ed499b81e33
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Nov 22 16:48:20 2018 -0800

    Explicitly prevent native releases from assuming a scheme exists.

M	src/configure.ac

commit 6b2f0420ea1db2f07f63190a13eb558cc1709da5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Nov 22 16:46:54 2018 -0800

    Revise unix installation notes to be more specific.

M	doc/user-manual/user.texinfo

commit 29136cc5c1e31e8839d1424908ca561f34c52fab
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Nov 16 17:00:10 2018 +0000

    Make flo:integer? answer true only for finite inputs.

M	src/runtime/arith.scm

commit 4370a4bcf97cfce47fb1adbece044fd315e23c7c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Nov 19 19:57:38 2018 -0800

    Pass IS_NATIVE_RELEASE to microcode during configuration.

M	src/configure.ac
M	src/microcode/configure.ac

commit a58bb10789fab8e0eedf0f6097996bdc0830e804
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Nov 19 19:50:37 2018 -0800

    Fix create-makefiles.sh to use arch consistently.

M	src/etc/create-makefiles.sh

commit 271f5b6deddd52deb4eae7033acfa5c060030b92
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Nov 19 16:33:44 2018 -0800

    Change configure.ac to gobble up arch from ".native-release-marker".

M	src/configure.ac

commit 9c35b04206e6eff868b1bcda440b003e441e172e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Nov 18 18:45:00 2018 -0800

    Change .native-release-marker to contain arch.

M	dist/make-native-files

commit 3a6f1432d192d0074ba46bb85536196ca5995dd0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Nov 16 20:51:33 2018 -0800

    Update version to 10.1.3.

M	doc/configure.ac
M	doc/mit-scheme.1
M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/blowfish/mit-scheme-blowfish.texi
M	src/configure.ac
M	src/gdbm/mit-scheme-gdbm.texi
M	src/runtime/version.scm

commit 29a5e23b311bcd3bc1d1cae03b7602d38267a02e
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sun Nov 11 09:03:49 2018 -0700

    mcrypt/configure.ac: typo

M	src/mcrypt/configure.ac

commit 54b89d8f1b8479d9548730f0da2176dc48141c24
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sat Nov 10 12:56:47 2018 -0700

    ffi/build: typo, free variable

M	src/ffi/build.scm

commit a384578df417cb7b2f2096ece145de9d3ba04f04
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 31 22:41:45 2018 -0700

    Make macos dmg file read only.

M	dist/make-macosx-app

commit abebc2ee21b8139acd1dc4a889225c535e707446
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 31 18:55:47 2018 -0700

    Fix problem with building and installing x11 plugin from native dist.

M	dist/make-native-files
M	dist/shared.sh
M	doc/configure.ac
M	doc/mit-scheme.1
M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/Makefile.in
M	src/blowfish/mit-scheme-blowfish.texi
M	src/configure.ac
M	src/gdbm/mit-scheme-gdbm.texi
M	src/runtime/version.scm
M	src/x11/Makefile.am

commit 959de5c90b6c254f0b40c612981900a7b19a4316
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 29 21:30:33 2018 -0700

    Don't assume that it's possible to run MIT_SCHEME_EXE during configuration.
    
    This won't work with a native distribution, since there may not be a working
    scheme on the host.  Instead use other ways to do the necessary work.

M	src/blowfish/configure.ac
M	src/configure.ac
M	src/edwin/Makefile.am
M	src/edwin/autogen.sh
M	src/edwin/configure.ac
A	src/edwin/sources.scm
M	src/edwin/sources.sh
M	src/gdbm/configure.ac
M	src/imail/configure.ac
M	src/mcrypt/configure.ac
M	src/pgsql/configure.ac
M	src/x11-screen/configure.ac
M	src/x11/configure.ac

commit 4e327bae53f3a05ea79443250863302f03d613b4
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 29 18:43:02 2018 -0700

    Bump revision to 10.1.1 to fix stupid bug.

M	doc/configure.ac
M	doc/mit-scheme.1
M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/blowfish/mit-scheme-blowfish.texi
M	src/configure.ac
M	src/gdbm/mit-scheme-gdbm.texi
M	src/runtime/version.scm

commit 80fc1e2c4a8954d0d6a93da2544399a95b5d53d1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 28 16:08:29 2018 -0700

    Reduce default heap size for 32-bit systems.
    
    During build was getting sporadic "unable to mmap heap" errors.

M	src/microcode/option.c

commit d7809b15372a4700b9b1d44c8143fa7c0dd5b3a0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 28 15:10:02 2018 -0700

    Fix typo in previous change.

M	src/runtime/arith.scm

commit 27ef2fabaf72e6febe1bc9113c9a4aa7a4b719b6
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 28 19:56:35 2018 +0000

    Eliminate flo:epsilon.
    
    The name is confusing.  It means two different things: the distance
    from 1 to the next positive floating-point number, and the maximum
    relative error of rounding to the nearest floating-point number.
    Provide the separate names flo:ulp-of-one and flo:error-bound for
    these so that you're not even tempted to be confused by the name
    `epsilon'.
    
    (But continue to say `eps' in the proofs in the comments where it's
    obvious that we're talking about relative error bounds and a short
    name for that is essential for legibility.)

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg

commit fa257b411b3469fdc38c4af3e3eee2b15540b2f6
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 28 04:13:26 2018 +0000

    Tidy up error analysis of logit and logistic.
    
    Add (logit1/2+ p) = (logit (+ 1/2 p)) and (logistic-1/2 x) = (-
    (logistic x) 1/2), for reasons like log1p and expm1.  Add some
    trivial tests of the edge cases they cover where logit and logistic
    are ill-conditioned.

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-arith.scm

commit 6b0e6af0d6770eec0ab61da41cc44da5414322ec
Merge: f02ebc432 4620b35cd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 27 20:43:38 2018 -0700

    Merge branch 'release-10'

commit f02ebc432d9eeb8f668ab7a38ae429a891b89997
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:02:51 2018 -0700

    No need to separately configure plugins.

M	dist/make-src-files

commit 4cbe8331b034bac1c36216d9f80c52db94d3cce8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:02:36 2018 -0700

    Change "module" to "plugin".

M	src/Setup.sh

commit 4620b35cd4bdd140551bd3c302b9c54c03d341af
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 27 20:41:15 2018 -0700

    Eliminate compiler warning.

M	src/ffi/build.scm

commit 2952ef53eb154cdac3ed27daf664abfc106899f0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 27 16:49:09 2018 -0700

    Use create-dmg script to automate building of macOS image.

M	dist/make-macosx-app
M	dist/shared.sh

commit c11409f9c6082c6cc14da07342c3fbdebd18e7b4
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 27 15:40:58 2018 -0700

    Fix a couple of compiler warnings from 32-bit system.

M	src/microcode/confshared.h
M	src/microcode/lookup.c

commit ce8bea533ecf690122fe5d7ad6bcda851fcfb565
Merge: 3bcae6c75 4e5125a44
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 22:20:16 2018 -0700

    Merge branch 'release-10' of git.sv.gnu.org:/srv/git/mit-scheme into release-10

commit 3bcae6c7531a4d6ce27a0d6341e79edb44768a54
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 22:19:58 2018 -0700

    Fix thinko.

M	src/xml/xml-struct.scm

commit 6e5638eb754d71ea45c44c5903985ae42f1a1fdd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 22:19:42 2018 -0700

    Eliminate unavailable (and unused) load option.

M	src/ssp/load.scm

commit c6ab8c6f4ab07957b4ebb8a0202fe56fd0589c8a
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:45:23 2018 +0000

    Forgot to define this.  Ummm, I guess cref accidentally made it work?

M	src/runtime/arith.scm

commit 959de4dd211f728ecab352deab51e344c3c3f311
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:37:06 2018 +0000

    Expose flo:radix = 2 too, just for good measure, and for assertions.

M	src/runtime/runtime.pkg

commit b1e6736c1f33a6735b3e4de93a9b98734f52d59b
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:21:06 2018 +0000

    Export primitive flonum-denormalize as flo:ldexp and flo:scalbn.
    
    These are the familiar -- and when FLT_RADIX = 2, equivalent -- names
    for the operation in libm.
    
    `Denormalize' is not right: neither does it turn a normal number into
    a subnormal, nor does it put anything into a canonical interval like
    [1/2, 1) or [1, 2).  I personally favour `shift' -- it is, in Z, the
    same as the bitwise shift operation.  But unless anyone else wants to
    join me against this windmill I'll just stay with the familiar if
    ugly libm names.

M	src/runtime/primitive-arithmetic.scm
M	src/runtime/runtime.pkg

commit 9703b3c001b8d008bd80e4b3b5678ed8f8ebe9ce
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:11:27 2018 +0000

    Disable errno checking in libm functions.
    
    If there's a floating-point exception, we have a mechanism for
    dealing with it -- and continuing without a trap if the user so
    desires.
    
    Leave in the restriction on flo:log1p and flo:expm1 because those are
    implementation limitations in the i386 compiler; the full functions
    are implemented in the runtime.

M	src/microcode/flonum.c

commit 528f857892781a7352980f81e303d95348417b62
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:11:14 2018 +0000

    log1pexp(x) is never exactly x even if that's the best approximation.

M	src/runtime/arith.scm

commit 5342f7d27388e2fc5ee08a7ec139d9855b53552d
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:05:18 2018 +0000

    Tabify.

M	src/runtime/arith.scm

commit 91cd80f1fffb7e10e4c1a94d89f4b4c67943b336
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 02:04:17 2018 +0000

    Use named constants rather than magic numbers.

M	src/runtime/arith.scm

commit 3dc80642c54b5c8f3893ede0e3fa430d2f97bae3
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 01:39:58 2018 +0000

    Define and export some more floating-point parameters.

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg

commit 4e5125a443a57019b39f64e27e9236fd8b1c0814
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 17:52:46 2018 -0700

    Fix typo.

M	src/configure.ac

commit 1326bcb9ac9b6fca0a4802034cbb90624923b160
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 17:38:36 2018 -0700

    Update make-doc-files to work with plugins.

M	dist/make-doc-files
M	dist/shared.sh

commit 3b8b06a10a0b03cc5c918633bc96746ef0f555b3
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 00:37:54 2018 +0000

    test-driver is autocrud too.

M	src/blowfish/.gitignore
M	src/gdbm/.gitignore
M	src/mcrypt/.gitignore
M	src/pgsql/.gitignore
M	src/x11-screen/.gitignore
M	src/x11/.gitignore

commit f16103802fca95bc9316e7dcf66044424374e2ff
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 17:38:05 2018 -0700

    Change way that plugins are registered so that lib and doc are separate.
    
    This is needed when building just the documentation, as for the release.

M	src/blowfish/Makefile.am
M	src/ffi/build.scm
M	src/gdbm/Makefile.am
M	src/imail/Makefile.am

commit ecf3e6cb79574d90c0c4a89fd398e513bed9e943
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 00:23:12 2018 +0000

    Simple-minded criterion to compute x^-y by 1/x^y was too simple.
    
    For any |x| > 1, we can't do this without comparing the size of
    log(x) and y well enough to discern what might yield subnormal, so
    might as well just compute the general case then.

M	src/runtime/arith.scm
M	tests/runtime/test-arith.scm

commit f8eb94affe1c4a1cb83315b4e134701a5ffa077e
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sat Oct 27 00:03:42 2018 +0000

    Omit unnecessary case for logistic.  Add a test for this case.
    
    The relative error is small in naive evaluation of 1/(1 + e^{-x})
    even if x is very negative.

M	src/runtime/arith.scm
M	tests/runtime/test-arith.scm

commit 3271adb7849d2bbe8fb4b113b4358ccd8ef9bd55
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 26 16:47:16 2018 -0700

    Fix potential shell portability issues.

M	doc/configure.ac

commit 5e74bce403bc8fe8f8afa24f5ba90ff147de699a
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 23:41:39 2018 +0000

    Extend expt to generate subnormals with exact integer exponents.

M	src/runtime/arith.scm
M	tests/runtime/test-arith.scm

commit 73be98c4ab64941418a7773929ffa0ca6b9b34b2
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 23:32:37 2018 +0000

    Expose the minimum and maximum finite normal floating-point exponents.

M	src/microcode/utabmd.c
M	src/runtime/microcode-tables.scm
M	src/runtime/runtime.pkg

commit c5cd32d541e7f9d05861eeebce5a1330737dbe13
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 16:53:13 2018 +0000

    Add some .gitignore files so I can use git status.

A	src/.gitignore
A	src/blowfish/.gitignore
A	src/compiler/.gitignore
A	src/edwin/.gitignore
A	src/gdbm/.gitignore
A	src/imail/.gitignore
A	src/mcrypt/.gitignore
A	src/microcode/.gitignore
A	src/pgsql/.gitignore
A	src/x11-screen/.gitignore
A	src/x11/.gitignore
A	tests/ffi/.gitignore

commit cf30bbd6c86578ec9b219baa5752a70f4a786be0
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 16:20:09 2018 +0000

    New primitives for ChaCha stream cipher core.
    
    Should maybe provide a version that produces many blocks of output,
    and perhaps xor's them into an existing message, but this will do for
    my needs now.  Plan to use this for a PRNG.

A	src/microcode/chacha.h
A	src/microcode/chacha.i
A	src/microcode/chacha12.c
A	src/microcode/chacha20.c
A	src/microcode/chacha8.c
M	src/microcode/makegen/files-core.scm
A	src/microcode/prchacha.c
M	tests/check.scm
A	tests/microcode/test-chacha.scm

commit ea6d68294c662ad41f512c47848c413a6d29561d
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 16:17:41 2018 +0000

    Fix unparser->print method fallout.

M	src/compiler/base/object.scm

commit 9d0f0efb642975c549d718d37e878efd73cdc90c
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 16:17:10 2018 +0000

    Avoid using uninitialized stack garbage.

M	src/microcode/lookup.c

commit b07626c9c53f7ea6a33205987e944606df7b9c8c
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Fri Oct 26 16:15:28 2018 +0000

    clock() returns (clock_t)-1 on error, not necessarily negative.
    
    If clock_t is unsigned, n < 0 is always false.  Compare for equality
    with (clock_t)-1.

M	src/microcode/prosenv.c

commit bcb1744960d228f1f9e01b9da46fb5672f2c4b5a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 20:15:52 2018 -0700

    Add plugin docs to doc files.

M	dist/make-doc-files

commit b6a7256a0fff1c880ea8ce5ab9639d2a8f732a52
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 20:15:40 2018 -0700

    More version numbers.

M	src/blowfish/mit-scheme-blowfish.texi
M	src/gdbm/mit-scheme-gdbm.texi

commit 4f43a7ffcc71a4ec762388ce458ad0b340ad7766
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 20:15:26 2018 -0700

    Remove no-longer-needed args to configure.

M	dist/make-native-files

commit 7468fbcfbe6345d1722e3881335f0374338653ef
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:20:04 2018 -0700

    More version numbers.

M	doc/configure.ac
M	doc/mit-scheme.1

commit 92cb824a9b0da46b95462889bfbecb956bcf6609
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:06:25 2018 -0700

    Update some version numbers.

M	doc/ref-manual/scheme.texinfo
M	doc/user-manual/user.texinfo
M	src/configure.ac
M	src/runtime/version.scm

commit bc59bc60d2e3f054631aa98eef181b3ff1c2874a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:02:51 2018 -0700

    No need to separately configure plugins.

M	dist/make-src-files

commit 805083aaf133b50fcc936de444c9046bb12e48bb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 19:02:36 2018 -0700

    Change "module" to "plugin".

M	src/Setup.sh

commit 57217bc10ec35d5c785353b754afb05b57308600
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 14:21:08 2018 -0700

    Bug reported by Arthur: case-fold-string was dropping tail of string.

M	src/runtime/rexp.scm

commit d5c6c943f3629152aaf341216d45a44167acfcba
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 25 13:59:31 2018 -0700

    Add --no-init-file to those places that might be calls to 9.2.
    
    This isn't needed any more since --no-init-file is implied by --batch-mode, and
    can be removed after the next release.

M	src/Makefile.in
M	src/Setup.sh
M	src/configure.ac
M	src/etc/create-makefiles.sh
M	src/etc/make-native.sh
M	src/microcode/makegen/makeinit.sh

commit 1918c3bfe6a39559231d94486240ebff7e1114d1
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:33:57 2018 +0000

    Apply the same bound to the other region.

M	src/runtime/arith.scm

commit 2e98f20f338ffce154a57abca545183680088446
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:25:37 2018 +0000

    ...yes, I know how to count.

M	src/runtime/arith.scm

commit c1892b20f7690c6736b4e6a821ee4f491424b6d3
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:22:00 2018 +0000

    Catch more stray `.' loitering around.

M	src/runtime/arith.scm

commit 09d810ca0d68746ad1bbd525a8f4e93ed747794f
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:21:46 2018 +0000

    Clarify justification for ditching the denominator.

M	src/runtime/arith.scm

commit b3e1956b8a921c9d0bdc4cd6c2cd4a4d7dfb6eeb
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:20:53 2018 +0000

    log(a/b), not log(a)/log(b).

M	src/runtime/arith.scm

commit a52311f99613ab2bfb0152fba081a92cefddf3b5
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:16:50 2018 +0000

    Omit stray sentence terminator.

M	src/runtime/arith.scm

commit fa834172fd50fbd272cbc1c715ba6e48203a0f35
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:09:48 2018 +0000

    The bounds of Lemma 4 are <=, not <, as is this branch's condition.

M	src/runtime/arith.scm

commit 6c6db4beaee4e7f733607e01463430081083b8c2
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:05:59 2018 +0000

    Inadvertently substituted d0 for d2.  Fix.
    
    No change in conclusion -- there was no convenient cancellation or
    anything as a consequence of this.

M	src/runtime/arith.scm

commit 5ba71987eb302c7ae1052ee6005d1ef67191a3ce
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 05:02:39 2018 +0000

    I accidentally a predicate.

M	src/runtime/arith.scm

commit dc2aa86d88cd967db97453096f4434b987d5267b
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 04:57:30 2018 +0000

    Fix stray line, clarify, and simplify.

M	src/runtime/arith.scm

commit 2fb2a47fdfc74108437e444c4d61e8ca604536c7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 21:26:11 2018 -0700

    Allow overlap of imports provided that the imported values are eqv?.

M	src/runtime/library-imports.scm
M	src/runtime/library-loader.scm

commit f11e9b8087f5c8552b8f2fef2de898e0f0e0ab0c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 19:14:01 2018 -0700

    Implement scheme-report-environment and null-environment.

M	src/runtime/library-loader.scm
M	src/runtime/library-standard.scm
M	src/runtime/runtime.pkg

commit ee9f2f9dd5964fa89709409cb336c9a1705e5436
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 18:53:11 2018 -0700

    Add SRFI libraries.

M	src/runtime/library-standard.scm

commit 3705a211e12d9210455eda8814fc82dc65352fee
Merge: cfedfc2de 95aa59a2a
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 02:46:45 2018 +0000

    Merge branch 'riastradh-logisticerrbounds'

commit cfedfc2de1469c0c484c77e23adb088523954074
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 02:45:40 2018 +0000

    Compiling stuff depends on the cdecls' *-const.bin files.

M	src/x11/Makefile.am

commit 95aa59a2ade6ba911b789fb813c163c938793c87
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:47:22 2018 +0000

    Test some more edge cases.

M	tests/runtime/test-arith.scm

commit 4a6d8011bc32df244da495b3966a365921976af4
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:44:12 2018 +0000

    Test some edge cases for logit(near 1/2).

M	tests/runtime/test-arith.scm

commit 98c5fc10ffc17ebdf078401058fb9e22270e32bd
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:43:40 2018 +0000

    Use (assert-<= (relerr ...) bound) for better error messages.

M	tests/runtime/test-arith.scm

commit ed47f4d3b8dfe630104897543bb87faf0722a0e7
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:42:22 2018 +0000

    Fix sense of test.  Do this part only if 1 - p is guaranteed exact.

M	tests/runtime/test-arith.scm

commit c8896f40374003ee2f5b0ee238ddd7bacb9da845
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:41:53 2018 +0000

    Use and prove bounds for a better formula for logit-exp.

M	src/runtime/arith.scm

commit 72edcab7ca25c1548e9f0d2f9043fcc6e0d40e40
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 01:40:10 2018 +0000

    Clarify some of the proofs and logic.
    
    Style: Avoid log1p for anything but the floating-point approximation
    just to be extra-clear; write log(1 + ...) in the math otherwise.
    
    Reverse order of branches to make the condition (<= lo x hi) clearer.

M	src/runtime/arith.scm

commit 2e3c52bbb0d061fd595d0f5528e2a4ff8e34f17c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 17:09:59 2018 -0700

    Don't show compilation dependencies by default.

M	src/compiler/base/toplev.scm
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/x86-64/compiler.pkg

commit 2b9da75439e37ef7375c7d2b8ccccfefc081f12f
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Thu Oct 25 00:05:37 2018 +0000

    Use better formulas for logistic(negative) and logit(near 1/2).
    
    Prove some error bounds in comments.

M	src/runtime/arith.scm

commit 866bd126f0dde37536301b3fc057a2ec3384f3bf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 14:03:55 2018 -0700

    Fix up code to clean test subdirs.

M	tests/Clean.sh

commit 30a98a91430da8f832324390ffc0fb70aea3f099
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 24 13:57:24 2018 -0700

    Get FFI tests working when run from a build directory.

M	src/Makefile.in
M	src/run-build
M	tests/ffi/Makefile.am
M	tests/ffi/configure.ac
M	tests/ffi/test-ffi.sh

commit b68c95cb557fafe2f5fad2d7e6440cf773748e05
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 21:40:42 2018 -0700

    Fix capitalization of error messages.

M	src/runtime/error.scm

commit 2fc61607ab7914f231880bf2aa166ca9728ab14e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 21:28:42 2018 -0700

    Implement let-values and let*-values.

M	src/runtime/library-standard.scm
M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 0ad3e3626c8457563627f93b5daa01d950e68176
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 21:26:45 2018 -0700

    Change scode libraries to carry both imports and imports-used.

M	src/runtime/library-scode.scm
M	src/runtime/runtime.pkg
M	src/sf/sf.pkg
M	src/sf/toplev.scm

commit 2ab4c70a3323e8b98f3c844e74532d70bca4f48b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 20:18:48 2018 -0700

    Change ->environment to work with library names too.

M	src/runtime/environment.scm
M	src/runtime/library-database.scm
M	src/runtime/packag.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg

commit 48e1c3d3c0a5829e5dcb7b59ad8df12a718e18d7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 17:57:32 2018 -0700

    Rename current-load-library-db to current-library-db.

M	src/runtime/library-standard.scm
M	src/runtime/load.scm
M	src/runtime/runtime.pkg
M	src/sf/sf.pkg
M	src/sf/toplev.scm

commit bbc8be621eb951f503967428112915348c8f649e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 17:47:20 2018 -0700

    Add code to enable x11/x11-screen only if X is available.

M	src/configure.ac

commit 045baa9c929f4f273325c73886fcedcf10f34c6c
Merge: b2c532454 3fab110bc
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 14:12:52 2018 -0700

    Merge branch 'master' into makefile-refactor

commit b2c53245471c82aa3d6f8d8d5365de9c44c8ccc7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 14:09:47 2018 -0700

    Change plugin support to work in uninstalled build directory.

M	src/runtime/ffi.scm

commit c3beec9f73639da0da45c31b6a8e011111037749
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 14:08:56 2018 -0700

    Change cref/generate-trivial-constructor to default os-types compatibly.

M	src/cref/toplev.scm
M	src/edwin/edwin.sf

commit 7c35bdfa5241b6323c4d96305734c2ed96a2badf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 14:08:35 2018 -0700

    Support running edwin plugins in build directory.

M	src/imail/Makefile.am
M	src/x11-screen/Makefile.am
M	src/x11/Makefile.am

commit 500698e4cda9fb4c6cce3e2dd40022739f825bbc
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 23 14:07:26 2018 -0700

    Refactor plugins to simplify compilation.

M	src/Makefile.in
M	src/Setup.sh
M	src/blowfish/compile.scm
M	src/configure.ac
M	src/edwin/Makefile.am
M	src/etc/optiondb.scm
M	src/gdbm/compile.scm
M	src/imail/compile.scm
M	src/mcrypt/compile.scm
M	src/pgsql/compile.scm
M	src/x11-screen/compile.scm
C076	src/x11-screen/compile.scm	src/x11/compile.scm
M	src/x11/compile.sh

commit 3fab110bc5d8e5d050889c1eb301440d27b186b6
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Oct 23 11:39:51 2018 -0700

    find_binding_cell: no bindings in a null environment
    
    No need to fail an assert during test-library-loader neither.

M	src/microcode/lookup.c

commit 4728ef19eea2c37e86238763d28698deac1b064c
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Oct 22 23:49:21 2018 -0700

    Fix http-get; use binary IO and new open-binary-tcp-stream-socket.

M	src/runtime/http-client.scm
M	src/runtime/http-io.scm
M	src/runtime/http-syntax.scm
M	src/runtime/rfc2822-headers.scm
M	src/runtime/runtime.pkg
M	src/runtime/socket.scm

commit d1c3e99c9f7489c9ba6c7acc7e5bb2e084765cee
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 22 19:44:40 2018 -0700

    Eliminate use of 'all arg to cref/generate-constructors.

M	src/6001/6001.sf
M	src/compiler/machines/C/compiler.sf
M	src/compiler/machines/i386/compiler.sf
M	src/compiler/machines/svm/compiler.sf
M	src/compiler/machines/x86-64/compiler.sf
M	src/cref/cref.sf
M	src/ffi/compile.scm
M	src/runtime/infutl.scm
M	src/runtime/runtime.sf
M	src/sf/sf.sf
M	src/sos/compile.scm
M	src/ssp/compile.scm
M	src/star-parser/compile.scm
M	src/win32/win32.sf
M	src/xdoc/compile.scm
M	src/xml/compile.scm

commit 3588dc58b9354d10b9c986b03540b35d1e4a18f5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 22 19:43:51 2018 -0700

    Eliminate obsolete option.

M	src/runtime/optiondb.scm

commit f3fccac76a4e59711224ffb25b9f1d674b1649b5
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Mon Oct 22 16:35:50 2018 +0000

    Tighten range where it's worthwhile to evaluate this.

M	src/runtime/arith.scm

commit 701df207a7bda0b8f9c61647e1799272e4d680ed
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 22 01:06:31 2018 -0700

    More changes so that installation works sort-of right.

M	src/Makefile.in
M	src/blowfish/configure.ac
M	src/configure.ac
M	src/edwin/configure.ac
M	src/gdbm/configure.ac
M	src/imail/configure.ac
M	src/mcrypt/configure.ac
M	src/pgsql/configure.ac
M	src/x11-screen/Makefile.am
M	src/x11-screen/configure.ac
M	src/x11/configure.ac

commit 76e6fa27db81ecbc5ce103bc1360167b1f4695ff
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 22 00:04:11 2018 -0700

    Get plugins working using the top-level makefile.
    
    Probably still some bugs; note workarounds for interaction between edwin and
    blowfish/gdbm.  I'd like to fix those by making new plugins for the parts of
    edwin that use those; that way they're installed only if both edwin and the
    matching plugin is installed.

M	src/Makefile.in
M	src/blowfish/blowfish.pkg
M	src/blowfish/compile.scm
M	src/configure.ac
M	src/edwin/edwin.pkg
M	src/edwin/edwin.sf
M	src/edwin/make.scm
M	src/gdbm/compile.scm
M	src/gdbm/gdbm.pkg
M	src/imail/compile.scm
M	src/imail/compile.sh
M	src/imail/imail.pkg
M	src/mcrypt/compile.scm
M	src/mcrypt/mcrypt.pkg
M	src/pgsql/compile.scm
M	src/pgsql/pgsql.pkg
C078	src/imail/compile.scm	src/x11-screen/compile.scm
M	src/x11-screen/compile.sh
M	src/x11-screen/x11-screen.pkg
M	src/x11/compile.sh
M	src/x11/x11.pkg

commit f6d2b5f018c461a61f4a664a4ac333a5ad7a06a4
Merge: f2028d18a 717815db9
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 21 17:21:49 2018 -0700

    Merge branch 'makefile-refactor' of git.sv.gnu.org:/srv/git/mit-scheme into makefile-refactor

commit f2028d18adb7629f34b32278fc0bb50b22814d06
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 21 17:20:07 2018 -0700

    Initial draft of changes for optional modules.

M	src/Makefile.in
M	src/Setup.sh
M	src/configure.ac

commit c0ef3fe6b2a1fc2e1428b614d692b6a77a9100c8
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 21 17:14:34 2018 +0000

    Fix automake library goo.
    
    - Respect LDFLAGS in configure.
    - Let automake figure out the .lo files.
    - Specify -lX11 only if no pkg-config.

M	src/x11/Makefile.am
M	src/x11/configure.ac

commit 24b9752dd0fd3cd252532dcbf403fef692b932ab
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 21 16:30:48 2018 +0000

    Omit spurious redefinition of SCM in x11.h.

M	src/x11/x11.h

commit 575cd55c67b5453939d5753a7deb4017daabd60f
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 21 07:21:32 2018 +0000

    Simplify 5*eps and assume the number of digits we wrote down.

M	tests/runtime/test-arith.scm

commit 8decee26f13f3ef09abef2662d2c92b87aeef04c
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 21 07:15:32 2018 +0000

    Add logistic/logit-family functions.
    
    Inverse pairs:
    
    (logistic x) = 1/(1 + e^{-x})
    (logit p) = log p/(1 - p)
    
    (log-logistic x) = log 1/(1 + e^{-x})
    (logit-exp t) = log e^t/(1 - e^t)

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-arith.scm

commit eb9cd33fe73c202a449d1154c816465a98cecea3
Author: Taylor R Campbell <campbell@mumble.net>
Date:   Sun Oct 21 05:43:17 2018 +0000

    Define log1p and expm1 with no range limitations.

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-arith.scm

commit 717815db9c60ef68ac4551ca2864a8c356114abd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 20 19:13:44 2018 -0700

    Fix sloppy change: unintentionally downcased a file name.

M	src/compiler/machines/C/compiler.sf

commit df3a8bffbc0d789d464125319527f45bedc3c54e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 20 16:38:25 2018 -0700

    Fix C compiler warning of assigning register to itself.

M	src/compiler/machines/C/lapgen.scm

commit d2b8f3fa9a93e89f25340a3a7a4bc0a38a5a37aa
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 20 15:07:16 2018 -0700

    Add missing dependency.

M	src/Makefile.in

commit 2ea5eed0687749ef27b9f12c33453381a3d92d4d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 20 00:52:23 2018 -0700

    Fix typo in previous change.

M	src/compiler/machines/C/cutl.scm

commit b7a76fb1bde30427de74dce6597abf3d9261982b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:23:59 2018 -0700

    Don't use *-w32.* files for LIARC.

M	src/etc/utilities.scm
M	src/microcode/makegen/makegen.scm

commit 39c035fc710a45134199926272dfc8805fb9e02a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:23:42 2018 -0700

    Attempt to make LIARC lap files more readable.

M	src/compiler/base/toplev.scm
M	src/compiler/machines/C/cutl.scm

commit f85208f15856923c4b805e745963b9385888e768
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:23:02 2018 -0700

    Fix problem: MODULE_CFLAGS no longer exists.

M	src/microcode/liarc-cc.in

commit 24bcebfb74c578bf65cf1a3c87c5c348c1cb0230
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:22:26 2018 -0700

    For --with-scheme-build, no need to make pathname absolute.

M	src/configure.ac

commit 61944d61b5b89d9280997628c37a0fa996f33cb9
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:21:29 2018 -0700

    Implement MIT_SCHEME_COMPILER_TARGET for TL and microcode configuration.

M	src/configure.ac
M	src/microcode/aclocal.m4
M	src/microcode/configure.ac

commit 097f86c59f4d22ba9b92ea08ad9cfdb9687ca1b2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:19:07 2018 -0700

    Fix bug in LIARC that tried to compile unused code.

M	src/compiler/machines/C/decls.scm

commit 0e9b1cfb05d32ba52d0a19c636b2bcc9932c6f82
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:18:08 2018 -0700

    Fix bug in LIARC code generator.

M	src/compiler/machines/C/rules1.scm

commit 0ea8d997be2a526616200d2ce3e5601564f5e8bf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 19 20:16:29 2018 -0700

    Adapt LIARC to use new strings.

M	src/compiler/machines/C/cout.scm
M	src/compiler/machines/C/ctop.scm
M	src/compiler/machines/C/stackify.scm
M	src/compiler/machines/C/stackops.scm

commit 0d321ee989a0789681e0f100cf4c5b7b52fa8216
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 18 16:05:17 2018 -0700

    Add --with-scheme-build to simplify building from another build.

M	src/configure.ac

commit 75143d4bd2d5322d2480b1315c5c4b42091ffb95
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 18 01:25:27 2018 -0700

    Another major refactoring, to split up cross host/target.
    
    Primary testing so far is for SVM.  To build SVM from 9.2 x86-64, do the
    following:
    
    1. Generate a new build with an SVM compiler:
         ./configure --with-compiler-target=svm
         make
    
    2. Create a second build configured with:
         ./configure --enable-native-code=svm --enable-cross-compiling
         make
         make cross-target

M	src/Makefile.in
M	src/configure.ac

commit 3c1ec33b4f9176914dd6d7f7d8e7cbc6377af0f0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 18 01:24:21 2018 -0700

    Update MacOSX -> macOS.

M	src/microcode/configure.ac

commit 12aa30f28f290d59b5c3cc814698e8012ceaad55
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 17 14:47:46 2018 -0700

    Add "run-build" shell script to simplify working with uninstalled builds.

A	src/run-build

commit 194e3f7e2265e5c065886f671a093d4ea43c190d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 17 14:47:24 2018 -0700

    Bump version number coming into release.

M	src/runtime/version.scm

commit 7d2397c9308249838f1ecbb77a7ba6465388a313
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 16 19:28:14 2018 -0700

    Split handling of compiler target from host architecture.

M	src/configure.ac
M	src/microcode/aclocal.m4

commit bbd3e569d04727498a047a0421dbfca342b587d9
Merge: d73a9b9fb 25bd7e35e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 16 00:22:23 2018 -0400

    Merge branch 'master' into makefile-refactor

commit 25bd7e35e8f9c8908790b789cd4f7d612adbe433
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 15 21:14:55 2018 -0700

    Load macros needed by machines/svm/machine.

M	src/compiler/machines/svm/compile-assembler.scm

commit 02bf166297695b9f7ec1a0a3704bca8e96f6d53f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 15 21:14:06 2018 -0700

    Forgot to make changes to other compiler.pkg files.
    
    One of these days this stuff will be shared.

M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/svm/compiler.pkg

commit f02efe59958f4fa8065f2c7f58c4d498e7047962
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 15 21:07:20 2018 -0700

    Eliminate warning about old-style function declaration.

M	src/microcode/svm1-interp.c

commit d73a9b9fb0c0c2a0286bebe8245a2f99e147a442
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 23:18:15 2018 -0700

    Load macros needed by machines/svm/machine.

M	src/compiler/machines/svm/compile-assembler.scm

commit 9b64a92b205192e9ffae86e9c91328a5e1015b10
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 21:54:12 2018 -0700

    Add back guarantee since it's needed for compiling svm.

M	src/runtime/host-adapter.scm

commit 3edf9d94841d2b4e0ae224d5592c56cb92517a16
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 21:53:52 2018 -0700

    Guarantee that SF is loaded by compiler.sf.

M	src/Makefile.in
M	src/compiler/machines/C/compiler.sf
M	src/compiler/machines/i386/compiler.sf
M	src/compiler/machines/svm/compiler.sf
M	src/compiler/machines/x86-64/compiler.sf

commit ea7de1e4a4c7e10d1f96f2d24afc70bbe1cec6df
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 20:50:20 2018 -0700

    Eliminate a bunch of now-unnecessary stuff from host-adapter.

M	src/cref/cref.sf
M	src/runtime/host-adapter.scm

commit 73a3bca87547b9bc51cab4af0ea80bbb3dbf4c25
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 19:48:43 2018 -0700

    Refactor top-level Makefile to use a single pass.

M	src/Makefile.in
D	src/Makefile.tools.in
M	src/configure.ac
M	src/runtime/host-adapter.scm
M	src/runtime/runtime.sf

commit 15cddda2ab341f1bb69f4af9afe344ea50fedd5d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 14 18:46:32 2018 -0700

    Fix bug where the result of char-upcase is multibyte.
    
    This was previously hidden because the compiler isn't doing range checking on
    the third argument to bytevector-u8-set!.

M	src/runtime/rgxcmp.scm

commit 2a837668fa48442b2a5d500895c65a77217a5517
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 13 21:38:16 2018 -0700

    Remove redundant clause from test for unquoted symbols.

M	src/runtime/printer.scm

commit 48633b12e927683d4b06adced96c30cc17847f9f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 13 20:03:39 2018 -0700

    Don't print "program" for R7RS top-level.

M	src/runtime/printer.scm

commit 99b600327c30a187253cdde9c6b5de4ee74e0e43
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 13 19:54:58 2018 -0700

    Extensive work to get compiler to work with R7RS libraries.
    
    The bulk of the work is to refactor the debugging info so that it's generated
    and consumed properly; this required upgrading the version and introducing a new
    top-level info form.
    
    I also eliminated the now-ancient and unused BSM file support, which was making
    things more difficult than necessary.
    
    The compiler top level required only to detect an R7RS input file and to compile
    each part separately, plus collecting all of the debugging information from the
    parts.  Some tweaks were used to make RTL/LAP files work right with multiple
    roots.
    
    Finally, the runtime system was modified so that compiled-code blocks and
    entries now show the R7RS library name if there is one, both when printed and in
    various other places.

M	src/compiler/base/asstop.scm
M	src/compiler/base/crsend.scm
M	src/compiler/base/toplev.scm
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/C/ctop.scm
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/i386/dassm1.scm
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/svm/disassembler.scm
M	src/compiler/machines/x86-64/compiler.pkg
M	src/compiler/machines/x86-64/dassm1.scm
M	src/runtime/conpar.scm
M	src/runtime/infstr.scm
M	src/runtime/infutl.scm
M	src/runtime/library-scode.scm
M	src/runtime/printer.scm
M	src/runtime/runtime.pkg

commit 1d8a9318f3d1c7a632ef5e0e0f8d998dbaf457f0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 13 19:44:40 2018 -0700

    Fix bug: reference caches weren't working right without global env.
    
    The problem arises when there's a compiled file that does something like this:
    
        (define foo ...)
        ...
        foo
    
    What happens is that the linker creates a cache for 'foo' before evaluating
    code; there's no binding for 'foo' yet but one is needed for the cache.  In the
    case where the evaluation environment extends to the global environment, this is
    handled by making a placeholder in the global environment.
    
    However, if the topmost frame is not the global environment, it was creating a
    dummy cell that wasn't connected to any environment.  Consequently, when the
    definition was evaluated, it created a new binding, but since there was no old
    binding in the environment chain, the dummy cache wasn't updated to the new
    binding's cell.
    
    I've fixed this by forcing the creation of an unbound cell in the outermost
    environment (i.e. the one with the null environment as its parent).  This is
    essentially the same solution that's used when the global environment is
    present, with the outermost environment playing the role of global.

M	src/microcode/lookup.c

commit 6fa641e09ec0dee405f8fa8151dc87bdcc3bcf98
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 12 15:49:43 2018 -0700

    Refactor compiler top level to do info-file dump as late as possible.
    
    This is to support compiling R7RS libraries as if they were independent files,
    and gathering all their debug info together before writing it out.

M	src/compiler/base/asstop.scm
M	src/compiler/base/crstop.scm
M	src/compiler/base/toplev.scm
M	src/compiler/machines/C/ctop.scm

commit 6f360560c3f66be3987bce5bdfa48fa0c6a0a179
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Oct 12 23:32:26 2018 -0700

    Install plugin html/pdf documentation in project docdir.
    
    Override docdir.  Enhance the update-html-index procedure to look for
    PROJECT-PLUGIN.html as well as PLUGIN.html.

M	src/berkeley-db/configure.ac
M	src/blowfish/Makefile.am
M	src/blowfish/configure.ac
M	src/edwin/configure.ac
M	src/ffi/build.scm
M	src/gdbm/Makefile.am
M	src/gdbm/configure.ac
M	src/imail/Makefile.am
M	src/imail/configure.ac

commit 63e6cf400bf6ddeb46927d4bf06472bae9ac08b0
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Oct 9 23:56:34 2018 -0700

    Make Edwin and Imail separately installable projects.
    
    Do not build them with the core.  Build them after certain plugins are
    installed.

M	dist/shared.sh
M	doc/Makefile.in
M	doc/configure.ac
M	doc/ffi/ffi.texinfo
D	doc/imail/Makefile.in
M	doc/index.html
M	doc/info-dir
M	doc/mit-scheme.1
M	doc/user-manual/user.texinfo
M	src/Makefile.in
M	src/Setup.sh
M	src/berkeley-db/configure.ac
M	src/configure.ac
A	src/edwin/AUTHORS
A	src/edwin/COPYING
A	src/edwin/ChangeLog
D	src/edwin/Makefile-fragment
A	src/edwin/Makefile.am
A	src/edwin/NEWS
M	src/edwin/README
A	src/edwin/TUTORIAL
A	src/edwin/autogen.sh
A	src/edwin/compile.sh
A	src/edwin/configure.ac
M	src/edwin/editor.scm
M	src/edwin/edwin.pkg
M	src/edwin/edwin.sf
M	src/edwin/filcom.scm
M	src/edwin/fileio.scm
M	src/edwin/make.scm
M	src/edwin/nntp.scm
A	src/edwin/sources.sh
M	src/etc/build-bands.sh
M	src/etc/compile.scm
M	src/etc/create-makefiles.sh
M	src/etc/optiondb.scm
M	src/etc/utilities.scm
A	src/imail/AUTHORS
A	src/imail/COPYING
A	src/imail/ChangeLog
D	src/imail/Makefile-fragment
A	src/imail/Makefile.am
A	src/imail/NEWS
C071	src/edwin/README	src/imail/README
A	src/imail/autogen.sh
M	src/imail/compile.scm
A	src/imail/compile.sh
A	src/imail/configure.ac
M	src/imail/imail.pkg
D	src/imail/install.sh
D	src/imail/load.scm
A	src/imail/make.scm
R099	doc/imail/imail.texinfo	src/imail/mit-scheme-imail.texi
M	src/runtime/command-line.scm
M	src/runtime/global.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-syncproc.scm

commit 744f27247350d39adc2640f959afda4722a7abf1
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Oct 9 21:05:03 2018 -0700

    runtime/optiondb: Document new arg for further-load-options.

M	src/runtime/optiondb.scm

commit 9999cb0b2b929890f85a723ef60af68d9965bdcf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 9 19:53:29 2018 -0700

    Fix bug in test-rgxcmp: was using iso-8859-1 coding, not utf-8.

M	tests/runtime/test-rgxcmp.scm

commit e7c439bc9a961a188eaf6678a4a109ebf97af3e1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Oct 9 19:52:46 2018 -0700

    Fix thinko in string reader: first octal digit is in range 0-3.

M	src/runtime/reader.scm

commit 1a4777cb3997d65536f54038c4ecf7605b579a06
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 8 16:11:55 2018 -0700

    Add stubs for R7RS library support so that SF works.

M	src/runtime/host-adapter.scm

commit 0c10f852c01c9a48aece4e8f3ebfc49f111ee0fc
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 22:56:24 2018 -0700

    Split library scode to a package; raise abstraction level.

M	src/runtime/library-database.scm
M	src/runtime/library-imports.scm
M	src/runtime/library-loader.scm
A	src/runtime/library-scode.scm
M	src/runtime/runtime.pkg
M	src/sf/sf.pkg
M	src/sf/toplev.scm

commit b08698f411add9055ccabb30a0b213420d8007c7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 22:55:24 2018 -0700

    Don't wrap a compiled-expression object in scode-quote.
    
    It only causes confusion when expecting a bare expression and instead see it as
    quoted.

M	src/runtime/unsyn.scm

commit f67beb1e22ab7bf6370a7c57121959f763a1f893
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 18:07:19 2018 -0700

    Get loader to work with R7RS files processed with SF.

M	src/runtime/library-loader.scm
M	src/runtime/library-standard.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-environment.scm
M	src/runtime/syntax-low.scm
M	src/runtime/syntax.scm

commit 7b731920cea8ea779887a198676e034914014245
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 18:07:09 2018 -0700

    Fix typo.

M	tests/runtime/test-library-data/dependencies.scm

commit 8ed2516418d8f4329158538c7e88c90d1d3b6da8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 15:16:40 2018 -0700

    Make better abstraction for scode-library files.

M	src/runtime/library-database.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-standard.scm
M	src/runtime/runtime.pkg
M	src/runtime/scode.scm
M	src/sf/sf.pkg
M	src/sf/toplev.scm
M	src/sf/xform.scm

commit 84ad638b32ff7c7a9717a5345737a34be22e3d9c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 15:15:48 2018 -0700

    Change printer to prefix scode types with "scode-".

M	src/runtime/printer.scm

commit 7874f42dc3b304475d695d6ff89238d4bbc0a674
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Oct 7 13:27:04 2018 -0700

    Get SF working on R7RS files.  Loader needs to be modified to load them.

M	src/runtime/library-database.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-standard.scm
M	src/runtime/runtime.pkg
M	src/sf/pardec.scm
M	src/sf/sf.pkg
M	src/sf/subst.scm
M	src/sf/toplev.scm
M	src/sf/xform.scm

commit bf6b7b0bcbb27df59f81ce67f60b2a88303911c3
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 6 21:12:45 2018 -0700

    Change automatic-properties to support multiple values.

M	src/runtime/library-database.scm

commit 9f67bcd9f6c364c84fb81d250a2c09c5fc56d072
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 6 17:06:49 2018 -0700

    Change the loader so that it can load R7RS source files.
    
    Now to make compiled files work.  :)

M	src/runtime/library-database.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-standard.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg

commit ee9b96914dfcf86b10af113cb11b9a4b764ecbcc
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Oct 6 16:28:42 2018 -0700

    Another rewrite, this time to treat programs as anonymous libraries.
    
    This change simplifies handling programs since they can now use the machinery
    developed for libraries.  So now r7rs-source is just a combination of some
    libraries and an optional program.
    
    Also added property 'imports-environment to get the environment prior to
    evaluation.

M	src/runtime/library-database.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-parser.scm
M	src/runtime/runtime.pkg
M	tests/check.scm
M	tests/runtime/test-library-data/support-code.scm
A	tests/runtime/test-library-loader.scm
M	tests/runtime/test-library-parser.scm

commit 4576f0b46adeb6a97c1426781cd22c038b83adda
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Oct 5 22:31:21 2018 -0700

    Major rewrite of library support.
    
    New design is organized around adding properties to a library as they are
    computed, coupled with "automatic" properties that can compute themselves from
    existing ones.
    
    Basic stuff all works, and I'm able to get the R7RS example running.

M	src/runtime/library-database.scm
M	src/runtime/library-imports.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-parser.scm
M	src/runtime/library-standard.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg
A	tests/runtime/test-library-data/r7rs-example.scm
M	tests/runtime/test-library-data/support-code.scm
M	tests/runtime/test-library-imports.scm
M	tests/runtime/test-library-parser.scm
M	tests/runtime/test-library-standard.scm

commit 11dcd292d4bc2139406293cf09eea1a3dfb2167b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 4 20:35:45 2018 -0700

    Implement test-library-standard and fix bugs.

M	src/runtime/library-database.scm
M	src/runtime/library-standard.scm
M	src/runtime/runtime.pkg
M	tests/check.scm
A	tests/runtime/test-library-standard.scm

commit 2094b8d28e1a0f0aa42e60355f8fb5b86161c58d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Oct 4 20:17:33 2018 -0700

    Reverse order of args to make-library-import and make last optional.

M	src/runtime/library-imports.scm
M	tests/runtime/test-library-imports.scm

commit d2dd05db21fcc8ae23c48610cdbfd59d6492a039
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 3 23:00:04 2018 -0700

    Fix over-long line.

M	tests/runtime/test-library-imports.scm

commit 6ab4647ce98404852600c500d0c7977947625480
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 3 22:59:25 2018 -0700

    Initial draft of test-library-imports, plus bug fixes.

M	src/runtime/library-database.scm
M	src/runtime/library-imports.scm
M	src/runtime/library-loader.scm
M	src/runtime/library-parser.scm
M	src/runtime/library-standard.scm
M	src/runtime/runtime.pkg
M	tests/check.scm
A	tests/runtime/test-library-data/dependencies.scm
C057	tests/runtime/test-library-parser.scm	tests/runtime/test-library-data/support-code.scm
A	tests/runtime/test-library-imports.scm
M	tests/runtime/test-library-parser.scm

commit 72037363015ebe9fb7c6f5409d73262910d311c2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Oct 3 16:53:20 2018 -0700

    Implement test-library-parser and fix bugs in library-parser.

M	src/runtime/library-parser.scm
M	src/runtime/runtime.pkg
M	tests/check.scm
A	tests/runtime/test-library-data/foo-bar-1.scm
A	tests/runtime/test-library-data/foo-bar-2.scm
A	tests/runtime/test-library-data/foo-foo.scm
A	tests/runtime/test-library-parser.scm

commit 54eecf0b08d1e32e89c9441e4d7e10fb58c3c5f5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 1 23:15:02 2018 -0700

    Simplify implementation slightly.

M	src/runtime/bundle.scm

commit 811678039b7c385d586d14acdaa70cc574b5782e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Oct 1 23:13:38 2018 -0700

    Allow more general record predicates.
    
    Rather than insisting on a linear inheritance of record types, the record
    predicate now allows arbitrary sub-type relations.  This can of course cause
    problems if misused, so use with care.

M	src/runtime/record.scm

commit 201249b2b7c24b81c6f20921c8e5937f467272bf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Sep 30 23:25:15 2018 -0700

    Change default text I/O format to be UTF-8.

M	src/runtime/generic-io.scm

commit c80e3b44e0906e878c5bf7275e49b3a654776590
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Sep 30 23:24:50 2018 -0700

    Change random to use a binary input file for initializing.

M	src/runtime/random.scm

commit 3fe91adfa77ac419c8ead2c66a89a21363ce939a
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Thu Sep 20 00:50:18 2018 -0700

    Use (further-load-options #t); recommend it in the plugin READMEs.

M	src/blowfish/README
M	src/blowfish/optiondb.scm
M	src/gdbm/README
M	src/gdbm/optiondb.scm
M	src/mcrypt/README
M	src/mcrypt/optiondb.scm
M	src/pgsql/README
M	src/pgsql/optiondb.scm
M	src/x11-screen/README
M	src/x11-screen/optiondb.scm
M	src/x11/README
M	src/x11/optiondb.scm
M	tests/ffi/optiondb.scm

commit dc1509a71b0dcb373336d33d98b31d381ba3fb15
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Thu Sep 20 00:37:22 2018 -0700

    Add (further-load-options #t): continue with the next optiondb.
    
    This is intended for test optiondbs or optiondbs in user directories
    prepended to the system library-directory-path.

M	src/runtime/option.scm
M	src/runtime/runtime.pkg

commit 9d557837bf3e8d44071f439ec2833141569a897a
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Thu Sep 20 00:33:18 2018 -0700

    User manual: move plugin build hints to plugin READMEs.

M	doc/user-manual/user.texinfo
M	src/blowfish/README
M	src/gdbm/README
M	src/mcrypt/README
M	src/pgsql/README
M	src/x11-screen/README
M	src/x11/README

commit 2f10c078ade9ebe8bc80be0a8c3f243ca9b4b2cd
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sun Sep 16 15:12:04 2018 -0700

    Fix Edwin to recognize the x11-screen option during testing.

M	src/edwin/xterm.scm
M	src/x11-screen/x11-screen-check.sh

commit 982b67b69d0f862694ec7f6c505b1f5c5ca72c76
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Sep 14 19:06:11 2018 -0400

    Tweak README to indicate correct order for tests.

M	src/x11-screen/README

commit 3e36d1cc51b410dbb6477e9853f91a9bb317593e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Sep 14 19:04:57 2018 -0400

    Fix indentation.

M	src/x11-screen/x11-screen.pkg

commit 9637f47bd86b9a7a8a6be20d21d25fdc62c8c481
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Sep 14 19:04:24 2018 -0400

    Tweaks to get Edwin running on macos.

M	src/x11-screen/x11-screen.pkg

commit 9c514ecfbb7fe32b8d2ab176b4cf07c79c2bc50f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Sep 14 14:38:04 2018 -0400

    Couple more tweaks to get macos running.

M	src/x11/Makefile.am

commit 7c56396f311e7787574c8ae62f3a5c31f376b695
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Sep 14 14:13:53 2018 -0400

    Changes to get X11 module to compile on macos.

M	src/x11/Makefile.am
M	src/x11/configure.ac
M	src/x11/x11.h
M	src/x11/x11base.c
M	src/x11/x11graph.c
M	src/x11/x11term.c

commit fa139471b3706df59bd3292fab4e497a9262e75e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Sep 5 18:26:12 2018 -0700

    Reset start times of threads when restoring image.

M	src/runtime/thread.scm

commit 3e5209d32d0d8dcafa173ce23f124d08b5138539
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Sep 5 18:09:56 2018 -0700

    Fix problem with printing of SOS instances.

M	src/sos/instance.scm
M	src/sos/tvector.scm

commit 3dc1d33db76ef788d029a0eefdf32aa173af4eec
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sun Jul 29 18:10:33 2018 -0700

    x11: Fix x-list-fonts procedure.

M	src/x11/NEWS
M	src/x11/configure.ac
M	src/x11/make.scm
M	src/x11/x11-base.scm

commit 1f9de0636c599aa6200d6cff346934c1e784b434
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Sun Jul 29 18:09:38 2018 -0700

    blowfish: Remove boast from ancient description in manual.

M	src/blowfish/NEWS
M	src/blowfish/configure.ac
M	src/blowfish/make.scm
M	src/blowfish/mit-scheme-blowfish.texi

commit c19d15ff589b9a61ad38614aef5ba12aa5cecd84
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Thu Jul 19 08:18:11 2018 -0700

    x11: version 1.1

M	src/x11/NEWS
M	src/x11/configure.ac
M	src/x11/make.scm

commit c71e69ea5cd2916ece3a15718c1c774df8b2de91
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Jul 16 16:05:24 2018 -0700

    microcode/uxio.c (OS_channel_read): Return 0 for EIO from pty master

M	src/microcode/uxio.c

commit c9ad6eab69ab8867eefcc7720e36d54534534459
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jul 3 10:05:37 2018 -0500

    ffi: Avoid 9.1's expansion of define-print-method.

M	src/runtime/ffi.scm

commit 8b0267e0870c4db31b69ff8fb9af828e42afa84c
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Jun 25 14:57:36 2018 -0700

    blowfish/Makefile.am: compile.sh missing from EXTRA_DIST.

M	src/blowfish/Makefile.am

commit 5b5bcd88934b43258c1cd4bba5748a5deb49fbf2
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Jun 25 14:56:40 2018 -0700

    x11: Actually export import-x11.

M	src/x11/README
M	src/x11/x11.pkg

commit 38a01aac203925429e4a26afee8dd33110349cc0
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:19:33 2018 -0700

    Fix x11-screen plugin for autoloading by Edwin's new x-display-type.

M	src/x11-screen/NEWS
M	src/x11-screen/compile.sh
M	src/x11-screen/configure.ac
M	src/x11-screen/make.scm
M	src/x11-screen/x11-screen.pkg
M	src/x11-screen/x11-screen.scm

commit f60ff90716b7851b814584ab640dff41ee0442c9
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:14:45 2018 -0700

    Replace Edwin's X display type with the x11-screen plugin.

M	src/edwin/decls.scm
M	src/edwin/ed-ffi.scm
M	src/edwin/edwin.ldr
M	src/edwin/edwin.pkg
D	src/edwin/key-x11.scm
M	src/edwin/kilcom.scm
D	src/edwin/xcom.scm
D	src/edwin/xmodef.scm
M	src/edwin/xterm.scm

commit 1f8d8b25c78dbf1b45d0643d7144b9bda7d55dd3
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:06:29 2018 -0700

    Punt remains of µmodule support.

M	src/microcode/configure.ac
M	src/microcode/liarc-ld.in
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc

commit eabbb5521c6f90d870260c4f2952ad3e297f5e92
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 04:10:28 2018 -0700

    Punt x11 µmodule; autoload x11 plugin version 1.0.

M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/files-optional.scm
D	src/microcode/prx11.c
D	src/microcode/x11.h
D	src/microcode/x11base.c
D	src/microcode/x11color.c
D	src/microcode/x11graph.c
D	src/microcode/x11term.c
M	src/runtime/make.scm
M	src/runtime/runtime.pkg
M	src/runtime/x11graph.scm
M	src/x11/NEWS
M	src/x11/README
M	src/x11/compile.sh
M	src/x11/configure.ac
M	src/x11/make.scm
M	src/x11/x11-device.scm
M	src/x11/x11.pkg
A	src/x11/x11.scm

commit 3d604516d7f4d95a5819cb4eace0837c5ae47d29
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 02:20:22 2018 -0700

    Punt mcrypt µmodule; autoload mcrypt plugin version 1.0.

M	src/mcrypt/NEWS
M	src/mcrypt/README
M	src/mcrypt/configure.ac
M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/files-optional.scm
D	src/microcode/prmcrypt.c
M	src/runtime/crypto.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg

commit c9653f0c2d0f45c14119f2c196e51488a88a534f
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:37:10 2018 -0700

    Punt db4 µmodule; remove to incomplete berkeley-db plugin.

A	src/berkeley-db/README
R100	src/runtime/berkeley-db.scm	src/berkeley-db/berkeley-db.scm
A	src/berkeley-db/configure.ac
R100	src/microcode/prdb4.c	src/berkeley-db/prdb4.c
R100	src/microcode/prdb4.scm	src/berkeley-db/prdb4.scm
M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in

commit 5ba5696273aed5ad0122badc957b73a711a1757d
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 04:30:45 2018 -0700

    Punt pgsql µmodule; autoload pgsql plugin version 1.0.

M	doc/user-manual/user.texinfo
M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/files-optional.scm
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc
D	src/microcode/prpgsql.c
M	src/pgsql/NEWS
M	src/pgsql/README
M	src/pgsql/configure.ac
M	src/pgsql/make.scm
M	src/pgsql/pgsql-check.sh
M	src/pgsql/pgsql.pkg
M	src/pgsql/pgsql.scm
M	src/runtime/optiondb.scm
M	src/runtime/pgsql.scm
M	src/runtime/runtime.pkg

commit b849e75fd31e835ab14b919bb7cb027193e874d4
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:35:31 2018 -0700

    Punt bfish µmodule; autoload blowfish plugin version 1.0.

M	src/blowfish/NEWS
M	src/blowfish/README
R100	tests/runtime/test-blowfish.scm	src/blowfish/blowfish-test.scm
M	src/blowfish/configure.ac
M	src/blowfish/make.scm
M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/files-optional.scm
M	src/microcode/ntutl/config.h
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc
D	src/microcode/prbfish.c
M	src/runtime/blowfish.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg
M	tests/check.scm

commit 1dcdb31e2fa09e77b957c9ab06d5446dab496ea1
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 01:16:54 2018 -0700

    Punt gdbm µmodule; autoload gdbm plugin version 1.0.

M	doc/user-manual/user.texinfo
M	src/gdbm/NEWS
M	src/gdbm/README
M	src/gdbm/configure.ac
M	src/gdbm/gdbm-check.sh
M	src/gdbm/gdbm.pkg
M	src/gdbm/gdbm.scm
M	src/gdbm/make.scm
M	src/gdbm/optiondb.scm
M	src/microcode/configure.ac
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/files-optional.scm
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc
D	src/microcode/prgdbm.c
M	src/runtime/gdbm.scm
M	src/runtime/optiondb.scm
M	src/runtime/runtime.pkg

commit 14f930964570744998a819d9a59fd76c1eaefced
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:21:04 2018 -0700

    Deprecate without-interrupts.

M	src/runtime/runtime.pkg

commit 630674bc970bb922725b17cd896e187cc927e1f1
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:23:01 2018 -0700

    Make FFI a non-optional subsystem.

M	src/runtime/make.scm
M	tests/check.scm

commit 5a77b4cc7c287a1f64d58d7fb770121e564849d6
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:22:08 2018 -0700

    Export FFI's delete-plugin-list and update-plugin-indices.

M	src/runtime/runtime.pkg

commit a199701c097bea975f24e1c256a8d80bb72d7e32
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 22 03:20:04 2018 -0700

    Update FFI manual.

M	doc/ffi/ffi.texinfo

commit 3dfe974427943a683381bd2c9ce980b54daa056b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Jun 12 20:51:48 2018 -0700

    Change nearly all code to use parameterize rather than parameterize*.

M	src/6001/edextra.scm
M	src/6001/nodefs.scm
M	src/compiler/base/debug.scm
M	src/compiler/base/object.scm
M	src/compiler/base/toplev.scm
M	src/compiler/machines/i386/dassm1.scm
M	src/compiler/machines/svm/disassembler.scm
M	src/compiler/machines/x86-64/dassm1.scm
M	src/edwin/artdebug.scm
M	src/edwin/autold.scm
M	src/edwin/bufcom.scm
M	src/edwin/bufinp.scm
M	src/edwin/bufout.scm
M	src/edwin/debug.scm
M	src/edwin/editor.scm
M	src/edwin/evlcom.scm
M	src/edwin/eystep.scm
M	src/edwin/filcom.scm
M	src/edwin/hlpcom.scm
M	src/edwin/intmod.scm
M	src/edwin/prompt.scm
M	src/edwin/schmod.scm
M	src/edwin/winout.scm
M	src/ffi/build.scm
M	src/ffi/cdecls.scm
M	src/imail/imail-util.scm
M	src/runtime/advice.scm
M	src/runtime/command-line.scm
M	src/runtime/dbgutl.scm
M	src/runtime/debug.scm
M	src/runtime/error.scm
M	src/runtime/ffi.scm
M	src/runtime/file-io.scm
M	src/runtime/framex.scm
M	src/runtime/infutl.scm
M	src/runtime/load.scm
M	src/runtime/mit-macros.scm
M	src/runtime/ntdir.scm
M	src/runtime/option.scm
M	src/runtime/pp.scm
M	src/runtime/prgcop.scm
M	src/runtime/printer.scm
M	src/runtime/rep.scm
M	src/runtime/savres.scm
M	src/runtime/stack-sample.scm
M	src/runtime/string-io.scm
M	src/runtime/structure-parser.scm
M	src/runtime/swank.scm
M	src/runtime/syntax-rename.scm
M	src/runtime/syntax.scm
M	src/runtime/textual-port.scm
M	src/runtime/thread.scm
M	src/runtime/unsyn.scm
M	src/runtime/unxdir.scm
M	src/runtime/usrint.scm
M	src/runtime/world-report.scm
M	src/runtime/wrkdir.scm
M	src/sf/cgen.scm
M	src/sos/microbench.scm
M	src/ssp/xhtml-expander.scm
M	src/ssp/xmlrpc.scm
M	tests/unit-testing.scm

commit a877627231608cfecea5a789062a0d1bd2ba670c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Jun 12 20:10:50 2018 -0700

    Define parameterize using syntax-rules and add it to the host adapter.

M	src/runtime/host-adapter.scm
M	src/runtime/mit-macros.scm

commit 71cf6bfa4bc48acf4989c6a29859e615296a1f27
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Jun 9 20:51:54 2018 -0700

    Not-yet-complete implementation of R7RS libraries.

M	src/runtime/library-database.scm
A	src/runtime/library-imports.scm
A	src/runtime/library-loader.scm
M	src/runtime/library-parser.scm
M	src/runtime/library-standard.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-environment.scm
M	src/runtime/syntax.scm

commit ae419a1012e6b42c8bf6d834a2a3ed4672672699
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jun 6 08:49:35 2018 -0700

    microcode/extern.h (HASH_TO_FIXNUM): typo

M	src/microcode/extern.h

commit 8ab4a1e63d064178b0a053d5f38141074f97c6b1
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jun 6 08:44:40 2018 -0700

    i386/compiler.pkg: Add missing scode/definition?.

M	src/compiler/machines/i386/compiler.pkg

commit d8d569457f808bb495f688af7efbe7ef1eadac75
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Wed Jun 6 08:42:23 2018 -0700

    SVM assembler needs hash-table-clear!.

M	src/runtime/host-adapter.scm

commit 74e54b6ad7146ab40fac92fcc9e629c1d88caa2c
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 13:46:27 2018 -0700

    mhash: Punt.  The µmodule-based package disappeared long ago.

M	doc/user-manual/user.texinfo
M	src/README.txt
M	src/Tags.sh
D	src/mhash/AUTHORS
D	src/mhash/COPYING
D	src/mhash/ChangeLog
D	src/mhash/Makefile.am
D	src/mhash/NEWS
D	src/mhash/README
D	src/mhash/autogen.sh
D	src/mhash/compile.scm
D	src/mhash/compile.sh
D	src/mhash/configure.ac
D	src/mhash/make.scm
D	src/mhash/mhash-adapter.c
D	src/mhash/mhash-check.scm
D	src/mhash/mhash-check.sh
D	src/mhash/mhash-shim.h
D	src/mhash/mhash.cdecl
D	src/mhash/mhash.pkg
D	src/mhash/mhash.scm
D	src/mhash/optiondb.scm
D	src/mhash/tags-fix.sh

commit e7f7e9ed8ff65eb7a783a2eebddb594fba4ffe43
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 12:51:06 2018 -0700

    Serialize access to thread/properties via thread-get, thread-put./fetch 69

M	src/runtime/thread.scm

commit 1180d5eba3fa827e2543a57d626c7909bc0df118
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 12:50:06 2018 -0700

    Name the initial thread.

M	src/runtime/thread.scm

commit a0f1ab9b547f02be4731530faf379bddff353ec6
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 12:43:04 2018 -0700

    imail: Like probe-folder-output-processor, avoid referencing folder.

M	src/imail/imail-top.scm

commit c851b8c5100ad7a2b54c753728609fe7be5019ea
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 09:45:36 2018 -0700

    ffi: version 1.0

M	src/ffi/make.scm

commit 27192345365ba50cadaf848013ea4b51431f83f5
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 09:37:51 2018 -0700

    plugin tags-fix.sh: Use command-line-arguments.

M	src/blowfish/tags-fix.sh
M	src/gdbm/tags-fix.sh
M	src/mcrypt/tags-fix.sh
M	src/mhash/tags-fix.sh
M	src/pgsql/tags-fix.sh
M	src/x11/tags-fix.sh

commit 99d95bf73e0809c62290dadf29ff46544ef4a021
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 07:33:05 2018 -0700

    A couple more fall-through comments.

M	src/microcode/uxsig.c

commit 2dc989f9a19e082f7bd33eb3037e02bd69c15b92
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 01:15:56 2018 -0700

    Name most threads.

M	src/edwin/editor.scm
M	src/edwin/intmod.scm
M	src/edwin/notify.scm
M	src/edwin/world-monitor.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-top.scm

commit ef9c9ddb74b0cb4b9deef5a28766b951d26ae2d3
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 10:54:41 2018 -0700

    Print Edwin buffer names.

M	src/edwin/buffer.scm

commit d9ffdc33878ee83ae9e3e84e8447c70865d50d1c
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 01:15:36 2018 -0700

    world-report: Display thread names instead of associated "flags".

M	src/runtime/world-report.scm

commit a47f7b1f81a9b122168210fdd859f85017fb5890
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 14:15:27 2018 -0700

    Add optional name parameter to create-thread.

M	src/runtime/thread.scm

commit b062deb22764c244a0150abfcada3ade34d45d8b
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 10:11:05 2018 -0700

    Add thread-get and thread-put! for e.g. giving threads names.

M	src/runtime/runtime.pkg
M	src/runtime/thread.scm

commit 1a8f17b4e5bc3b135bac91836797341a071e6ea7
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Jun 4 23:44:29 2018 -0700

    blowfish: typo in manual

M	src/blowfish/mit-scheme-blowfish.texi

commit 1dc4bc90de2278e1df5f803d74b76510909a476d
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 15:37:07 2018 -0700

    x11: version 0.3

M	src/x11/NEWS
M	src/x11/configure.ac
M	src/x11/make.scm

commit f7b22ea6a5a59eb6b9866900d82fcb08b397b6ad
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 14:41:05 2018 -0700

    x11: Allow CurrentTime.

M	src/x11/x11-base.scm

commit 26fc959a239158c630a2066c2ef2aefd1908a2d9
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 14:32:57 2018 -0700

    ffi: Add delete-plugin-list and update-plugin-indices
    
    for the Debian install/uninstall scripts.

M	src/ffi/build.scm
M	src/ffi/ffi.pkg
M	src/runtime/ffi.scm

commit b5189bc516aa02d29396e1f8b31da9bd437c3a69
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 14:17:58 2018 -0700

    runtime/ffi: Save/restore floenv around callouts.
    
    The c-call primitive can "alienate" the floenv, but cooperating with
    c-call-continue to save/restore it is... more difficult than doing it
    in Scheme.
    
    And fix some trailing whitespace, indentation.

M	src/runtime/ffi.scm

commit 24a44fb26e4e4b2f899e66bba107f6e36dce65a9
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Tue Jun 5 00:22:28 2018 -0700

    Signal an error in unlock-thread-mutex when mutex is not owned,
    
    before applying remove-thread-mutex! to #f, which produces a less
    helpful error message.

M	src/runtime/thread.scm

commit 8ccd9344ef625240d772c1b8e81482b6f9e26163
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 14:01:34 2018 -0700

    Use with-interrupts-reduced in with-limited-interrupts.
    
    Save a primitive apply.

M	src/runtime/boot.scm

commit 832d8f5ad2cbc9b9850b4f0fbae3b76445accebc
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 13:58:37 2018 -0700

    user.texinfo: typos
    
    Need ./configure when building gdbm.  Prefer --prepend-library where
    applicable.  Mention all 6 sample plugins.  Do *not* mention the
    defunct --edwin option.

M	doc/user-manual/user.texinfo

commit 59404acfd4f9393c637ca05d71e00349f7c1a73b
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 13:45:13 2018 -0700

    plugins: Copy .crf reports into the build log.

M	src/blowfish/Makefile.am
C061	src/x11/compile.sh	src/blowfish/compile.sh
M	src/gdbm/Makefile.am
C061	src/x11/compile.sh	src/gdbm/compile.sh
M	src/mcrypt/Makefile.am
C061	src/x11/compile.sh	src/mcrypt/compile.sh
M	src/mhash/Makefile.am
C061	src/x11/compile.sh	src/mhash/compile.sh
M	src/pgsql/Makefile.am
C061	src/x11/compile.sh	src/pgsql/compile.sh
M	src/x11-screen/compile.sh
M	src/x11/compile.sh

commit 97f0bf68319d5dd3366e886d8c511ef4821b44f5
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 12:51:31 2018 -0700

    gdbm: version 0.4

M	src/gdbm/NEWS
M	src/gdbm/configure.ac
M	src/gdbm/make.scm

commit 878492e756e831d8155673eee9561c1265c5dfdb
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Fri Jun 1 12:49:36 2018 -0700

    gdbm: Update documentation regarding file locks.

M	src/gdbm/mit-scheme-gdbm.texi

commit b95c33cc4a0b90ee01ebbb83f7c6fae94e733c49
Author: Matt Birkholz <matt@birchwood-abbey.net>
Date:   Mon Jun 4 23:51:13 2018 -0700

    gdbm: Accommodate 1.14 (in Ubuntu 18.04) but disable file locking.

M	src/gdbm/gdbm-adapter.c
M	src/gdbm/gdbm-shim.h
M	src/gdbm/gdbm.cdecl
M	src/gdbm/gdbm.scm

commit b23b42c603386e452af624259d5bbb4203699984
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Jun 4 21:43:13 2018 -0700

    Fix fencepost error reported by Patric Jonsson.
    
    Also handle limited kinds of redundant clauses, and special case where there's
    exactly one clause.

M	src/runtime/mit-macros.scm

commit 9cc13a93343deb67fb2ac021339a12015f9acb1a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Jun 1 22:42:56 2018 -0700

    Update copyrights.

M	dist/Makefile
M	dist/copyright.c
M	dist/copyright.scm
M	dist/make-doc-files
M	dist/make-liarc-files
M	dist/make-macosx-app
M	dist/make-native-files
M	dist/make-scmutils
M	dist/make-src-files
M	dist/shared.sh
M	dist/update-copyright.scm
M	doc/Makefile.in
M	doc/configure.ac
M	doc/ffi/ffi.texinfo
M	doc/imail/Makefile.in
M	doc/imail/imail.texinfo
M	doc/make-common.in
M	doc/ref-manual/Makefile.in
M	doc/ref-manual/scheme.texinfo
M	doc/sos/Makefile.in
M	doc/sos/sos.texinfo
M	doc/user-manual/Makefile.in
M	doc/user-manual/user.texinfo
M	etc/dirdif.scm
M	etc/dumpdat.scm
M	etc/mkauto.bat
M	etc/mkopt.bat
M	etc/nrwcopyr.el
M	etc/run-three-stages
M	src/6001/6001.cbf
M	src/6001/6001.pkg
M	src/6001/6001.sf
M	src/6001/arith.scm
M	src/6001/edextra.scm
M	src/6001/floppy.scm
M	src/6001/make.scm
M	src/6001/nodefs.scm
M	src/6001/pic-imag.scm
M	src/6001/pic-ops.scm
M	src/6001/pic-read.scm
M	src/6001/pic-reco.scm
M	src/6001/picture.scm
M	src/Clean.sh
M	src/Makefile.in
M	src/Makefile.tools.in
M	src/Setup.sh
M	src/Stage.sh
M	src/Tags.sh
M	src/blowfish/Makefile.am
M	src/blowfish/NEWS
M	src/blowfish/blowfish-adapter.c
M	src/blowfish/blowfish-check.scm
M	src/blowfish/blowfish-shim.h
M	src/blowfish/blowfish.cdecl
M	src/blowfish/blowfish.pkg
M	src/blowfish/blowfish.scm
M	src/blowfish/configure.ac
M	src/blowfish/mit-scheme-blowfish.texi
M	src/compiler/Clean.sh
M	src/compiler/Setup.sh
M	src/compiler/Stage.sh
M	src/compiler/Tags.sh
M	src/compiler/back/asmmac.scm
M	src/compiler/back/asutl.scm
M	src/compiler/back/bittop.scm
M	src/compiler/back/bitutl.scm
M	src/compiler/back/checks.scm
M	src/compiler/back/insseq.scm
M	src/compiler/back/lapgn1.scm
M	src/compiler/back/lapgn2.scm
M	src/compiler/back/lapgn3.scm
M	src/compiler/back/linear.scm
M	src/compiler/back/mermap.scm
M	src/compiler/back/regmap.scm
M	src/compiler/back/syerly.scm
M	src/compiler/back/symtab.scm
M	src/compiler/back/syntax.scm
M	src/compiler/base/asstop.scm
M	src/compiler/base/blocks.scm
M	src/compiler/base/cfg1.scm
M	src/compiler/base/cfg2.scm
M	src/compiler/base/cfg3.scm
M	src/compiler/base/constr.scm
M	src/compiler/base/contin.scm
M	src/compiler/base/crsend.scm
M	src/compiler/base/crstop.scm
M	src/compiler/base/ctypes.scm
M	src/compiler/base/debug.scm
M	src/compiler/base/enumer.scm
M	src/compiler/base/infnew.scm
M	src/compiler/base/lvalue.scm
M	src/compiler/base/macros.scm
M	src/compiler/base/make.scm
M	src/compiler/base/mvalue.scm
M	src/compiler/base/object.scm
M	src/compiler/base/pmerly.scm
M	src/compiler/base/pmlook.scm
M	src/compiler/base/pmpars.scm
M	src/compiler/base/proced.scm
M	src/compiler/base/refctx.scm
M	src/compiler/base/rvalue.scm
M	src/compiler/base/scode.scm
M	src/compiler/base/sets.scm
M	src/compiler/base/subprb.scm
M	src/compiler/base/switch.scm
M	src/compiler/base/toplev.scm
M	src/compiler/base/utils.scm
M	src/compiler/choose-machine.sh
M	src/compiler/configure
M	src/compiler/documentation/cmpaux.txt
M	src/compiler/documentation/cmpint.txt
M	src/compiler/documentation/porting.guide
M	src/compiler/etc/asm.scm
M	src/compiler/etc/comcmp.scm
M	src/compiler/etc/comfiles.scm
M	src/compiler/etc/disload.scm
M	src/compiler/etc/stackp.scm
M	src/compiler/etc/xcbfdir.scm
M	src/compiler/fggen/canon.scm
M	src/compiler/fggen/declar.scm
M	src/compiler/fggen/fggen.scm
M	src/compiler/fgopt/blktyp.scm
M	src/compiler/fgopt/closan.scm
M	src/compiler/fgopt/conect.scm
M	src/compiler/fgopt/contan.scm
M	src/compiler/fgopt/delint.scm
M	src/compiler/fgopt/desenv.scm
M	src/compiler/fgopt/envopt.scm
M	src/compiler/fgopt/folcon.scm
M	src/compiler/fgopt/offset.scm
M	src/compiler/fgopt/operan.scm
M	src/compiler/fgopt/order.scm
M	src/compiler/fgopt/outer.scm
M	src/compiler/fgopt/param.scm
M	src/compiler/fgopt/reord.scm
M	src/compiler/fgopt/reteqv.scm
M	src/compiler/fgopt/reuse.scm
M	src/compiler/fgopt/sideff.scm
M	src/compiler/fgopt/simapp.scm
M	src/compiler/fgopt/simple.scm
M	src/compiler/fgopt/subfre.scm
M	src/compiler/fgopt/varind.scm
M	src/compiler/machines/C/compiler.cbf
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/C/compiler.sf
M	src/compiler/machines/C/cout.scm
M	src/compiler/machines/C/ctop.scm
M	src/compiler/machines/C/cutl.scm
M	src/compiler/machines/C/decls.scm
M	src/compiler/machines/C/lapgen.scm
M	src/compiler/machines/C/machin.scm
M	src/compiler/machines/C/make.scm
M	src/compiler/machines/C/rgspcm.scm
M	src/compiler/machines/C/rules1.scm
M	src/compiler/machines/C/rules2.scm
M	src/compiler/machines/C/rules3.scm
M	src/compiler/machines/C/rules4.scm
M	src/compiler/machines/C/rulfix.scm
M	src/compiler/machines/C/rulflo.scm
M	src/compiler/machines/C/rulrew.scm
M	src/compiler/machines/C/stackify.scm
M	src/compiler/machines/C/stackops.scm
M	src/compiler/machines/C/traditional.scm
M	src/compiler/machines/i386/assmd.scm
M	src/compiler/machines/i386/coerce.scm
M	src/compiler/machines/i386/compiler.cbf
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/i386/compiler.sf
M	src/compiler/machines/i386/dassm1.scm
M	src/compiler/machines/i386/dassm2.scm
M	src/compiler/machines/i386/dassm3.scm
M	src/compiler/machines/i386/decls.scm
M	src/compiler/machines/i386/insmac.scm
M	src/compiler/machines/i386/instr1.scm
M	src/compiler/machines/i386/instr2.scm
M	src/compiler/machines/i386/instrf.scm
M	src/compiler/machines/i386/insutl.scm
M	src/compiler/machines/i386/lapgen.scm
M	src/compiler/machines/i386/lapopt.scm
M	src/compiler/machines/i386/machin.scm
M	src/compiler/machines/i386/make.scm
M	src/compiler/machines/i386/pc-make.scm
M	src/compiler/machines/i386/rgspcm.scm
M	src/compiler/machines/i386/rules1.scm
M	src/compiler/machines/i386/rules2.scm
M	src/compiler/machines/i386/rules3.scm
M	src/compiler/machines/i386/rules4.scm
M	src/compiler/machines/i386/rulfix.scm
M	src/compiler/machines/i386/rulflo.scm
M	src/compiler/machines/i386/rulrew.scm
M	src/compiler/machines/svm/assembler-compiler.scm
M	src/compiler/machines/svm/assembler-rules.scm
M	src/compiler/machines/svm/assembler-runtime.scm
M	src/compiler/machines/svm/compile-assembler.scm
M	src/compiler/machines/svm/compiler.cbf
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/svm/compiler.sf
M	src/compiler/machines/svm/decls.scm
M	src/compiler/machines/svm/disassembler.scm
M	src/compiler/machines/svm/lapgen.scm
M	src/compiler/machines/svm/lapopt.scm
M	src/compiler/machines/svm/machine.scm
M	src/compiler/machines/svm/make.scm
M	src/compiler/machines/svm/rgspcm.scm
M	src/compiler/machines/svm/rules.scm
M	src/compiler/machines/x86-64/assmd.scm
M	src/compiler/machines/x86-64/coerce.scm
M	src/compiler/machines/x86-64/compiler.cbf
M	src/compiler/machines/x86-64/compiler.pkg
M	src/compiler/machines/x86-64/compiler.sf
M	src/compiler/machines/x86-64/dassm1.scm
M	src/compiler/machines/x86-64/dassm2.scm
M	src/compiler/machines/x86-64/dassm3.scm
M	src/compiler/machines/x86-64/decls.scm
M	src/compiler/machines/x86-64/insmac.scm
M	src/compiler/machines/x86-64/instr1.scm
M	src/compiler/machines/x86-64/instr2.scm
M	src/compiler/machines/x86-64/instrf.scm
M	src/compiler/machines/x86-64/insutl.scm
M	src/compiler/machines/x86-64/lapgen.scm
M	src/compiler/machines/x86-64/lapopt.scm
M	src/compiler/machines/x86-64/machin.scm
M	src/compiler/machines/x86-64/make.scm
M	src/compiler/machines/x86-64/pc-make.scm
M	src/compiler/machines/x86-64/rgspcm.scm
M	src/compiler/machines/x86-64/rules1.scm
M	src/compiler/machines/x86-64/rules2.scm
M	src/compiler/machines/x86-64/rules3.scm
M	src/compiler/machines/x86-64/rules4.scm
M	src/compiler/machines/x86-64/rulfix.scm
M	src/compiler/machines/x86-64/rulflo.scm
M	src/compiler/machines/x86-64/rulrew.scm
M	src/compiler/rtlbase/regset.scm
M	src/compiler/rtlbase/rgraph.scm
M	src/compiler/rtlbase/rtlcfg.scm
M	src/compiler/rtlbase/rtlcon.scm
M	src/compiler/rtlbase/rtlexp.scm
M	src/compiler/rtlbase/rtline.scm
M	src/compiler/rtlbase/rtlobj.scm
M	src/compiler/rtlbase/rtlreg.scm
M	src/compiler/rtlbase/rtlty1.scm
M	src/compiler/rtlbase/rtlty2.scm
M	src/compiler/rtlbase/valclass.scm
M	src/compiler/rtlgen/fndblk.scm
M	src/compiler/rtlgen/fndvar.scm
M	src/compiler/rtlgen/opncod.scm
M	src/compiler/rtlgen/rgcomb.scm
M	src/compiler/rtlgen/rgproc.scm
M	src/compiler/rtlgen/rgretn.scm
M	src/compiler/rtlgen/rgrval.scm
M	src/compiler/rtlgen/rgstmt.scm
M	src/compiler/rtlgen/rtlgen.scm
M	src/compiler/rtlopt/ralloc.scm
M	src/compiler/rtlopt/rcompr.scm
M	src/compiler/rtlopt/rcse1.scm
M	src/compiler/rtlopt/rcse2.scm
M	src/compiler/rtlopt/rcseep.scm
M	src/compiler/rtlopt/rcseht.scm
M	src/compiler/rtlopt/rcserq.scm
M	src/compiler/rtlopt/rcsesr.scm
M	src/compiler/rtlopt/rdebug.scm
M	src/compiler/rtlopt/rdflow.scm
M	src/compiler/rtlopt/rerite.scm
M	src/compiler/rtlopt/rinvex.scm
M	src/compiler/rtlopt/rlife.scm
M	src/compiler/rtlopt/rtlcsm.scm
M	src/configure.ac
M	src/cref/anfile.scm
M	src/cref/conpkg.scm
M	src/cref/cref.cbf
M	src/cref/cref.pkg
M	src/cref/cref.sf
M	src/cref/forpkg.scm
M	src/cref/make.scm
M	src/cref/mset.scm
M	src/cref/object.scm
M	src/cref/redpkg.scm
M	src/cref/toplev.scm
M	src/cref/triv.pkg
M	src/edwin/Clean.sh
M	src/edwin/abbrev.scm
M	src/edwin/ansi.scm
M	src/edwin/argred.scm
M	src/edwin/artdebug.scm
M	src/edwin/autold.scm
M	src/edwin/autosv.scm
M	src/edwin/basic.scm
M	src/edwin/bios.scm
M	src/edwin/bufcom.scm
M	src/edwin/buffer.scm
M	src/edwin/buffrm.scm
M	src/edwin/bufinp.scm
M	src/edwin/bufmnu.scm
M	src/edwin/bufout.scm
M	src/edwin/bufset.scm
M	src/edwin/bufwfs.scm
M	src/edwin/bufwin.scm
M	src/edwin/bufwiu.scm
M	src/edwin/bufwmc.scm
M	src/edwin/c-mode.scm
M	src/edwin/calias.scm
M	src/edwin/cinden.scm
M	src/edwin/class.scm
M	src/edwin/clscon.scm
M	src/edwin/clsmac.scm
M	src/edwin/comatch.scm
M	src/edwin/comhst.scm
M	src/edwin/comint.scm
M	src/edwin/comman.scm
M	src/edwin/compile.scm
M	src/edwin/comred.scm
M	src/edwin/comtab.scm
M	src/edwin/comwin.scm
M	src/edwin/curren.scm
M	src/edwin/dabbrev.scm
M	src/edwin/debian-changelog.scm
M	src/edwin/debug.scm
M	src/edwin/debuge.scm
M	src/edwin/decls.scm
M	src/edwin/dired.scm
M	src/edwin/dirunx.scm
M	src/edwin/dirw32.scm
M	src/edwin/display.scm
M	src/edwin/docstr.scm
M	src/edwin/dos.scm
M	src/edwin/doscom.scm
M	src/edwin/dosfile.scm
M	src/edwin/dosproc.scm
M	src/edwin/dosshell.scm
M	src/edwin/ed-ffi.scm
M	src/edwin/editor.scm
M	src/edwin/edtfrm.scm
M	src/edwin/edtstr.scm
M	src/edwin/edwin.cbf
M	src/edwin/edwin.ldr
M	src/edwin/edwin.pkg
M	src/edwin/edwin.sf
M	src/edwin/evlcom.scm
M	src/edwin/eystep.scm
M	src/edwin/filcom.scm
M	src/edwin/fileio.scm
M	src/edwin/fill.scm
M	src/edwin/grpops.scm
M	src/edwin/hlpcom.scm
M	src/edwin/htmlmode.scm
M	src/edwin/image.scm
M	src/edwin/info.scm
M	src/edwin/input.scm
M	src/edwin/intmod.scm
M	src/edwin/iserch.scm
M	src/edwin/javamode.scm
M	src/edwin/key-w32.scm
M	src/edwin/key-x11.scm
M	src/edwin/keymap.scm
M	src/edwin/keyparse.scm
M	src/edwin/kilcom.scm
M	src/edwin/kmacro.scm
M	src/edwin/lincom.scm
M	src/edwin/linden.scm
M	src/edwin/loadef.scm
M	src/edwin/lspcom.scm
M	src/edwin/macros.scm
M	src/edwin/make.scm
M	src/edwin/malias.scm
M	src/edwin/manual.scm
M	src/edwin/midas.scm
M	src/edwin/modefs.scm
M	src/edwin/modes.scm
M	src/edwin/modlin.scm
M	src/edwin/modwin.scm
M	src/edwin/motcom.scm
M	src/edwin/motion.scm
M	src/edwin/mousecom.scm
M	src/edwin/nntp.scm
M	src/edwin/notify.scm
M	src/edwin/nvector.scm
M	src/edwin/occur.scm
M	src/edwin/outline.scm
M	src/edwin/pasmod.scm
M	src/edwin/paths.scm
M	src/edwin/print.scm
M	src/edwin/process.scm
M	src/edwin/prompt.scm
M	src/edwin/pwedit.scm
M	src/edwin/pwparse.scm
M	src/edwin/rcsparse.scm
M	src/edwin/reccom.scm
M	src/edwin/regcom.scm
M	src/edwin/regexp.scm
M	src/edwin/regops.scm
M	src/edwin/replaz.scm
M	src/edwin/rfc822.scm
M	src/edwin/ring.scm
M	src/edwin/rmail.scm
M	src/edwin/rmailsrt.scm
M	src/edwin/rmailsum.scm
M	src/edwin/schmod.scm
M	src/edwin/scrcom.scm
M	src/edwin/screen.scm
M	src/edwin/search.scm
M	src/edwin/sendmail.scm
M	src/edwin/sercom.scm
M	src/edwin/shell.scm
M	src/edwin/simple.scm
M	src/edwin/snr.scm
M	src/edwin/sort.scm
M	src/edwin/string.scm
M	src/edwin/strpad.scm
M	src/edwin/strtab.scm
M	src/edwin/struct.scm
M	src/edwin/syntax.scm
M	src/edwin/tagutl.scm
M	src/edwin/techinfo.scm
M	src/edwin/telnet.scm
M	src/edwin/termcap.scm
M	src/edwin/texcom.scm
M	src/edwin/things.scm
M	src/edwin/tparse.scm
M	src/edwin/tterm.scm
M	src/edwin/tximod.scm
M	src/edwin/txtprp.scm
M	src/edwin/undo.scm
M	src/edwin/unix.scm
M	src/edwin/utils.scm
M	src/edwin/utlwin.scm
M	src/edwin/vc-bzr.scm
M	src/edwin/vc-cvs.scm
M	src/edwin/vc-git.scm
M	src/edwin/vc-rcs.scm
M	src/edwin/vc-svn.scm
M	src/edwin/vc.scm
M	src/edwin/verilog.scm
M	src/edwin/vhdl.scm
M	src/edwin/webster.scm
M	src/edwin/win32.scm
M	src/edwin/win32com.scm
M	src/edwin/wincom.scm
M	src/edwin/window.scm
M	src/edwin/winout.scm
M	src/edwin/world-monitor.scm
M	src/edwin/xcom.scm
M	src/edwin/xform.scm
M	src/edwin/xmodef.scm
M	src/edwin/xterm.scm
M	src/etc/Clean.sh
M	src/etc/Setup.sh
M	src/etc/Stage.sh
M	src/etc/Tags.sh
M	src/etc/build-bands.sh
M	src/etc/build-boot-compiler.sh
M	src/etc/c-bundle.sh
M	src/etc/c-compile.sh
M	src/etc/c-prepare.sh
M	src/etc/compile-boot-compiler.sh
M	src/etc/compile.scm
M	src/etc/compile.sh
M	src/etc/create-makefiles.sh
M	src/etc/functions.sh
M	src/etc/install-bin-symlinks.sh
M	src/etc/iso8859-converter.scm
M	src/etc/macosx/make-app.sh
M	src/etc/make-in-subdirs.sh
M	src/etc/make-liarc-dist.sh
M	src/etc/make-liarc.sh
M	src/etc/make-native.sh
M	src/etc/maybe-update-file.sh
M	src/etc/native-prepare.sh
M	src/etc/optiondb.scm
M	src/etc/std-makefile-prefix
M	src/etc/ucd-converter.scm
M	src/etc/ucd-raw-props/names.scm
M	src/etc/ucd-raw-props/prop-AHex.scm
M	src/etc/ucd-raw-props/prop-Alpha.scm
M	src/etc/ucd-raw-props/prop-Bidi_C.scm
M	src/etc/ucd-raw-props/prop-Bidi_M.scm
M	src/etc/ucd-raw-props/prop-CE.scm
M	src/etc/ucd-raw-props/prop-CI.scm
M	src/etc/ucd-raw-props/prop-CWCF.scm
M	src/etc/ucd-raw-props/prop-CWCM.scm
M	src/etc/ucd-raw-props/prop-CWKCF.scm
M	src/etc/ucd-raw-props/prop-CWL.scm
M	src/etc/ucd-raw-props/prop-CWT.scm
M	src/etc/ucd-raw-props/prop-CWU.scm
M	src/etc/ucd-raw-props/prop-Cased.scm
M	src/etc/ucd-raw-props/prop-Comp_Ex.scm
M	src/etc/ucd-raw-props/prop-DI.scm
M	src/etc/ucd-raw-props/prop-Dash.scm
M	src/etc/ucd-raw-props/prop-Dep.scm
M	src/etc/ucd-raw-props/prop-Dia.scm
M	src/etc/ucd-raw-props/prop-Ext.scm
M	src/etc/ucd-raw-props/prop-FC_NFKC.scm
M	src/etc/ucd-raw-props/prop-GCB.scm
M	src/etc/ucd-raw-props/prop-Gr_Base.scm
M	src/etc/ucd-raw-props/prop-Gr_Ext.scm
M	src/etc/ucd-raw-props/prop-Gr_Link.scm
M	src/etc/ucd-raw-props/prop-Hex.scm
M	src/etc/ucd-raw-props/prop-Hyphen.scm
M	src/etc/ucd-raw-props/prop-IDC.scm
M	src/etc/ucd-raw-props/prop-IDS.scm
M	src/etc/ucd-raw-props/prop-IDSB.scm
M	src/etc/ucd-raw-props/prop-IDST.scm
M	src/etc/ucd-raw-props/prop-Ideo.scm
M	src/etc/ucd-raw-props/prop-InMC.scm
M	src/etc/ucd-raw-props/prop-InPC.scm
M	src/etc/ucd-raw-props/prop-InSC.scm
M	src/etc/ucd-raw-props/prop-JSN.scm
M	src/etc/ucd-raw-props/prop-Join_C.scm
M	src/etc/ucd-raw-props/prop-LOE.scm
M	src/etc/ucd-raw-props/prop-Lower.scm
M	src/etc/ucd-raw-props/prop-Math.scm
M	src/etc/ucd-raw-props/prop-NChar.scm
M	src/etc/ucd-raw-props/prop-NFC_QC.scm
M	src/etc/ucd-raw-props/prop-NFD_QC.scm
M	src/etc/ucd-raw-props/prop-NFKC_CF.scm
M	src/etc/ucd-raw-props/prop-NFKC_QC.scm
M	src/etc/ucd-raw-props/prop-NFKD_QC.scm
M	src/etc/ucd-raw-props/prop-OAlpha.scm
M	src/etc/ucd-raw-props/prop-ODI.scm
M	src/etc/ucd-raw-props/prop-OGr_Ext.scm
M	src/etc/ucd-raw-props/prop-OIDC.scm
M	src/etc/ucd-raw-props/prop-OIDS.scm
M	src/etc/ucd-raw-props/prop-OLower.scm
M	src/etc/ucd-raw-props/prop-OMath.scm
M	src/etc/ucd-raw-props/prop-OUpper.scm
M	src/etc/ucd-raw-props/prop-PCM.scm
M	src/etc/ucd-raw-props/prop-Pat_Syn.scm
M	src/etc/ucd-raw-props/prop-Pat_WS.scm
M	src/etc/ucd-raw-props/prop-QMark.scm
M	src/etc/ucd-raw-props/prop-Radical.scm
M	src/etc/ucd-raw-props/prop-SB.scm
M	src/etc/ucd-raw-props/prop-SD.scm
M	src/etc/ucd-raw-props/prop-STerm.scm
M	src/etc/ucd-raw-props/prop-Term.scm
M	src/etc/ucd-raw-props/prop-UIdeo.scm
M	src/etc/ucd-raw-props/prop-Upper.scm
M	src/etc/ucd-raw-props/prop-VS.scm
M	src/etc/ucd-raw-props/prop-WB.scm
M	src/etc/ucd-raw-props/prop-WSpace.scm
M	src/etc/ucd-raw-props/prop-XIDC.scm
M	src/etc/ucd-raw-props/prop-XIDS.scm
M	src/etc/ucd-raw-props/prop-XO_NFC.scm
M	src/etc/ucd-raw-props/prop-XO_NFD.scm
M	src/etc/ucd-raw-props/prop-XO_NFKC.scm
M	src/etc/ucd-raw-props/prop-XO_NFKD.scm
M	src/etc/ucd-raw-props/prop-age.scm
M	src/etc/ucd-raw-props/prop-bc.scm
M	src/etc/ucd-raw-props/prop-blk.scm
M	src/etc/ucd-raw-props/prop-bmg.scm
M	src/etc/ucd-raw-props/prop-bpb.scm
M	src/etc/ucd-raw-props/prop-bpt.scm
M	src/etc/ucd-raw-props/prop-canonical-cm.scm
M	src/etc/ucd-raw-props/prop-canonical-dm.scm
M	src/etc/ucd-raw-props/prop-ccc.scm
M	src/etc/ucd-raw-props/prop-cf.scm
M	src/etc/ucd-raw-props/prop-dm.scm
M	src/etc/ucd-raw-props/prop-dt.scm
M	src/etc/ucd-raw-props/prop-ea.scm
M	src/etc/ucd-raw-props/prop-gc.scm
M	src/etc/ucd-raw-props/prop-hst.scm
M	src/etc/ucd-raw-props/prop-isc.scm
M	src/etc/ucd-raw-props/prop-jg.scm
M	src/etc/ucd-raw-props/prop-jt.scm
M	src/etc/ucd-raw-props/prop-lb.scm
M	src/etc/ucd-raw-props/prop-lc.scm
M	src/etc/ucd-raw-props/prop-na.scm
M	src/etc/ucd-raw-props/prop-na1.scm
M	src/etc/ucd-raw-props/prop-nt.scm
M	src/etc/ucd-raw-props/prop-nv.scm
M	src/etc/ucd-raw-props/prop-sc.scm
M	src/etc/ucd-raw-props/prop-scf.scm
M	src/etc/ucd-raw-props/prop-scx.scm
M	src/etc/ucd-raw-props/prop-slc.scm
M	src/etc/ucd-raw-props/prop-stc.scm
M	src/etc/ucd-raw-props/prop-suc.scm
M	src/etc/ucd-raw-props/prop-tc.scm
M	src/etc/ucd-raw-props/prop-uc.scm
M	src/etc/utilities.scm
M	src/ffi/build.scm
M	src/ffi/cdecls.scm
M	src/ffi/ctypes.scm
M	src/ffi/generator.scm
M	src/ffi/syntax.scm
M	src/gdbm/Makefile.am
M	src/gdbm/NEWS
M	src/gdbm/configure.ac
M	src/gdbm/gdbm-adapter.c
M	src/gdbm/gdbm-check.scm
M	src/gdbm/gdbm-shim.h
M	src/gdbm/gdbm.cdecl
M	src/gdbm/gdbm.pkg
M	src/gdbm/gdbm.scm
M	src/gdbm/mit-scheme-gdbm.texi
M	src/imail/compile.scm
M	src/imail/ed-ffi.scm
M	src/imail/imail-browser.scm
M	src/imail/imail-core.scm
M	src/imail/imail-file.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-mime.scm
M	src/imail/imail-rmail.scm
M	src/imail/imail-summary.scm
M	src/imail/imail-top.scm
M	src/imail/imail-umail.scm
M	src/imail/imail-util.scm
M	src/imail/imail.pkg
M	src/imail/imap-response.scm
M	src/imail/imap-syntax.scm
M	src/imail/load.scm
M	src/imail/print.sh
M	src/mcrypt/Makefile.am
M	src/mcrypt/NEWS
M	src/mcrypt/configure.ac
M	src/mcrypt/mcrypt-adapter.c
M	src/mcrypt/mcrypt-check.scm
M	src/mcrypt/mcrypt-shim.h
M	src/mcrypt/mcrypt.cdecl
M	src/mcrypt/mcrypt.pkg
M	src/mcrypt/mcrypt.scm
M	src/mhash/Makefile.am
M	src/mhash/NEWS
M	src/mhash/configure.ac
M	src/mhash/mhash-adapter.c
M	src/mhash/mhash-check.scm
M	src/mhash/mhash-shim.h
M	src/mhash/mhash.cdecl
M	src/mhash/mhash.pkg
M	src/mhash/mhash.scm
M	src/microcode/Clean.sh
M	src/microcode/Setup.sh
M	src/microcode/artutl.c
M	src/microcode/avltree.c
M	src/microcode/avltree.h
M	src/microcode/bignmint.h
M	src/microcode/bignum.c
M	src/microcode/bignum.h
M	src/microcode/bigprm.c
M	src/microcode/bits.h
M	src/microcode/bitstr.c
M	src/microcode/bitstr.h
M	src/microcode/bkpt.c
M	src/microcode/bkpt.h
M	src/microcode/boot.c
M	src/microcode/bytevector.c
M	src/microcode/char.c
M	src/microcode/cmpauxmd/asmcvt.c
M	src/microcode/cmpauxmd/c.c
M	src/microcode/cmpauxmd/i386.m4
M	src/microcode/cmpauxmd/m4-dos
M	src/microcode/cmpauxmd/makefile
M	src/microcode/cmpauxmd/x86-64.m4
M	src/microcode/cmpgc.h
M	src/microcode/cmpint.c
M	src/microcode/cmpint.h
M	src/microcode/cmpintmd/c-config.h
M	src/microcode/cmpintmd/c.c
M	src/microcode/cmpintmd/c.h
M	src/microcode/cmpintmd/i386-config.h
M	src/microcode/cmpintmd/i386.c
M	src/microcode/cmpintmd/i386.h
M	src/microcode/cmpintmd/none-config.h
M	src/microcode/cmpintmd/none.c
M	src/microcode/cmpintmd/none.h
M	src/microcode/cmpintmd/svm1-config.h
M	src/microcode/cmpintmd/svm1.c
M	src/microcode/cmpintmd/svm1.h
M	src/microcode/cmpintmd/x86-64-config.h
M	src/microcode/cmpintmd/x86-64.c
M	src/microcode/cmpintmd/x86-64.h
M	src/microcode/cmpintmd/x86-fenv.c
M	src/microcode/cmpintmd/x86-fenv.h
M	src/microcode/comlin.c
M	src/microcode/comlin.h
M	src/microcode/comutl.c
M	src/microcode/configure.ac
M	src/microcode/confshared.h
M	src/microcode/const.h
M	src/microcode/copyrigh.c
M	src/microcode/critsec.h
M	src/microcode/daemon.c
M	src/microcode/debug.c
M	src/microcode/dfloat.c
M	src/microcode/dstack.h
M	src/microcode/edwin.h
M	src/microcode/error.c
M	src/microcode/errors.h
M	src/microcode/extern.c
M	src/microcode/extern.h
M	src/microcode/extract-liarc-decls.c
M	src/microcode/fasdump.c
M	src/microcode/fasl.c
M	src/microcode/fasl.h
M	src/microcode/fasload.c
M	src/microcode/findprim.c
M	src/microcode/fixnum.c
M	src/microcode/fixnum.h
M	src/microcode/fixobj.h
M	src/microcode/floenv.c
M	src/microcode/floenv.h
M	src/microcode/flonum.c
M	src/microcode/gc.h
M	src/microcode/gccode.h
M	src/microcode/gcloop.c
M	src/microcode/gen-nonce.c
M	src/microcode/generic.c
M	src/microcode/history.h
M	src/microcode/hooks.c
M	src/microcode/hunk.c
M	src/microcode/intern.c
M	src/microcode/interp.c
M	src/microcode/interp.h
M	src/microcode/intext.c
M	src/microcode/intext.h
M	src/microcode/intprm.c
M	src/microcode/intrpt.h
M	src/microcode/liarc-cc.in
M	src/microcode/liarc-ld.in
M	src/microcode/liarc.h
M	src/microcode/list.c
M	src/microcode/lookprm.c
M	src/microcode/lookup.c
M	src/microcode/lookup.h
M	src/microcode/macosx-starter.c
M	src/microcode/makegen/Makefile.in.in
M	src/microcode/makegen/bundles-liarc.scm
M	src/microcode/makegen/dirs-liarc.scm
M	src/microcode/makegen/files-core.scm
M	src/microcode/makegen/files-optional.scm
M	src/microcode/makegen/files-os-prim.scm
M	src/microcode/makegen/files-other.scm
M	src/microcode/makegen/files-unix.scm
M	src/microcode/makegen/liarc-base-rules
M	src/microcode/makegen/m4.sh
M	src/microcode/makegen/makegen.scm
M	src/microcode/makegen/makeinit.sh
M	src/microcode/makegen/pkds-liarc.scm
M	src/microcode/memmag.c
M	src/microcode/memmag.h
M	src/microcode/missing.c
M	src/microcode/mul.c
M	src/microcode/nt.h
M	src/microcode/ntapi.h
M	src/microcode/ntasutl.asm
M	src/microcode/ntenv.c
M	src/microcode/ntfile.c
M	src/microcode/ntfs.c
M	src/microcode/ntfs.h
M	src/microcode/ntgui.c
M	src/microcode/ntgui.h
M	src/microcode/ntio.c
M	src/microcode/ntio.h
M	src/microcode/ntproc.c
M	src/microcode/ntproc.h
M	src/microcode/ntscmlib.h
M	src/microcode/ntscreen.c
M	src/microcode/ntscreen.h
M	src/microcode/ntsig.c
M	src/microcode/ntsock.c
M	src/microcode/ntsys.c
M	src/microcode/ntsys.h
M	src/microcode/ntterm.h
M	src/microcode/nttop.c
M	src/microcode/nttop.h
M	src/microcode/nttrap.c
M	src/microcode/nttrap.h
M	src/microcode/nttterm.c
M	src/microcode/nttty.c
M	src/microcode/ntutl/config.bat
M	src/microcode/ntutl/config.h
M	src/microcode/ntutl/makefile
M	src/microcode/ntutl/makefile.wcc
M	src/microcode/ntutl/scheme16.c
M	src/microcode/ntutl/scheme16.mak
M	src/microcode/ntutl/scheme31.c
M	src/microcode/ntutl/scheme32.c
M	src/microcode/ntutl/scm-p-nt.lst
M	src/microcode/ntutl/setenv.bat
M	src/microcode/ntutl/wconfig.bat
M	src/microcode/object.h
M	src/microcode/obstack.c
M	src/microcode/obstack.h
M	src/microcode/option.c
M	src/microcode/option.h
M	src/microcode/os.h
M	src/microcode/osctty.h
M	src/microcode/osenv.h
M	src/microcode/osfile.h
M	src/microcode/osfs.h
M	src/microcode/osio.h
M	src/microcode/osproc.h
M	src/microcode/ospty.h
M	src/microcode/osscheme.c
M	src/microcode/osscheme.h
M	src/microcode/ossig.h
M	src/microcode/osterm.h
M	src/microcode/ostop.h
M	src/microcode/ostty.c
M	src/microcode/ostty.h
M	src/microcode/outf.c
M	src/microcode/outf.h
M	src/microcode/prbfish.c
M	src/microcode/prdb4.c
M	src/microcode/prdb4.scm
M	src/microcode/prename.h
M	src/microcode/prgdbm.c
M	src/microcode/prim.c
M	src/microcode/prim.h
M	src/microcode/prims.h
M	src/microcode/primutl.c
M	src/microcode/prkeccak.c
M	src/microcode/prmcrypt.c
M	src/microcode/prmd5.c
M	src/microcode/prntenv.c
M	src/microcode/prntfs.c
M	src/microcode/prntio.c
M	src/microcode/prosenv.c
M	src/microcode/prosfile.c
M	src/microcode/prosfs.c
M	src/microcode/prosio.c
M	src/microcode/prosproc.c
M	src/microcode/prospty.c
M	src/microcode/prosterm.c
M	src/microcode/prostty.c
M	src/microcode/prpgsql.c
M	src/microcode/pruxdld.c
M	src/microcode/pruxenv.c
M	src/microcode/pruxffi.c
M	src/microcode/pruxffi.h
M	src/microcode/pruxfs.c
M	src/microcode/pruxio.c
M	src/microcode/pruxsock.c
M	src/microcode/prx11.c
M	src/microcode/ptrvec.c
M	src/microcode/purify.c
M	src/microcode/purutl.c
M	src/microcode/regex.c
M	src/microcode/regex.h
M	src/microcode/returns.h
M	src/microcode/rgxprim.c
M	src/microcode/sample.c
M	src/microcode/scheme.h
M	src/microcode/scode.h
M	src/microcode/sdata.h
M	src/microcode/stack.h
M	src/microcode/stackops.h
M	src/microcode/step.c
M	src/microcode/storage.c
M	src/microcode/string.c
M	src/microcode/svm1-interp.c
M	src/microcode/syntax.c
M	src/microcode/syntax.h
M	src/microcode/syscall.h
M	src/microcode/sysprim.c
M	src/microcode/term.c
M	src/microcode/termcap.c
M	src/microcode/terminfo.c
M	src/microcode/tparam.c
M	src/microcode/transact.c
M	src/microcode/trap.h
M	src/microcode/tterm.c
M	src/microcode/types.h
M	src/microcode/unstackify.c
M	src/microcode/usrdef.h
M	src/microcode/utabmd.c
M	src/microcode/utils.c
M	src/microcode/ux.c
M	src/microcode/ux.h
M	src/microcode/uxctty.c
M	src/microcode/uxenv.c
M	src/microcode/uxfile.c
M	src/microcode/uxfs.c
M	src/microcode/uxio.c
M	src/microcode/uxio.h
M	src/microcode/uxproc.c
M	src/microcode/uxproc.h
M	src/microcode/uxsig.c
M	src/microcode/uxsig.h
M	src/microcode/uxsock.c
M	src/microcode/uxsock.h
M	src/microcode/uxterm.c
M	src/microcode/uxterm.h
M	src/microcode/uxtop.c
M	src/microcode/uxtop.h
M	src/microcode/uxtrap.c
M	src/microcode/uxtrap.h
M	src/microcode/uxtty.c
M	src/microcode/uxutil.c
M	src/microcode/uxutil.h
M	src/microcode/vector.c
M	src/microcode/wind.c
M	src/microcode/x11.h
M	src/microcode/x11base.c
M	src/microcode/x11color.c
M	src/microcode/x11graph.c
M	src/microcode/x11term.c
M	src/microcode/xdebug.c
M	src/pgsql/Makefile.am
M	src/pgsql/NEWS
M	src/pgsql/configure.ac
M	src/pgsql/pgsql-check.scm
M	src/pgsql/pgsql-shim.h
M	src/pgsql/pgsql.cdecl
M	src/pgsql/pgsql.pkg
M	src/pgsql/pgsql.scm
M	src/runtime/advice.scm
M	src/runtime/apply.scm
M	src/runtime/apropos.scm
M	src/runtime/arith.scm
M	src/runtime/berkeley-db.scm
M	src/runtime/binary-port.scm
M	src/runtime/bitstr.scm
M	src/runtime/blowfish.scm
M	src/runtime/boole.scm
M	src/runtime/boot.scm
M	src/runtime/bundle.scm
M	src/runtime/bytevector.scm
M	src/runtime/char-set.scm
M	src/runtime/char.scm
M	src/runtime/chrsyn.scm
M	src/runtime/codwlk.scm
M	src/runtime/command-line.scm
M	src/runtime/compound-predicate.scm
M	src/runtime/condvar.scm
M	src/runtime/conpar.scm
M	src/runtime/console-io.scm
M	src/runtime/contin.scm
M	src/runtime/cpoint.scm
M	src/runtime/cpress.scm
M	src/runtime/crypto.scm
M	src/runtime/datime.scm
M	src/runtime/dbgcmd.scm
M	src/runtime/dbgutl.scm
M	src/runtime/debug.scm
M	src/runtime/defstr.scm
M	src/runtime/dispatch-cache.scm
M	src/runtime/dispatch-tag.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/dragon4.scm
M	src/runtime/dynamic.scm
M	src/runtime/ed-ffi.scm
M	src/runtime/emacs.scm
M	src/runtime/environment.scm
M	src/runtime/equals.scm
M	src/runtime/error.scm
M	src/runtime/events.scm
M	src/runtime/ffi.scm
M	src/runtime/file-attributes.scm
M	src/runtime/file-io.scm
M	src/runtime/floenv.scm
M	src/runtime/format.scm
M	src/runtime/framex.scm
M	src/runtime/gc.scm
M	src/runtime/gcdemn.scm
M	src/runtime/gcfinal.scm
M	src/runtime/gcnote.scm
M	src/runtime/gcstat.scm
M	src/runtime/gdatab.scm
M	src/runtime/gdbm.scm
M	src/runtime/generic-io.scm
M	src/runtime/global.scm
M	src/runtime/graphics.scm
M	src/runtime/hash-table.scm
M	src/runtime/hash.scm
M	src/runtime/histry.scm
M	src/runtime/host-adapter.scm
M	src/runtime/html-form-codec.scm
M	src/runtime/http-client.scm
M	src/runtime/http-io.scm
M	src/runtime/http-syntax.scm
M	src/runtime/infstr.scm
M	src/runtime/infutl.scm
M	src/runtime/input-port.scm
M	src/runtime/integer-bits.scm
M	src/runtime/interrupt.scm
M	src/runtime/keyword.scm
M	src/runtime/lambda-list.scm
M	src/runtime/lambda.scm
M	src/runtime/lambdx.scm
M	src/runtime/legacy-string.scm
M	src/runtime/library-database.scm
M	src/runtime/library-parser.scm
M	src/runtime/library-standard.scm
M	src/runtime/list.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/memoizer.scm
M	src/runtime/microcode-data.scm
M	src/runtime/microcode-errors.scm
M	src/runtime/microcode-tables.scm
M	src/runtime/mime-codec.scm
M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/msort.scm
M	src/runtime/ntdir.scm
M	src/runtime/ntprm.scm
M	src/runtime/numint.scm
M	src/runtime/numpar.scm
M	src/runtime/option.scm
M	src/runtime/optiondb.scm
M	src/runtime/ordvec.scm
M	src/runtime/os-primitives.scm
M	src/runtime/output-port.scm
M	src/runtime/packag.scm
M	src/runtime/parametric-predicate.scm
M	src/runtime/parser-buffer.scm
M	src/runtime/pathname.scm
M	src/runtime/pgsql.scm
M	src/runtime/poplat.scm
M	src/runtime/pp.scm
M	src/runtime/predicate-dispatch.scm
M	src/runtime/predicate-tagging.scm
M	src/runtime/predicate.scm
M	src/runtime/prgcop.scm
M	src/runtime/primitive-arithmetic.scm
M	src/runtime/primitive-io.scm
M	src/runtime/printer.scm
M	src/runtime/procedure.scm
M	src/runtime/process.scm
M	src/runtime/prop1d.scm
M	src/runtime/prop2d.scm
M	src/runtime/qsort.scm
M	src/runtime/queue.scm
M	src/runtime/random.scm
M	src/runtime/rbtree.scm
M	src/runtime/reader.scm
M	src/runtime/record.scm
M	src/runtime/reference-trap.scm
M	src/runtime/regexp.scm
M	src/runtime/regsexp.scm
M	src/runtime/rep.scm
M	src/runtime/rexp.scm
M	src/runtime/rfc2822-headers.scm
M	src/runtime/rgxcmp.scm
M	src/runtime/runtime.cbf
M	src/runtime/runtime.pkg
M	src/runtime/runtime.sf
M	src/runtime/savres.scm
M	src/runtime/scan.scm
M	src/runtime/scode.scm
M	src/runtime/sdata.scm
M	src/runtime/sfile.scm
M	src/runtime/sha3.scm
M	src/runtime/socket.scm
M	src/runtime/srfi-1.scm
M	src/runtime/stream.scm
M	src/runtime/string-io.scm
M	src/runtime/string.scm
M	src/runtime/structure-parser.scm
M	src/runtime/swank.scm
M	src/runtime/symbol.scm
M	src/runtime/syncproc.scm
M	src/runtime/syntax-check.scm
M	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-declaration.scm
M	src/runtime/syntax-environment.scm
M	src/runtime/syntax-items.scm
M	src/runtime/syntax-low.scm
M	src/runtime/syntax-output.scm
M	src/runtime/syntax-parser.scm
M	src/runtime/syntax-rename.scm
M	src/runtime/syntax-rules.scm
M	src/runtime/syntax.scm
M	src/runtime/sysclk.scm
M	src/runtime/sysmac.scm
M	src/runtime/system.scm
M	src/runtime/textual-port.scm
M	src/runtime/thread-barrier.scm
M	src/runtime/thread-low.scm
M	src/runtime/thread-queue.scm
M	src/runtime/thread.scm
M	src/runtime/transcript.scm
M	src/runtime/ucd-glue.scm
M	src/runtime/ucd-table-alpha.scm
M	src/runtime/ucd-table-canonical-cm-second.scm
M	src/runtime/ucd-table-canonical-cm.scm
M	src/runtime/ucd-table-canonical-dm.scm
M	src/runtime/ucd-table-cased.scm
M	src/runtime/ucd-table-ccc.scm
M	src/runtime/ucd-table-cf.scm
M	src/runtime/ucd-table-comp_ex.scm
M	src/runtime/ucd-table-cwcf.scm
M	src/runtime/ucd-table-cwl.scm
M	src/runtime/ucd-table-cwu.scm
M	src/runtime/ucd-table-gc.scm
M	src/runtime/ucd-table-gcb.scm
M	src/runtime/ucd-table-lc.scm
M	src/runtime/ucd-table-lower.scm
M	src/runtime/ucd-table-nfc_qc.scm
M	src/runtime/ucd-table-nfd_qc.scm
M	src/runtime/ucd-table-nt.scm
M	src/runtime/ucd-table-nv.scm
M	src/runtime/ucd-table-scf.scm
M	src/runtime/ucd-table-slc.scm
M	src/runtime/ucd-table-suc.scm
M	src/runtime/ucd-table-tc.scm
M	src/runtime/ucd-table-uc.scm
M	src/runtime/ucd-table-upper.scm
M	src/runtime/ucd-table-wb.scm
M	src/runtime/ucd-table-wspace.scm
M	src/runtime/unix-pathname.scm
M	src/runtime/unsyn.scm
M	src/runtime/unxdir.scm
M	src/runtime/unxprm.scm
M	src/runtime/url.scm
M	src/runtime/usrint.scm
M	src/runtime/vector.scm
M	src/runtime/version.scm
M	src/runtime/where.scm
M	src/runtime/win32-registry.scm
M	src/runtime/wind.scm
M	src/runtime/world-report.scm
M	src/runtime/wrkdir.scm
M	src/runtime/wttree.scm
M	src/runtime/x11graph.scm
M	src/runtime/xeval.scm
M	src/runtime/ystep.scm
M	src/sf/analyze.scm
M	src/sf/butils.scm
M	src/sf/cgen.scm
M	src/sf/chtype.scm
M	src/sf/copy.scm
M	src/sf/emodel.scm
M	src/sf/gconst.scm
M	src/sf/make.scm
M	src/sf/object.scm
M	src/sf/pardec.scm
M	src/sf/pthmap.scm
M	src/sf/reduct.scm
M	src/sf/sf.cbf
M	src/sf/sf.pkg
M	src/sf/sf.sf
M	src/sf/subst.scm
M	src/sf/tables.scm
M	src/sf/toplev.scm
M	src/sf/usicon.scm
M	src/sf/usiexp.scm
M	src/sf/xform.scm
M	src/sos/class.scm
M	src/sos/compile.scm
M	src/sos/ed-ffi.scm
M	src/sos/geneqht.scm
M	src/sos/generic.scm
M	src/sos/genmult.scm
M	src/sos/instance.scm
M	src/sos/load.scm
M	src/sos/macros.scm
M	src/sos/method.scm
M	src/sos/microbench.scm
M	src/sos/printer.scm
M	src/sos/recslot.scm
M	src/sos/slot.scm
M	src/sos/sos.pkg
M	src/sos/tvector.scm
M	src/ssp/compile.scm
M	src/ssp/expenv.scm
M	src/ssp/load.scm
M	src/ssp/mod-lisp.scm
M	src/ssp/ssp.pkg
M	src/ssp/xhtml-expander.scm
M	src/ssp/xmlrpc.scm
M	src/star-parser/compile.scm
M	src/star-parser/ed-ffi.scm
M	src/star-parser/load.scm
M	src/star-parser/matcher.scm
M	src/star-parser/parser.pkg
M	src/star-parser/parser.scm
M	src/star-parser/shared.scm
M	src/win32/clipbrd.scm
M	src/win32/dib.scm
M	src/win32/dibutils/dibutils.c
M	src/win32/dibutils/dibutils.def
M	src/win32/dibutils/dibutils.h
M	src/win32/dibutils/makefile.msc
M	src/win32/dibutils/makefile.wcc
M	src/win32/ffimacro.scm
M	src/win32/graphics.scm
M	src/win32/make.scm
M	src/win32/module.scm
M	src/win32/protect.scm
M	src/win32/wf_user.scm
M	src/win32/win32.cbf
M	src/win32/win32.pkg
M	src/win32/win32.sf
M	src/win32/win_ffi.scm
M	src/win32/wingdi.scm
M	src/win32/winnt.scm
M	src/win32/winuser.scm
M	src/win32/wt_user.scm
M	src/x11-screen/Makefile.am
M	src/x11-screen/NEWS
M	src/x11-screen/compile.sh
M	src/x11-screen/configure.ac
M	src/x11-screen/ed-ffi.scm
M	src/x11-screen/x11-command.scm
M	src/x11-screen/x11-key.scm
M	src/x11-screen/x11-screen-test.scm
M	src/x11-screen/x11-screen.pkg
M	src/x11-screen/x11-screen.scm
M	src/x11/Makefile.am
M	src/x11/NEWS
M	src/x11/compile.sh
M	src/x11/configure.ac
M	src/x11/x11-base.scm
M	src/x11/x11-color.scm
M	src/x11/x11-device.scm
M	src/x11/x11-graphics.scm
M	src/x11/x11-shim.h
M	src/x11/x11-terminal.scm
M	src/x11/x11-test.scm
M	src/x11/x11.cdecl
M	src/x11/x11.h
M	src/x11/x11.pkg
M	src/x11/x11base.c
M	src/x11/x11color.c
M	src/x11/x11graph.c
M	src/x11/x11term.c
M	src/xdoc/compile.scm
M	src/xdoc/db.scm
M	src/xdoc/load.scm
M	src/xdoc/validate-xdoc.scm
M	src/xdoc/xdoc.pkg
M	src/xdoc/xdoc.scm
M	src/xml/compile.scm
M	src/xml/ed-ffi.scm
M	src/xml/load.scm
M	src/xml/parser-macro.scm
M	src/xml/rdf-nt.scm
M	src/xml/rdf-struct.scm
M	src/xml/turtle.scm
M	src/xml/xhtml-entities.scm
M	src/xml/xhtml.scm
M	src/xml/xml-chars.scm
M	src/xml/xml-names.scm
M	src/xml/xml-output.scm
M	src/xml/xml-parser.scm
M	src/xml/xml-rpc.scm
M	src/xml/xml-struct.scm
M	src/xml/xml.pkg
M	src/xml/xpath.scm
M	tests/check.scm
M	tests/ffi/Makefile.am
M	tests/ffi/configure.ac
M	tests/ffi/ffi-test.c
M	tests/ffi/test-ffi.scm
M	tests/load.scm
M	tests/microcode/test-flonum-casts.scm
M	tests/microcode/test-keccak.scm
M	tests/microcode/test-lookup.scm
M	tests/runtime/test-arith.scm
M	tests/runtime/test-binary-port.scm
M	tests/runtime/test-blowfish.scm
M	tests/runtime/test-boyer-moore.scm
M	tests/runtime/test-bundle.scm
M	tests/runtime/test-bytevector.scm
M	tests/runtime/test-char-set.scm
M	tests/runtime/test-char.scm
M	tests/runtime/test-compound-predicate.scm
M	tests/runtime/test-dragon4.scm
M	tests/runtime/test-dynamic-env.scm
M	tests/runtime/test-entity.scm
M	tests/runtime/test-ephemeron.scm
M	tests/runtime/test-file-attributes.scm
M	tests/runtime/test-floenv.scm
M	tests/runtime/test-hash-table.scm
M	tests/runtime/test-integer-bits.scm
M	tests/runtime/test-md5.scm
M	tests/runtime/test-mime-codec.scm
M	tests/runtime/test-parametric-predicate.scm
M	tests/runtime/test-predicate-dispatch.scm
M	tests/runtime/test-predicate.scm
M	tests/runtime/test-process.scm
M	tests/runtime/test-random.scm
M	tests/runtime/test-readwrite.scm
M	tests/runtime/test-regsexp.scm
M	tests/runtime/test-rgxcmp.scm
M	tests/runtime/test-sha3.scm
M	tests/runtime/test-srfi-1.scm
M	tests/runtime/test-stream.scm
M	tests/runtime/test-string-copy.scm
M	tests/runtime/test-string-normalization.scm
M	tests/runtime/test-string-search-data
M	tests/runtime/test-string-search.scm
M	tests/runtime/test-string.scm
M	tests/runtime/test-syncproc.scm
M	tests/runtime/test-syntax-rename.scm
M	tests/runtime/test-thread-queue.scm
M	tests/runtime/test-url.scm
M	tests/runtime/test-wttree.scm
M	tests/sos/test-genmult.scm
M	tests/star-parser/test-parser.scm
M	tests/unit-testing.scm
M	tests/xml/test-parser.scm
M	tests/xml/test-turtle.scm

commit c008474e938d0132c423279b6d4ec0a188cab797
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Jun 1 22:26:32 2018 -0700

    Change subexpression marker to not require quoting.

M	src/runtime/debug.scm

commit 962b535815bb8606d38f6ff125a35a12940f9798
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Jun 1 22:20:08 2018 -0700

    No need to quote weird symbols as strings.

M	src/runtime/scode.scm

commit 5e2cd4805275f3766e5019572b93c12930a0feac
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 23:53:16 2018 -0700

    Refactor promises again, to support delay-force.
    
    This no longer uses scode DELAY expressions, which can be deleted after 9.3 is
    released.  It does continue to use DELAYED objects for type convenience.

M	src/runtime/boot.scm
M	src/runtime/framex.scm
M	src/runtime/host-adapter.scm
M	src/runtime/microcode-data.scm
M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-output.scm

commit 02370f6018a54d3e4334e0671c6ec41d8b589e8a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 18:22:13 2018 -0700

    Implement make-promise for R7RS.
    
    Also clean up promise implementation a bit.

M	src/runtime/framex.scm
M	src/runtime/microcode-data.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg

commit afe3025a40877c377f8af970ba74d53732891aa0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 17:55:24 2018 -0700

    Fill in pseudo-keywords so that they can be imported from libraries.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg

commit 85fd220700d151766c767f0193ea4d10bb1056ae
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 17:35:07 2018 -0700

    Implement call-with-port for R7RS.

M	src/runtime/runtime.pkg
M	src/runtime/textual-port.scm

commit 02945fa17662f22913f7902deb083285340c8cca
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 13:54:43 2018 -0700

    Add definitions of standard libraries.

A	src/runtime/library-database.scm
A	src/runtime/library-standard.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg

commit 201d6a32a793d7e0c1b7060708ccbb4fbb4ab8f8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 28 13:54:17 2018 -0700

    Fix thinko: forgot to provide definition of file-error?.

M	src/runtime/error.scm

commit 544544e12f38f974dfa84c087adb0b97ee443977
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 27 22:05:33 2018 -0700

    Implement target-metadata declaration.
    
    This declaration has a body that's an alist keyed by symbols.  The information
    in the declaration is carried through the compiler and attached to the compiled
    code in the wrapper comment.
    
    The short-term purpose of this declaration is to attach R7RS library information
    to compiled code.  But it's general enough for other uses too.

M	src/compiler/base/asstop.scm
M	src/compiler/base/crsend.scm
M	src/compiler/base/toplev.scm
M	src/compiler/fggen/declar.scm
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/x86-64/compiler.pkg
M	src/runtime/infstr.scm
M	src/runtime/syntax-declaration.scm
M	src/sf/cgen.scm

commit be8576406e36917e376c82ec98b0668293f683bd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 27 19:47:13 2018 -0700

    Implement vector-any and vector-every.

M	src/runtime/runtime.pkg
M	src/runtime/vector.scm

commit 0015cb8d1fd4e2a8a51c5d4cd184ab50c4debc17
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 23 20:49:51 2018 -0700

    Fix equal-hash to return the same value as eq-hash on non-pointers.

M	src/microcode/utils.c

commit 98bf28cf96d47794f79397eda0f8590feebc07a1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 23 00:18:42 2018 -0700

    Use the new hashing primitives to simplify standard hashes.
    
    Also, the standard hashes now always return a fixnum.

M	src/runtime/char-set.scm
M	src/runtime/equals.scm
M	src/runtime/global.scm
M	src/runtime/hash-table.scm
M	src/runtime/runtime.pkg
M	src/runtime/string.scm

commit 528fdcb53f576f000f4c7e6a71e01c0d7fb23fe1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 23 00:17:55 2018 -0700

    Rewrite the hashing primitives to support runtime-level hashing.

M	src/microcode/extern.h
M	src/microcode/intern.c
M	src/microcode/prim.c
M	src/microcode/utils.c

commit e6ee3f100afacb6d60c8eb22fb730d705d6c1460
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 22 22:17:51 2018 -0700

    Fix thinko in hash-simple-object and add primitive-memory-hash.

M	src/microcode/prim.c

commit 027ac9a2c3d9d8d3efdfe0ecb16ba3333618db15
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 22 22:03:15 2018 -0700

    Use bytevector instead of string when detecting endianness.

M	src/runtime/global.scm

commit 9c5c3152f122927af60c8f5a7e55fad09f6b9857
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 22 00:47:12 2018 -0700

    Implement hash-simple-object.
    
    This works for any object that can be viewed as a contiguous sequence of bytes
    in memory, so includes strings, bytevectors, symbols, bignums, flonums, and
    non-pointer objects.
    
    This is not tested but also not yet used.

M	src/microcode/extern.h
M	src/microcode/intern.c
M	src/microcode/prim.c
M	src/microcode/utils.c

commit 503e73bcb1dee0065719c01e9cf4e6eaca61155e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 22 00:46:51 2018 -0700

    Move knowledge of unicode strings into sdata.h and object.h.

M	src/microcode/object.h
M	src/microcode/sdata.h
M	src/microcode/string.c

commit bb3a4c08a32953fc375b900be06a0d2389129621
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 23:16:48 2018 -0700

    Actually implement a library and imports parser.
    
    This one isn't done as macros, since these "forms" are a specialized syntax that
    is available only in constrained contexts.  This implementation handles both
    cond-expand and include-library-declarations.
    
    This isn't yet tested, so don't expect it to work.

A	src/runtime/library-parser.scm
M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 0f20b2e7dec48931666aac3f2203e3608f082d69
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 22:42:00 2018 -0700

    Refactor cond-expand to separate out the clauses evaluator.
    
    Also change cond-expand to use new id!=? for else clause.

M	src/runtime/mit-macros.scm

commit d9273eccf3dc9d0d0b06567b19a78fcadff5a74d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 22:35:26 2018 -0700

    Implement spar-arg:id!=? to handle useful case.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 8b500703872cfab9cf5a0fe5e11f3e63cc815bbd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 17:27:50 2018 -0700

    Change symbol<? to sort interned symbols before uninterned.

M	src/runtime/symbol.scm

commit 0c0b36bae12c93dea9934e735c0fa764fa769f7e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 16:59:38 2018 -0700

    Clean up loader's handling of pathname and environment.

M	src/runtime/load.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg
M	src/ssp/xhtml-expander.scm

commit 1d1ac6930a2d1029c445b78c0709e8ca80075659
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 16:59:02 2018 -0700

    Move magit-diff-arguments from custom.el to init.el.

M	src/runtime/dynamic.scm
M	src/runtime/runtime.pkg

commit b7a166d2e43388e29ba58d01624ea26bfb009b41
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 14:03:22 2018 -0700

    Implement interaction-environment for R7RS.

M	src/runtime/runtime.pkg

commit d64d38bea99160dfed7e22e1cab64767b95d391b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 20 14:03:13 2018 -0700

    Fix title.

M	src/runtime/environment.scm

commit 70bf1e80dc3a70e2017bacd490516add36c5a8d6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 22:30:49 2018 -0700

    Implement include and include-ci for R7RS.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 1f01d0e200060f2874baf05178d4eea410397eb6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 22:21:07 2018 -0700

    READ no longer uses its environment arg, so remove it.

M	doc/ref-manual/io.texi
M	src/edwin/artdebug.scm
M	src/edwin/debug.scm
M	src/edwin/evlcom.scm
M	src/edwin/intmod.scm
M	src/edwin/prompt.scm
M	src/runtime/command-line.scm
M	src/runtime/dbgutl.scm
M	src/runtime/debug.scm
M	src/runtime/emacs.scm
M	src/runtime/input-port.scm
M	src/runtime/load.scm
M	src/runtime/rep.scm
M	src/runtime/usrint.scm
M	src/runtime/where.scm

commit 2e96b4d03b2c50c86ce815877ae9e0f0fb98e501
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 18:05:44 2018 -0700

    Non-functioning implementation of import and define-library.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 8ff5fd917ddadf8f706ed0bee7f4404d6dbb4ce6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 17:47:08 2018 -0700

    Capture useful pattern with spar-pattern-fixed-point.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 9c0a2820615bf36e02eeebe2f94d7753f8f0a8d0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 17:23:29 2018 -0700

    Rewrite cond-expand-pattern as cond-expand-clause-pattern.
    
    This will allow it to be reused for define-library.

M	src/runtime/mit-macros.scm

commit 151b656606e6cd29a57355b9d85645a302525dc5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 17:23:03 2018 -0700

    Tweak pattern->spar to make it more useful.
    
    Also add (cons* ...) pattern.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-parser.scm

commit beb6df488a6c90ce150f2c82207c22dc4ad2b0e8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 19 15:06:29 2018 -0700

    Fix typo in DISPLAY.

M	src/runtime/output-port.scm

commit 3463bf98c98d7c3766050d84b1b0e3cc31d50067
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 18 23:42:54 2018 -0700

    Implement define-values for R7RS.

M	src/runtime/lambda-list.scm
M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit a198d4330559e7dfc544fcfb25514799941c8912
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 18 23:21:05 2018 -0700

    Split command-line processing out of load into its own file.
    
    Also implement command-line for R7RS, renaming existing command-line to
    command-line-arguments.

M	doc/user-manual/user.texinfo
A	src/runtime/command-line.scm
M	src/runtime/interrupt.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/runtime.pkg

commit 6a54b246c074acba0e1e1d4dcb808a296e49c8e9
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 18 21:24:53 2018 -0700

    Implement exact-integer-sqrt for R7RS.

M	src/runtime/primitive-arithmetic.scm
M	src/runtime/runtime.pkg

commit b280c443f63b7c1694a941e71940955256c05e28
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu May 17 00:08:53 2018 -0700

    Implement CASE-LAMBDA for R7RS.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 93395033dcfa5e1466c76055f5d83218d91a449f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 16 22:37:24 2018 -0700

    Make sure that value of r4rs-lambda-list-arity is simplified.

M	src/runtime/lambda-list.scm

commit 3c10840175a87d2d7e04ea6a7d0ba22f4cef9f56
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 16 22:16:19 2018 -0700

    Implement fold-r4rs-lambda-list and r4rs-lambda-list-arity.

M	src/runtime/lambda-list.scm
M	src/runtime/runtime.pkg

commit ac50ddfe81fe7b763c9b6276c7b096b02311f5eb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 15 22:32:46 2018 -0700

    Implement GUARD for R7RS.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 95de44cd3d57900db1cc2e4ff9d6240713ac89bb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 14 21:48:25 2018 -0700

    Change users of arity-dispatched-procedure to use the abstraction.

M	src/runtime/apply.scm
M	src/runtime/arith.scm
M	src/runtime/runtime.pkg

commit ba41a57470157972fe43db4073965948c05923a6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 14 21:36:22 2018 -0700

    Move the arity-dispatcher-tag from the microcode to the runtime system.

M	src/microcode/utabmd.c
M	src/runtime/procedure.scm

commit 37a4d9c5c23c1ad1625c3c7b87f3dcb2fae43e06
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 14 21:35:24 2018 -0700

    Rewrite microcode-tables.scm for simplicity.
    
    Also add a 'fixed-objects boot-actions list and change record.scm to use it.

M	doc/ref-manual/os-interface.texi
M	src/runtime/make.scm
M	src/runtime/microcode-tables.scm
M	src/runtime/record.scm
M	src/runtime/runtime.pkg
M	src/runtime/savres.scm

commit cb58c99d0baf84263ada1870a91a2f65e1f33901
Author: Chris Hanson <cph@google.com>
Date:   Mon May 14 12:31:25 2018 -0700

    A few more fall-through comments.

M	src/microcode/syntax.c

commit dad6076abd5f9f1a4bc446e6262459d595e746c9
Author: Chris Hanson <cph@google.com>
Date:   Mon May 14 12:29:35 2018 -0700

    Add comments to suppress fall-through warnings in GCC 7.

M	src/microcode/findprim.c
M	src/microcode/interp.c
M	src/microcode/syntax.c

commit 1cf44293d6efe09487900def9953730abca75a54
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 21:54:30 2018 -0700

    Apple doesn't need special definition for jiffies-per-second.

M	src/microcode/uxenv.c

commit 6609abea3f6ce6858de5824cb6a6e8607e412817
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 21:52:51 2018 -0700

    Don't use CLOCKS_PER_SEC for the value returned by times().

M	src/microcode/uxenv.c

commit 86dd794c2659882b4adb469d2153ba1d010ffb7c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 21:29:35 2018 -0700

    Add missing procedure in host-adapter.

M	src/runtime/host-adapter.scm

commit 16b5b13b16b3023d2e11b7054eb9eaad2fe2100b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 21:20:23 2018 -0700

    Implement CURRENT-JIFFY and JIFFIES-PER-SECOND for R7RS.
    
    Very rough implementation, may return process time instead of real time on
    non-POSIX systems.

M	src/microcode/ntenv.c
M	src/microcode/osenv.h
M	src/microcode/prosenv.c
M	src/microcode/uxenv.c
M	src/runtime/runtime.pkg
M	src/runtime/sysclk.scm

commit 5b1bfd0ea43e13b46a5a7be83eb97fa813fbd0d8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 20:06:41 2018 -0700

    Implement CURRENT-SECOND for R7RS.

M	src/runtime/datime.scm
M	src/runtime/runtime.pkg

commit bf5113c37b284a38a38d6ba18f7fd8a6ddba6cf4
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 20:02:16 2018 -0700

    Fix bug: earlier rewrite of printer broke pp.

M	src/runtime/pp.scm
M	src/runtime/printer.scm
M	src/runtime/runtime.pkg

commit aff3916c934e573cd5434f4e7201931df451a2f6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 19:43:57 2018 -0700

    Implement get-environment-variables for R7RS.

M	src/microcode/prntenv.c
M	src/microcode/pruxenv.c
M	src/runtime/hash-table.scm
M	src/runtime/make.scm
M	src/runtime/ntprm.scm
A	src/runtime/os-primitives.scm
M	src/runtime/runtime.pkg
M	src/runtime/unxprm.scm

commit 81e2017c0a442d4770a3bb7e7248689196c940c6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 19:43:42 2018 -0700

    More R7RS tags.

M	src/runtime/runtime.pkg

commit c750643a6d602fbb841169de1e8f55996c4c5d9b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 17:15:59 2018 -0700

    Rename GET-SUPPORTED-FEATURES to FEATURES for R7RS.
    
    Also add some more R7RS comments to runtime.pkg.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg

commit 4f0804233ba6521d65379d054237a5f5af2208a3
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 17:13:21 2018 -0700

    A bunch of changes to implement R7RS exit/emergency-exit.
    
    * The EXIT procedure has been removed.
    * The %EXIT procedure has been renamed to EXIT.
    * The EMERGENCY-EXIT procedure has been added.
    * The optional argument to the above has been generalized to meet R7RS
      requirements.
    * The QUIT procedure has been renamed to SUSPEND to more accurately reflect what
      it does.
    * The names %EXIT and QUIT are deprecated aliases for EXIT and SUSPEND.

M	src/6001/edextra.scm
M	src/6001/make.scm
M	src/edwin/basic.scm
M	src/edwin/dos.scm
M	src/edwin/editor.scm
M	src/edwin/intmod.scm
M	src/edwin/unix.scm
M	src/runtime/console-io.scm
M	src/runtime/gc.scm
M	src/runtime/global.scm
M	src/runtime/interrupt.scm
M	src/runtime/load.scm
M	src/runtime/runtime.pkg
M	src/runtime/swank.scm

commit 2f0cd4788dcb8658417a31370a9a6fe4ae83cb2d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun May 13 16:05:37 2018 -0700

    Don't expose internal structure of continuations.

M	src/runtime/runtime.pkg

commit f1e5002ad0fb77bfa9aba205f2cc1311c2a9a740
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 23:22:28 2018 -0700

    Eliminate two unused exports.

M	src/runtime/runtime.pkg

commit 5455ac88cf262adcff438fd204150f64f9153974
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 23:19:18 2018 -0700

    Eliminate uses of unparser/set-tagged-{pair,vector}-unparser!.
    
    Also change their implementation to use define-print-method.

M	src/compiler/base/object.scm
M	src/edwin/window.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/gdatab.scm
M	src/runtime/make.scm
M	src/runtime/poplat.scm
M	src/runtime/printer.scm
M	src/runtime/prop1d.scm
M	src/runtime/random.scm
M	src/runtime/runtime.pkg
M	src/runtime/thread.scm
M	src/runtime/unix-pathname.scm
M	src/sf/pthmap.scm

commit d686a3df18a6be0c8c3b1762be3bf21b4662de3c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 23:18:05 2018 -0700

    Rename a bunch of places from "unparse" to "print".

M	src/runtime/conpar.scm
M	src/runtime/defstr.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/global.scm
M	src/runtime/pp.scm
M	src/runtime/unix-pathname.scm

commit 204f25fcc574791fbac82cb0d7a4ad42f52295e0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 23:15:36 2018 -0700

    Eliminate other references to "unparser" in the documentation.

M	doc/ref-manual/special-forms.texi

commit 417efae3e637cab294b4b2c5ebbae666ecaab282
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 22:33:03 2018 -0700

    Simplify *print-with-brackets a bit.

M	src/runtime/printer.scm

commit eacd95623315f04303a6fa92c676d9074b27d7fc
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 22:32:36 2018 -0700

    Assume that named vector/list unparsers are in fact print methods.

M	src/runtime/printer.scm

commit f552cac660fc0fd8fe6deaeb33180d653f545f55
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 22:30:48 2018 -0700

    Clean up printer bindings.

M	src/runtime/runtime.pkg

commit 8574e9159b5b5810a250e40404c51413586fe79a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 22:30:12 2018 -0700

    Change "unparser" to "printer" in number printer.

M	src/runtime/dragon4.scm

commit f3a51e126539b398e48ac49805d88d9e49b4f602
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 21:36:32 2018 -0700

    Update document to reflect new print-method implementation.

M	doc/ref-manual/io.texi
M	doc/ref-manual/special-forms.texi

commit 8a888d9cfd986cb2dd8ebd2e865971f593007cb2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat May 12 21:23:21 2018 -0700

    Major refactor to how printer methods work.
    
    * Replaced define-unparser-method with define-print-method.  A print method is
      an ordinary procedure that accepts an object and an output port as its
      arguments and prints whatever it wants to.  The translation layer required by
      older unparser methods is no longer needed.
    
    * New standard-print-method is roughly equivalent to simple-unparser-method.
    
    * New bracketed-print-method is roughly equivalent to standard-unparser-method.
    
    * Changed the printer to handle standard-print-method specially when detecting
      cycles and shared structure, so that an object using that print method has its
      parts walked when looking for shared/cyclic structure.

M	src/compiler/base/blocks.scm
M	src/compiler/base/ctypes.scm
M	src/compiler/base/enumer.scm
M	src/compiler/base/lvalue.scm
M	src/compiler/base/object.scm
M	src/compiler/base/proced.scm
M	src/compiler/base/rvalue.scm
M	src/compiler/base/subprb.scm
M	src/compiler/rtlbase/rtlobj.scm
M	src/compiler/rtlbase/valclass.scm
M	src/compiler/rtlopt/rcseht.scm
M	src/compiler/rtlopt/rcserq.scm
M	src/compiler/rtlopt/rdflow.scm
M	src/cref/object.scm
M	src/edwin/artdebug.scm
M	src/edwin/bufwin.scm
M	src/edwin/calias.scm
M	src/edwin/clscon.scm
M	src/edwin/comman.scm
M	src/edwin/display.scm
M	src/edwin/editor.scm
M	src/edwin/edtstr.scm
M	src/edwin/keyparse.scm
M	src/edwin/modes.scm
M	src/edwin/struct.scm
M	src/edwin/window.scm
M	src/gdbm/gdbm.scm
M	src/imail/imail-core.scm
M	src/imail/imail-mime.scm
M	src/runtime/binary-port.scm
M	src/runtime/boot.scm
M	src/runtime/bundle.scm
M	src/runtime/condvar.scm
M	src/runtime/defstr.scm
M	src/runtime/dispatch-tag.scm
M	src/runtime/error.scm
M	src/runtime/ffi.scm
M	src/runtime/gdbm.scm
M	src/runtime/graphics.scm
M	src/runtime/host-adapter.scm
M	src/runtime/http-io.scm
M	src/runtime/http-syntax.scm
M	src/runtime/packag.scm
M	src/runtime/pathname.scm
M	src/runtime/poplat.scm
M	src/runtime/predicate.scm
M	src/runtime/printer.scm
M	src/runtime/prop1d.scm
M	src/runtime/random.scm
M	src/runtime/record.scm
M	src/runtime/reference-trap.scm
M	src/runtime/rfc2822-headers.scm
M	src/runtime/runtime.pkg
M	src/runtime/sfile.scm
M	src/runtime/syntax-environment.scm
M	src/runtime/syntax-items.scm
M	src/runtime/textual-port.scm
M	src/runtime/thread-queue.scm
M	src/runtime/thread.scm
M	src/runtime/url.scm
M	src/runtime/win32-registry.scm
M	src/runtime/x11graph.scm
M	src/sf/object.scm
M	src/sf/pthmap.scm
M	src/sos/class.scm
M	src/sos/printer.scm
M	src/win32/module.scm
M	src/x11/x11-device.scm
M	src/xml/rdf-struct.scm
M	src/xml/xml-names.scm
M	src/xml/xml-output.scm
M	src/xml/xml-struct.scm

commit 58bae6482a58dbdcaba28ef175bf1b6f57fd8e2a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 11 23:20:31 2018 -0700

    Implement R7RS write procedures with datum labels.
    
    For now, write and write-shared do the same thing.  Limiting the labeling to
    circularities is harder than doing all sharing, and unless I can find some new
    algorithms, it is slower too.  So write will generate more datum labels than
    strictly necessary, but it is safe for printing circular structures.

M	src/runtime/output-port.scm
M	src/runtime/printer.scm
M	src/runtime/runtime.pkg

commit f1c07f1f4b395a35b7a451327f117b72274a6d62
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 11 23:20:14 2018 -0700

    Remove unneeded environment arguments from various printers.

M	src/edwin/intmod.scm
M	src/runtime/emacs.scm
M	src/runtime/rep.scm
M	src/runtime/swank.scm
M	src/runtime/usrint.scm

commit af2071bcb90dca29bd280f9d436de7cba1fca927
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri May 11 21:11:25 2018 -0700

    Eliminate optional environment arg to write/display/etc.
    
    Also eliminate output-port/write-object and make-unparser-state.

M	src/runtime/output-port.scm
M	src/runtime/printer.scm
M	src/runtime/runtime.pkg

commit 865c0a90089ffe3f8cd5c5ed63dcc6f04147bd07
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 9 23:08:35 2018 -0700

    Big refactor: rename parser/unparser to reader/printer.
    
    Updated all references and left a couple of renames in place for documented
    functionality.

M	doc/ref-manual/io.texi
M	doc/ref-manual/numbers.texi
M	src/6001/nodefs.scm
M	src/compiler/base/debug.scm
M	src/compiler/base/object.scm
M	src/compiler/base/proced.scm
M	src/compiler/base/toplev.scm
M	src/compiler/machines/C/compiler.pkg
M	src/compiler/machines/i386/compiler.pkg
M	src/compiler/machines/i386/dassm1.scm
M	src/compiler/machines/svm/compiler.pkg
M	src/compiler/machines/svm/disassembler.scm
M	src/compiler/machines/x86-64/compiler.pkg
M	src/compiler/machines/x86-64/dassm1.scm
M	src/edwin/artdebug.scm
M	src/edwin/debug.scm
M	src/edwin/edwin.pkg
M	src/edwin/evlcom.scm
M	src/edwin/intmod.scm
M	src/edwin/prompt.scm
M	src/edwin/schmod.scm
M	src/etc/find-folded.scm
M	src/etc/ucd-converter.scm
M	src/ffi/cdecls.scm
M	src/imail/imail-util.scm
M	src/runtime/boot.scm
M	src/runtime/debug.scm
M	src/runtime/dragon4.scm
M	src/runtime/ed-ffi.scm
M	src/runtime/error.scm
M	src/runtime/global.scm
M	src/runtime/input-port.scm
M	src/runtime/make.scm
M	src/runtime/output-port.scm
M	src/runtime/pathname.scm
M	src/runtime/pp.scm
A	src/runtime/printer.scm
R086	src/runtime/parser.scm	src/runtime/reader.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg
M	src/runtime/stack-sample.scm
M	src/runtime/swank.scm
D	src/runtime/unpars.scm
M	src/runtime/world-report.scm
M	src/sf/cgen.scm
M	src/sos/microbench.scm
M	tests/runtime/test-dragon4.scm
M	tests/runtime/test-file-attributes.scm
M	tests/unit-testing.scm

commit 1aa54d8780ae820b9d9d4e45e0f3144dc0d04097
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 22:03:23 2018 -0700

    Implement console-error-port and initialize current-error-port to it.

M	src/runtime/console-io.scm
M	src/runtime/runtime.pkg

commit 66999bd7a884e7b7d641b0a864202840051eb6a1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:59:47 2018 -0700

    Implement current-error-port.

M	src/runtime/runtime.pkg
M	src/runtime/textual-port.scm

commit 74c1b46c4d586e814d14dbaf078989df2d8f9c25
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:58:35 2018 -0700

    Implement tty-error-channel and export to console I/O.

M	src/runtime/primitive-io.scm
M	src/runtime/runtime.pkg

commit e3553c49506965be4c1d1c9d7e2e5be6bb6525a7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:56:42 2018 -0700

    Implement replace-binary-port! on generic I/O ports.

M	src/runtime/generic-io.scm
M	src/runtime/runtime.pkg

commit 413b43c421e0aabef510b6dbfd204f63a64050f1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:54:21 2018 -0700

    Provide access to the channels in a binary port.

M	src/runtime/binary-port.scm
M	src/runtime/runtime.pkg

commit 3c875a4dfbc7907615f59fd679be8dba2b7a8640
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:50:15 2018 -0700

    Simplify console port exports.
    
    * Eliminate console-input-port, console-output-port, and set-console-i/o-port!.
    * Change console-i/o-port to be a thunk that returns the port.

M	src/edwin/bios.scm
M	src/edwin/termcap.scm
M	src/edwin/tterm.scm
M	src/edwin/win32.scm
M	src/runtime/console-io.scm
M	src/runtime/gcstat.scm
M	src/runtime/interrupt.scm
M	src/runtime/make.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg
M	src/runtime/thread.scm

commit 8377a31e8947031a9d0c737ba7babb5a7dcb082b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 8 21:45:21 2018 -0700

    Implement support for stderr.

M	src/microcode/nttty.c
M	src/microcode/ostty.h
M	src/microcode/prostty.c
M	src/microcode/uxtty.c

commit 2dad5fe456ead29c3006fd45a06b84e3046a8e82
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 7 22:08:19 2018 -0700

    Implement R7RS exceptions.

M	src/runtime/error.scm
M	src/runtime/parser.scm
M	src/runtime/runtime.pkg

commit a892e59b1fca6a222b4b252da90a2a5f19462542
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 7 22:08:01 2018 -0700

    Fix typo in previous change.

M	src/runtime/error.scm

commit 7fa433dfc5254cf4821ce3aeaaed8946d83a4743
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon May 7 00:00:24 2018 -0700

    Fix bug: error:file-operation couldn't work properly.
    
    This is because substitutable-value-condition-signaller was mis-designed.  It
    added retries *after* building the condition, so they weren't in the condition
    and would never be shown.
    
    I rewrote error:file-operation based on the model in microcode-errors.scm which
    was apparently a workaround for the fact that error:file-operation didn't work.
    
    This entailed a small but incompatible change to the procedure's arguments.

M	doc/ref-manual/error.texi
M	src/edwin/dosfile.scm
M	src/edwin/unix.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/error.scm
M	src/runtime/load.scm
M	src/runtime/microcode-errors.scm
M	src/runtime/pathname.scm
M	src/runtime/primitive-io.scm
M	src/runtime/runtime.pkg
M	src/runtime/unix-pathname.scm
M	src/runtime/wrkdir.scm

commit 84e37896d99dacca308aeb463edec6fdcc70249e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 2 23:15:02 2018 -0700

    Add support for parsing nan.0, +inf.0, and -inf.0.
    
    Not sure if nan.0 is meaningful, but it shouldn't do any harm.

M	src/compiler/fgopt/folcon.scm
M	src/runtime/numpar.scm
M	src/runtime/parser.scm
M	src/sf/object.scm
M	tests/runtime/test-arith.scm

commit bafe60c3e74bbd4bd7d4db1d8d5de20c4a897bb1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 2 23:08:03 2018 -0700

    Update to reflect changes in runtime system.

M	tests/runtime/test-arith.scm

commit 9ac0fe20f84a7bcaa9c724189e3ab08a19769456
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 2 23:07:46 2018 -0700

    Add procedures to generate infinities and a nan.

M	src/runtime/floenv.scm
M	src/runtime/runtime.pkg

commit 091970fa8ae443f126072f9a5054d0fbd85d8829
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed May 2 22:52:12 2018 -0700

    Don't constant-fold an application if it generates an error.
    
    Also fix overlong lines and pages in object.scm.

M	src/compiler/fgopt/folcon.scm
M	src/sf/object.scm

commit 9ee1afb420e5bf8b9ab8db7f1fa994488ec20ddf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 1 23:45:02 2018 -0700

    Implement finite?, infinite?, and nan? from R7RS.

M	src/runtime/arith.scm
M	src/runtime/runtime.pkg

commit 31d807243deb32e28399960fd7c3aeed39138b27
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 1 23:42:45 2018 -0700

    Fix typo in previous edit.

M	src/runtime/dragon4.scm

commit ec21bae51997b55d81bb369a3eac885caabfde56
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 1 23:36:10 2018 -0700

    Change rational? to be false for inf/nan.

M	src/runtime/arith.scm

commit 6ada7103062ecec31a07fcd03567d3f84167c4b6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 1 23:35:32 2018 -0700

    Change printed representation of inf/nan to match R7RS.

M	src/runtime/dragon4.scm

commit fe46e8c697bb87d6f56a30f3807f77b9274890c2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue May 1 23:27:57 2018 -0700

    Add support for C99 floating-point predicates.
    
    Also expose those predicates in Scheme, and implement flo:eqv? properly.

M	src/microcode/artutl.c
M	src/microcode/extern.h
M	src/microcode/flonum.c
M	src/runtime/arith.scm
M	src/runtime/primitive-arithmetic.scm
M	src/runtime/runtime.pkg

commit cf9257c5f54c90e01825841f31d1982d2c40ebdb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 23:52:22 2018 -0700

    Update documentation of booleans.

M	doc/ref-manual/misc-datatypes.texi

commit 78921fbc27deb754fb92630a88c26846678c37b7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 23:48:06 2018 -0700

    Generalize boolean=? to support multiple arguments.

M	src/runtime/boole.scm

commit 7f12c57ce623090bf47eb4b7ee2991a216574962
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 23:26:24 2018 -0700

    Tweak char and string chapters to be closer to R7RS.

M	doc/ref-manual/characters.texi
M	doc/ref-manual/strings.texi

commit 1999db7c5f5bb50f03e854b9920fc7ed7147c60c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 11:59:57 2018 -0700

    Eliminate bundle types; original design using predicates is better.

M	src/runtime/bundle.scm
M	src/runtime/global.scm
M	src/runtime/hash.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-bundle.scm

commit a20ba0e05b4fb25a05a6d884b90d0cd3ccdb4036
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 11:14:36 2018 -0700

    Convert object hasher to be a bundle.

M	src/runtime/hash.scm

commit 3e7583b05de6e67fd103eb739a16d5f4971a91a0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 30 10:55:24 2018 -0700

    Fix thinko as reported by Patric Jonsson.
    
    Incorrectly computed length of result in exact-nonnegative-integer->bytevector.

M	src/runtime/bytevector.scm

commit 10f0f3f9d0b5257c69a7c03860063058d7b62fc8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 29 15:57:51 2018 -0700

    Convert metadata tables to be bundles.

M	src/runtime/bundle.scm
M	src/runtime/char.scm
M	src/runtime/compound-predicate.scm
M	src/runtime/dynamic.scm
M	src/runtime/global.scm
M	src/runtime/hash-table.scm
M	src/runtime/host-adapter.scm
M	src/runtime/predicate.scm
M	src/runtime/runtime.pkg
M	src/runtime/textual-port.scm
M	tests/unit-testing.scm

commit 2a2be28fb2aadb1daef8bcd6785ffb8dfa4c17cd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 29 15:50:11 2018 -0700

    Initialize applicable records much earlier in the cold load.

M	src/runtime/make.scm
M	src/runtime/record.scm

commit eeb6fd1c573a011904996f98cc51b497771ae8a2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 29 14:49:59 2018 -0700

    Clean up bundle implementation.

M	src/runtime/bundle.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-bundle.scm

commit 84f06651d1205f1add6d68edad50402da13c8fc5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 28 22:41:08 2018 -0700

    Revert bundle abstraction back to what we are using the in the book.
    
    The previous version didn't really do what I wanted and this one is useful in a
    more limited context.

M	src/runtime/bundle.scm
M	src/runtime/make.scm
M	src/runtime/mit-macros.scm
M	src/runtime/predicate.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-bundle.scm

commit 35295460eadc8287adacd9719c451a06d7dd15da
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 28 22:40:42 2018 -0700

    Fix typo: accidentally discarded initialization in earlier change.

M	src/runtime/record.scm

commit 17cb18c746e33c3b611b86ded393bfde9d048be2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 28 22:09:56 2018 -0700

    Integrate applicable records into the procedure abstraction.
    
    Also, don't allow applicable records to be made non-applicable.  This sort of
    satisfies the idea that predicates aren't time-varying, provided that the record
    type's applicator is set immediately after definition.

M	src/runtime/predicate.scm
M	src/runtime/procedure.scm
M	src/runtime/record.scm
M	src/runtime/runtime.pkg

commit 2b717bf596573234f323b19f0f0310b4109b24d5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 28 20:50:25 2018 -0700

    Add adapter for hash-object.

M	src/runtime/host-adapter.scm

commit c80181fe16a4ab86f79ac7dff1a7974459b43e08
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 28 16:56:14 2018 -0700

    Implement symbol=? for R7RS.
    
    Also fix some symbol procedures that were unsafe.

M	src/runtime/runtime.pkg
M	src/runtime/symbol.scm

commit f01cc62deaf4cad022107335e8d09d20edc2279d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Apr 27 22:21:38 2018 -0700

    Change hash tables to use define-record-type instead of define-structure.
    
    This has the advantage of eliminating the need for nearly all of the calls to
    guarantee, which should at worst be a net wash and at best will be slightly
    faster.  (Not a big deal either way.)
    
    A second advantage is, of course, eliminating the use of define-structure.

M	src/runtime/hash-table.scm

commit 6b629abead354bafd5643fafc71139d289f3b0d6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Apr 27 21:59:58 2018 -0700

    Fix breakage I caused with a previous refactoring.
    
    The procedures hash-table-update! and hash-table/modify! were not equivalent, as
    I blindly assumed during the refactor.  Changing hash-table-update! to use the
    same implementation as hash-table/modify! caused the unit tests to fail, because
    that implementation couldn't implement the tested behavior.
    
    Rather than try to fix the implementation, I reverted hash-table-update! to its
    previous implementation.  The rationale for this is that fixing the implementation
    would effectively eliminate its performance advantage, while still being hard to
    understand.  The older implementation is trivial to understand and eliminates
    the restriction that the update procedure not use the hash table.
    
    An additional complication arose because the previous implementation of
    hash-table-update! returned an unspecified value, which broke hash-table-intern!
    and caused hash-table/modify! to differ from its previous behavior.  I fixed
    these by rewriting them without using hash-table-update!.

M	doc/ref-manual/associations.texi
M	src/runtime/hash-table.scm

commit def85265a5113987b6c34afb22ae56a9a7d53d3e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Apr 26 22:37:04 2018 -0700

    Deprecate with-values.

M	src/runtime/global.scm
M	src/runtime/runtime.pkg

commit 25a5a7cedaf77508f71dbb6d99344502ed36018c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Apr 26 21:51:27 2018 -0700

    Rename urtrap.scm -> reference-trap.scm.

M	src/runtime/ed-ffi.scm
R100	src/runtime/urtrap.scm	src/runtime/reference-trap.scm
M	src/runtime/runtime.pkg

commit d454cf16d21ecaa9b91d9625ad9cce6ff021cb33
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Apr 26 21:47:59 2018 -0700

    Export scode-expression?.

M	src/runtime/runtime.pkg
M	src/runtime/scode.scm

commit 89937fd860c92ae28cb3760770ba3dd39c1ff727
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Apr 26 00:03:07 2018 -0700

    Eliminate now-deprecated references to hash-table procedures.

M	src/edwin/comman.scm
M	src/edwin/curren.scm
M	src/edwin/eystep.scm
M	src/edwin/prompt.scm
M	src/edwin/xterm.scm
M	src/imail/imail-core.scm
M	src/ssp/xmlrpc.scm
M	src/x11-screen/x11-screen.scm
M	src/xdoc/xdoc.scm

commit f3e390e3b31c45f64e9739943f461d2321ff9dd5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Apr 25 23:48:49 2018 -0700

    Update hash-table documentation in the reference manual.

M	doc/ref-manual/associations.texi

commit 969d2a92476f32fe42fdf36fa5a41d3ad9cff6bf
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Apr 25 23:48:22 2018 -0700

    Mark all of the hash-table renames as deprecated.

M	src/runtime/runtime.pkg

commit 317df964a492c2e5e24cc7d790cabaf41587775f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Apr 25 23:21:44 2018 -0700

    Rename hash-table-entry-type:key{/,&}datum-weak.
    
    This makes it consistent with the ephemeron naming.

M	src/runtime/hash-table.scm
M	src/runtime/runtime.pkg
M	tests/runtime/test-hash-table.scm

commit 48141dadc553439c76c8682c3249b82f81da1959
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Apr 25 23:18:24 2018 -0700

    Fix missed reference.

M	src/runtime/hash-table.scm

commit fdac71c8382601b5876460d4ffdc63fe70ea7285
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 24 22:56:12 2018 -0700

    Rewrite the object hashing facility.
    
    * Names have been changed to avoid conflicts with hash tables, and for
      consistency.  The old names are still available as deprecated renames.
    
    * New implementation is much easier to read.

M	doc/ref-manual/associations.texi
M	src/compiler/base/object.scm
M	src/compiler/rtlopt/rcse2.scm
M	src/compiler/rtlopt/rdebug.scm
M	src/edwin/evlcom.scm
M	src/edwin/regcom.scm
M	src/edwin/regexp.scm
M	src/edwin/struct.scm
M	src/runtime/boot.scm
M	src/runtime/hash.scm
M	src/runtime/parser.scm
M	src/runtime/prop2d.scm
M	src/runtime/rep.scm
M	src/runtime/runtime.pkg
M	src/runtime/swank.scm
M	src/runtime/unpars.scm
M	src/runtime/world-report.scm
M	src/sos/printer.scm
M	src/xml/rdf-struct.scm

commit 025c5cd4ecd855953c5fb34355eabf77af289cea
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 24 22:55:42 2018 -0700

    Add type and constructors for datum-weak hash tables.

M	src/runtime/hash-table.scm
M	src/runtime/runtime.pkg

commit 471b152f1202377a62e5ceb6c29e687d90741804
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 24 22:42:41 2018 -0700

    Fix typo.

M	doc/ref-manual/strings.texi

commit cfaac050780b33fb8b8966376d9c2d32c59c059b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 24 20:50:37 2018 -0700

    Refactor hash-table to clean up some issues noted in previous change.
    
    * Export former %make-hash-table as make-hash-table*.
    
    * Create new make-hash-table-type* which can create a type given an equality
      predicate and some keyword options.  If the equality predicate has registered
      properties, no additional options may be necessary, except perhaps to choose
      the entry type (which is specified by name).
    
    * Change make-hash-table to accept the same options as make-hash-table-type* and
      to use the same defaulting.
    
    * Change internal procedure follow-memo-crap to hash-metadata, which more
      accurately reflects its purpose: to get a properties table for the primary
      hash parameters.

M	src/runtime/hash-table.scm
M	src/runtime/runtime.pkg

commit c9ef69744bb153ac62958d19e8cbe23bc9510544
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 23 23:19:40 2018 -0700

    Rename set-equality-predicate-hasher! -> set-equality-predicate-properties!.
    
    Now has two required arguments: hash-function and rehash-after-gc?.
    A rest argument is a keyword list for additional properties.

M	src/runtime/hash-table.scm
M	src/runtime/memoizer.scm
M	src/runtime/runtime.pkg

commit af10e37373567b8bfd46bc6d490f1babf1d8cd48
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 23 23:16:18 2018 -0700

    Change keyword-option-parser to expect defaults as a thunk.

M	src/runtime/list.scm
M	src/runtime/string.scm

commit 057f6ca992401ed64bdf9e05dec8448603198977
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Apr 23 23:15:45 2018 -0700

    Move int:modulo to primitive-arithmetic and export it.

M	src/runtime/arith.scm
M	src/runtime/primitive-arithmetic.scm
M	src/runtime/runtime.pkg

commit 8d66b76a32561d34e06bd0c72396b8a0918bb598
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 22 23:34:31 2018 -0700

    Standardize hash tables on SRFI-69 names and deprecate others.
    
    Change make-hash-table to be smarter about choosing the appropriate hash
    function for a given equality predicate.
    
    Also work around name collisions in rtlopt/rcse*.scm, and tweak the hash-table
    implementation to favor SRFI-69.
    
    Some work remains: the code around building hash-table types needs to be
    re-thought: it's a little clunky and could usefully take advantage of keyword
    arguments.  (These keyword arguments should also be supported by
    make-hash-table.)  The hash function should be optional and use the
    equality-predicate default.  The older %make-hash-table should be renamed and
    exported as it's the right interface when using types.

M	src/compiler/back/symtab.scm
M	src/compiler/back/syntax.scm
M	src/compiler/base/infnew.scm
M	src/compiler/machines/C/decls.scm
M	src/compiler/machines/C/stackify.scm
M	src/compiler/machines/i386/decls.scm
M	src/compiler/machines/i386/lapopt.scm
M	src/compiler/machines/svm/assembler-runtime.scm
M	src/compiler/machines/svm/decls.scm
M	src/compiler/machines/x86-64/decls.scm
M	src/compiler/machines/x86-64/lapopt.scm
M	src/compiler/rtlbase/rtlcon.scm
M	src/compiler/rtlbase/rtlobj.scm
M	src/compiler/rtlgen/opncod.scm
M	src/compiler/rtlopt/rcse1.scm
M	src/compiler/rtlopt/rcse2.scm
M	src/compiler/rtlopt/rcseht.scm
M	src/compiler/rtlopt/rerite.scm
M	src/edwin/abbrev.scm
M	src/edwin/comman.scm
M	src/edwin/curren.scm
M	src/edwin/edtstr.scm
M	src/edwin/eystep.scm
M	src/edwin/nntp.scm
M	src/edwin/prompt.scm
M	src/edwin/rcsparse.scm
M	src/edwin/snr.scm
M	src/edwin/utils.scm
M	src/edwin/win32.scm
M	src/edwin/xterm.scm
M	src/imail/imail-core.scm
M	src/imail/imail-file.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-mime.scm
M	src/imail/imail-top.scm
M	src/runtime/hash-table.scm
M	src/runtime/hash.scm
M	src/runtime/host-adapter.scm
M	src/runtime/memoizer.scm
M	src/runtime/runtime.pkg
M	src/runtime/sfile.scm
M	src/runtime/stack-sample.scm
M	src/runtime/string.scm
M	src/runtime/swank.scm
M	src/runtime/syntax-rename.scm
M	src/runtime/unxprm.scm
M	src/runtime/url.scm
M	src/sos/class.scm
M	src/ssp/mod-lisp.scm
M	src/ssp/xhtml-expander.scm
M	src/ssp/xmlrpc.scm
M	src/star-parser/matcher.scm
M	src/star-parser/parser.scm
M	src/star-parser/shared.scm
M	src/win32/win_ffi.scm
M	src/x11-screen/x11-screen.scm
M	src/xdoc/validate-xdoc.scm
M	src/xdoc/xdoc.scm
M	src/xml/rdf-struct.scm
M	src/xml/turtle.scm
M	src/xml/xhtml-entities.scm
M	src/xml/xhtml.scm
M	src/xml/xml-names.scm
M	tests/runtime/test-boyer-moore.scm
M	tests/runtime/test-hash-table.scm

commit 6e0bb5208e946d950c48f043791dba4d83411175
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 21 23:28:35 2018 -0700

    Make sure that run-three-stages looks at "build" before "svm".

M	etc/run-three-stages

commit 912326735140d7562cc22f47dc64be957289f060
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 21 22:08:44 2018 -0700

    Eliminate remaining uses of find-matching-item.

M	src/compiler/machines/svm/assembler-compiler.scm
M	src/compiler/machines/svm/assembler-runtime.scm
M	src/compiler/machines/svm/disassembler.scm
M	src/cref/forpkg.scm
M	src/cref/object.scm
M	src/edwin/sendmail.scm
M	src/edwin/unix.scm
M	src/ffi/generator.scm
M	src/sf/emodel.scm
M	src/ssp/mod-lisp.scm
M	src/star-parser/shared.scm
M	src/xdoc/xdoc.scm
M	src/xml/rdf-struct.scm
M	src/xml/xml-parser.scm
M	src/xml/xml-rpc.scm

commit f02e4750ba53ca5e0c0932d53e0ff646bf3a6bd9
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 21 22:05:07 2018 -0700

    Eliminate remaining uses of list-search-positive.

M	src/compiler/back/mermap.scm
M	src/compiler/back/regmap.scm
M	src/compiler/base/constr.scm
M	src/compiler/fgopt/blktyp.scm
M	src/compiler/fgopt/reteqv.scm
M	src/compiler/machines/C/lapgen.scm
M	src/compiler/rtlopt/rtlcsm.scm
M	src/cref/redpkg.scm
M	src/edwin/artdebug.scm
M	src/edwin/calias.scm
M	src/edwin/debug.scm
M	src/edwin/dired.scm
M	src/edwin/display.scm
M	src/edwin/filcom.scm
M	src/edwin/info.scm
M	src/edwin/keymap.scm
M	src/edwin/snr.scm
M	src/edwin/unix.scm
M	src/edwin/vc.scm
M	src/edwin/win32.scm
M	src/imail/imail-browser.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-top.scm
M	src/imail/imap-response.scm
M	src/sos/class.scm
M	src/sos/method.scm
M	src/sos/slot.scm

commit e2d2043eb158132db77c43700f469e11a7a7dbb8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 21 21:58:12 2018 -0700

    Downcase remaining symbols in the runtime system.
    
    Only remaining such symbols are those that have explicit case.

M	src/runtime/textual-port.scm
M	src/runtime/thread-barrier.scm
M	src/runtime/thread-queue.scm
M	src/runtime/thread.scm
M	src/runtime/unpars.scm
M	src/runtime/unsyn.scm
M	src/runtime/unxprm.scm
M	src/runtime/url.scm
M	src/runtime/urtrap.scm
M	src/runtime/usrint.scm
M	src/runtime/vector.scm
M	src/runtime/version.scm
M	src/runtime/where.scm
M	src/runtime/win32-registry.scm
M	src/runtime/wind.scm
M	src/runtime/world-report.scm
M	src/runtime/wrkdir.scm
M	src/runtime/x11graph.scm
M	src/runtime/xeval.scm
M	src/runtime/ystep.scm

commit 026b8d39e04e9c6bae736cd37b8dc35acb2e572d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 21 18:56:02 2018 -0700

    Change SVM compiler to use new pop-return instruction.

M	src/compiler/machines/svm/machine.scm
M	src/compiler/machines/svm/rules.scm

commit 3975a527ef9cf8ccb9660d0ad56b9f6a44bec2ba
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Apr 20 23:45:42 2018 -0700

    Implement new SVM instruction: (pop-return).

M	src/compiler/machines/svm/assembler-rules.scm
M	src/microcode/svm1-defns.h
M	src/microcode/svm1-interp.c

commit d8fecc4ca49a23b5dbdf7b544190dfa704b0701b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Apr 18 21:21:04 2018 -0700

    Override definition of filter so that compilation using 9.2 works.

M	src/runtime/host-adapter.scm

commit 817cbe3dca39a1452a23e06620f73ebd5583c6d5
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 19:16:56 2018 -0700

    Implement scode-procedure-arity so that it can be run during cold load.
    
    The lack of this prevented the cold load from running correctly when using
    interpreted code, since it depended on a complex scode lambda implementation
    that was loaded much later.

M	src/runtime/procedure.scm
M	src/runtime/runtime.pkg

commit dabc5b302ebbc07ea9d116095550634eb515c74b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 19:16:38 2018 -0700

    Change guarantee to show context of error.

M	src/runtime/boot.scm

commit 6062d0350bcba86a7719f92151103574f83d43ac
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 01:29:19 2018 -0700

    Eliminate references to now-deprecated definitions.

M	src/runtime/defstr.scm
M	src/runtime/graphics.scm
M	src/runtime/infutl.scm
M	src/runtime/pathname.scm
M	src/runtime/primitive-io.scm
M	src/runtime/system.scm

commit 764f43a58a040d64ae90c4eeefd1938a89102c6f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 01:29:02 2018 -0700

    Put back inadvertently-deleted bindings.

M	src/runtime/runtime.pkg

commit a24359fe7da8b7d5ca447d90b6edc791ed79b464
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 01:19:00 2018 -0700

    Mark deprecated list procedures and also more SRFI-1 procedures.

M	src/runtime/runtime.pkg

commit 3af3e68fefd87f22654a363fef24cf7c1df8dbd0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 01:16:23 2018 -0700

    Change find-{,not-}matching-items procedures to call find instead.
    
    Also eliminate find-unique-{,not-}matching-items procedures which aren't used
    and aren't documented.  These are trivially solved with find-tail and any.

M	src/runtime/list.scm

commit e3f51382e6453c1068da6a11b9b4d83ec04c7e90
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 01:15:53 2018 -0700

    Tweak indentation.

M	src/runtime/srfi-1.scm

commit 7ee7d63eeb320a9590165b2a067ada9992aa1393
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 15 00:49:20 2018 -0700

    Eliminate references to various list filters in favor of SRFI-1.
    
    One unfortunate development is that somewhere in the compiler is some code that
    depends on the result of a filtering option being newly allocated, while FILTER
    shares the tail of the input list when it can.  I modified FILTER to stop doing
    that, because it wasn't obvious which of the modified calls in the compiler was
    causing the problem.

M	src/6001/floppy.scm
M	src/compiler/back/lapgn1.scm
M	src/compiler/back/mermap.scm
M	src/compiler/back/regmap.scm
M	src/compiler/base/infnew.scm
M	src/compiler/base/lvalue.scm
M	src/compiler/base/toplev.scm
M	src/compiler/base/utils.scm
M	src/compiler/fggen/declar.scm
M	src/compiler/fgopt/blktyp.scm
M	src/compiler/fgopt/closan.scm
M	src/compiler/fgopt/envopt.scm
M	src/compiler/fgopt/folcon.scm
M	src/compiler/fgopt/param.scm
M	src/compiler/fgopt/reteqv.scm
M	src/compiler/fgopt/reuse.scm
M	src/compiler/fgopt/sideff.scm
M	src/compiler/fgopt/subfre.scm
M	src/compiler/machines/C/decls.scm
M	src/compiler/machines/C/traditional.scm
M	src/compiler/machines/i386/decls.scm
M	src/compiler/machines/svm/assembler-compiler.scm
M	src/compiler/machines/svm/decls.scm
M	src/compiler/machines/x86-64/decls.scm
M	src/compiler/rtlbase/rgraph.scm
M	src/compiler/rtlbase/rtlcon.scm
M	src/compiler/rtlgen/opncod.scm
M	src/compiler/rtlgen/rgrval.scm
M	src/compiler/rtlgen/rtlgen.scm
M	src/compiler/rtlopt/rinvex.scm
M	src/compiler/rtlopt/rtlcsm.scm
M	src/cref/conpkg.scm
M	src/cref/forpkg.scm
M	src/edwin/autosv.scm
M	src/edwin/comtab.scm
M	src/edwin/debug.scm
M	src/edwin/display.scm
M	src/edwin/dos.scm
M	src/edwin/filcom.scm
M	src/edwin/keymap.scm
M	src/edwin/nntp.scm
M	src/edwin/prompt.scm
M	src/edwin/rfc822.scm
M	src/edwin/snr.scm
M	src/imail/imail-browser.scm
M	src/imail/imail-core.scm
M	src/imail/imail-imap.scm
M	src/imail/imail-top.scm
M	src/imail/imail-util.scm
M	src/microcode/makegen/makegen.scm
M	src/runtime/defstr.scm
M	src/runtime/environment.scm
M	src/runtime/graphics.scm
M	src/runtime/list.scm
M	src/runtime/regexp.scm
M	src/runtime/rep.scm
M	src/runtime/srfi-1.scm
M	src/runtime/stack-sample.scm
M	src/runtime/textual-port.scm
M	src/runtime/unxdir.scm
M	src/runtime/xeval.scm
M	src/sos/instance.scm
M	src/sos/method.scm
M	src/star-parser/shared.scm
M	src/xdoc/xdoc.scm
M	src/xml/xpath.scm

commit bb8d10f80c667f63618c99b078448fb6e2156278
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Apr 14 17:59:41 2018 -0700

    Optimize code generated for let*, let*-syntax, and letrec.
    
    Thanks to Patric Jonsson for noticing this.

M	src/runtime/mit-macros.scm

commit 17354b8b6fc5f6a321a2ed29be2585383a542ed7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Apr 13 23:38:52 2018 -0700

    Another round of downcasing.

M	src/runtime/list.scm
M	src/runtime/load.scm
M	src/runtime/make.scm
M	src/runtime/microcode-errors.scm
M	src/runtime/microcode-tables.scm
M	src/runtime/msort.scm
M	src/runtime/numpar.scm
M	src/runtime/option.scm
M	src/runtime/ordvec.scm
M	src/runtime/output-port.scm
M	src/runtime/parser-buffer.scm
M	src/runtime/parser.scm
M	src/runtime/pgsql.scm
M	src/runtime/poplat.scm
M	src/runtime/pp.scm
M	src/runtime/prgcop.scm
M	src/runtime/primitive-arithmetic.scm
M	src/runtime/primitive-io.scm
M	src/runtime/procedure.scm
M	src/runtime/process.scm
M	src/runtime/prop1d.scm
M	src/runtime/prop2d.scm
M	src/runtime/qsort.scm
M	src/runtime/queue.scm
M	src/runtime/random.scm
M	src/runtime/rbtree.scm
M	src/runtime/record.scm
M	src/runtime/rep.scm
M	src/runtime/rexp.scm
M	src/runtime/rfc2822-headers.scm
M	src/runtime/savres.scm
M	src/runtime/scan.scm
M	src/runtime/sfile.scm
M	src/runtime/sha3.scm
M	src/runtime/socket.scm
M	src/runtime/srfi-1.scm
M	src/runtime/stack-sample.scm
M	src/runtime/stream.scm
M	src/runtime/swank.scm
M	src/runtime/syncproc.scm
M	src/runtime/syntax-check.scm
M	src/runtime/syntax-declaration.scm
M	src/runtime/system.scm

commit ca1cf87771a1d6f71efc9229f9e93470dfa8d60d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 3 23:23:23 2018 -0700

    Downcase a lot more symbols and constants.

M	src/runtime/arith.scm
M	src/runtime/berkeley-db.scm
M	src/runtime/bytevector.scm
M	src/runtime/char-set.scm
M	src/runtime/char.scm
M	src/runtime/chrsyn.scm
M	src/runtime/codwlk.scm
M	src/runtime/condvar.scm
M	src/runtime/conpar.scm
M	src/runtime/console-io.scm
M	src/runtime/contin.scm
M	src/runtime/datime.scm
M	src/runtime/dbgcmd.scm
M	src/runtime/defstr.scm
M	src/runtime/dragon4.scm
M	src/runtime/ed-ffi.scm
M	src/runtime/emacs.scm
M	src/runtime/environment.scm
M	src/runtime/error.scm
M	src/runtime/events.scm
M	src/runtime/ffi.scm
M	src/runtime/file-io.scm
M	src/runtime/floenv.scm
M	src/runtime/framex.scm
M	src/runtime/gc.scm
M	src/runtime/gcfinal.scm
M	src/runtime/gcstat.scm
M	src/runtime/gdbm.scm
M	src/runtime/generic-io.scm
M	src/runtime/global.scm
M	src/runtime/graphics.scm
M	src/runtime/hash-table.scm
M	src/runtime/hash.scm
M	src/runtime/histry.scm
M	src/runtime/http-client.scm
M	src/runtime/http-io.scm
M	src/runtime/http-syntax.scm
M	src/runtime/ieee754.scm
M	src/runtime/infstr.scm
M	src/runtime/infutl.scm
M	src/runtime/input-port.scm
M	src/runtime/integer-bits.scm
M	src/runtime/interrupt.scm
M	src/runtime/keyword.scm
M	src/runtime/lambda-list.scm
M	src/runtime/lambda.scm

commit 775c01adfae6e87b4d30ff6bff56e41559780a47
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Apr 3 00:25:46 2018 -0700

    Add program to find symbols that depend on case folding.

A	src/etc/find-folded.scm

commit 6b2892fabc38cdac41c7f5f2c47515421fd0cfbe
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 23:56:25 2018 -0700

    Downcase a lot more symbols and constants.

M	src/cref/anfile.scm
M	src/cref/conpkg.scm
M	src/cref/object.scm
M	src/cref/redpkg.scm
M	src/cref/toplev.scm
M	src/runtime/advice.scm
M	src/runtime/apply.scm
M	src/runtime/arith.scm
M	src/runtime/debug.scm
M	src/runtime/defstr.scm
M	src/runtime/dos-pathname.scm
M	src/runtime/format.scm
M	src/runtime/gcnote.scm
M	src/runtime/http-syntax.scm
M	src/runtime/lambda.scm
M	src/runtime/microcode-data.scm
M	src/runtime/microcode-errors.scm
M	src/runtime/ntprm.scm
M	src/runtime/numint.scm
M	src/runtime/packag.scm
M	src/runtime/pathname.scm
M	src/runtime/primitive-io.scm
M	src/runtime/structure-parser.scm
M	src/runtime/syntax-rules.scm
M	src/runtime/sysmac.scm
M	src/runtime/thread.scm
M	src/runtime/unix-pathname.scm
M	src/runtime/unxdir.scm
M	src/runtime/url.scm
M	src/runtime/wttree.scm
M	src/sf/analyze.scm
M	src/sf/butils.scm
M	src/sf/cgen.scm
M	src/sf/chtype.scm
M	src/sf/copy.scm
M	src/sf/gconst.scm
M	src/sf/object.scm
M	src/sf/pardec.scm
M	src/sf/reduct.scm
M	src/sf/subst.scm
M	src/sf/toplev.scm
M	src/sf/usicon.scm
M	src/sf/usiexp.scm
M	src/sf/xform.scm

commit 588b32279e65ffc17093f4a95d0e11ffbffc08ca
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 21:07:46 2018 -0700

    Export char-changes-when-X predicates and char sets.

M	src/runtime/runtime.pkg

commit 8b705c2b2039914e619584a9ca3a9e4e7febc343
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 17:38:03 2018 -0700

    Downcase more symbols and constants.

M	src/etc/optiondb.scm

commit d1bdcf75d9df0d6d22f059cf6dd5a7019573975b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 17:02:49 2018 -0700

    Downcase more symbols and constants.

M	src/cref/cref.sf
M	src/sf/make.scm
M	src/sf/sf.sf
M	src/sos/compile.scm
M	src/ssp/compile.scm
M	src/star-parser/compile.scm
M	src/xdoc/compile.scm
M	src/xml/compile.scm
M	src/xml/load.scm

commit f7812f8400456bb07addf0cbc9b22c8a10713888
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:58:08 2018 -0700

    Downcase more symbols and constants.

M	src/edwin/edwin.ldr
M	src/edwin/edwin.sf

commit 89b6bf6df4908dff8b117ff541c295ca7f4a2a91
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:52:10 2018 -0700

    Downcase more symbols and constants.

M	src/edwin/buffer.scm
M	src/edwin/calias.scm
M	src/edwin/clsmac.scm
M	src/edwin/search.scm
M	src/edwin/tterm.scm
M	src/edwin/utils.scm
M	src/edwin/xcom.scm
M	src/imail/compile.scm
M	src/imail/fake-env.scm
M	src/imail/load.scm

commit c8b5b3a960a1e28a9bcfa36d515158e585813bb7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:42:19 2018 -0700

    Downcase all symbols and constants.

M	src/edwin/macros.scm

commit 7c2af5609b4efd5a5aed0ab0fe4956988202d2cb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:31:35 2018 -0700

    Change *parser-canonicalize-symbols?* to affect symbols only.

M	src/runtime/parser.scm

commit cedc53e13a3d649028f1b25dbe06cd27f7f948df
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:27:00 2018 -0700

    Downcase symbols and constants in optiondb.

M	src/etc/optiondb.scm

commit 5d532c50c727c5ef23156dc3afbb44ecb0c32da8
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 16:26:11 2018 -0700

    Downcase symbols and constants in optiondb.

M	src/runtime/optiondb.scm

commit 5f60b03703a8a29715b227f87248e9dbd1aebf51
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Apr 1 00:43:10 2018 -0700

    Fix bug: mime decoder wasn't properly flushing its output.

M	src/edwin/edwin.pkg
M	src/edwin/string.scm
M	src/imail/imail-mime.scm
M	src/runtime/runtime.pkg

commit 38f67ae1633472442cf2ae3c088e89ab4b9a7bc3
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 31 00:02:50 2018 -0700

    Fix typo in previous change.

M	src/edwin/string.scm

commit 63430887c3369142789bd4442b43949c5f4de13c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:59:08 2018 -0700

    Eliminate define-expr-item-compiler in favor of define-item-compiler.
    
    Not sure what I was thinking when I wrote that code; it was simply wrong.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-items.scm

commit 9371e8753978b8dd8646b81c114144a5ac56927e
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:58:50 2018 -0700

    Move definition of access entirely into mit-syntax.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg

commit 1ef80097ba5f82f0209a8c795d3cf833b6ed52b7
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:57:27 2018 -0700

    Eliminate redundant code in cons-stream*.

M	src/runtime/mit-macros.scm

commit 53b90e93418ec30f7a1ba5c62d8647570d31c99d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:24:02 2018 -0700

    Reorder definitions in mit-macros into topical groups.

M	src/runtime/mit-macros.scm

commit 645949e609c5eee3d463fb11b6f743f5587566b1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:08:39 2018 -0700

    Change spar-transformer->runtime to provide default environment.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-low.scm

commit 79fbbc1cebff03397b0f26ee0f7f6d0c2b06c2e0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 22:03:25 2018 -0700

    Rename :FOO syntax names so that they aren't potential keywords.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg

commit f2043c17ade781a42cc6d146a0f1ef01f85548bd
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 21:37:35 2018 -0700

    Tweak quasiquote implementation to use shorter names.
    
    Also refactor descend-pair slightly for brevity.

M	src/runtime/mit-macros.scm

commit 09777966d321b6b706aeb795391a7708464dde53
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 20:55:11 2018 -0700

    Change and to be defined by syntax-rules.
    
    Also belatedly define the feature full-unicode.

M	src/runtime/mit-macros.scm

commit 2270f10af3e16ab0f575e10585f984be36afc48d
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 29 00:00:51 2018 -0700

    Rewrite local-declare using syntax-rules.

M	src/runtime/mit-macros.scm

commit 0fb882cea32bfc95b6360aa31acbd62be2c18bef
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 23:09:43 2018 -0700

    Convert define-integrable, fluid-let, and paramaterize to scons-rule.

M	src/runtime/mit-macros.scm

commit f83b05a34c676034bf299d5fdbd81810033b1093
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 23:09:08 2018 -0700

    Change unsyntaxer:* variables to be parameters and export them.

M	src/runtime/runtime.pkg
M	src/runtime/unsyn.scm

commit 88526dfab7d8519aff71a7ca5c57646d6a29befa
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 22:31:30 2018 -0700

    Fix broken unsyntaxing of scode sequences.
    
    Also fix over-long lines.

M	src/runtime/unsyn.scm

commit 9bef3d330cafda13655e7a02093f1038acc21f2b
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 21:42:19 2018 -0700

    Make second arg to scons-set! optional.

M	src/runtime/syntax-constructor.scm

commit 663eb2fde70480dc0d5db01d628dec16f4d753b0
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 21:20:34 2018 -0700

    Refactor how keywords are matched.
    
    * spar-arg:compare renamed to spar-arg:id=? and second argument is optional,
      defaulting to spar-arg:form.
    
    * patterns (noise ...), (noise-keyword ...), and (keyword ...) are eliminated.
    
    * New pattern (ignore-if predicate arg...) ignores a subform if calling the
      predicate is satisfied.
    
    * Renamed (value-if ...) to (keep-if ...) with same semantics: keeps a subform
      if calling the predicate is satisfied.
    
    * New pattern (value arg) is like (values arg...) but a little clearer.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit d7d808f6a2c8b12990fc9e5a520bad304810cedb
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 21:06:23 2018 -0700

    Change spar pattern (elt ...) to (subform ...).

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-parser.scm

commit 9a13206319381508543a2ec9e2ab21edd2c5a7e1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 28 20:48:26 2018 -0700

    Rename spar*elt* to spar*subform*.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-parser.scm

commit b0c47f2a4128e29ad0f60cb6a196130a32deebf4
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 23:30:54 2018 -0700

    Change pattern->spar to make * and + operators implicitly listify.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-parser.scm

commit 2bd5f07cf9ee65f7ac8d50c1acf46d9f4038cc4a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 22:00:16 2018 -0700

    Eliminate special bindings for constants in pattern->spar.
    
    Also change leading : to $ to avoid making names look like keywords.

M	src/runtime/syntax-parser.scm

commit 48249e603bb357558442ea38ff166033e0a8f940
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 21:41:07 2018 -0700

    Rewrite patterns as (elt (list ...)) rather than (list (elt ...)).

M	src/runtime/mit-macros.scm

commit c94a365e227e1c17d33c4b9af050a3ed857f0895
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 21:34:09 2018 -0700

    Convert and-let* to scons-rule.

M	src/runtime/mit-macros.scm

commit 96875b7477c50b6c62d442bc8a7d55b80eb209e2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 21:33:56 2018 -0700

    Add some simple optimizations.

M	src/runtime/syntax-constructor.scm

commit 4f161b544f82b88c8b030fecb5e30b591128a111
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 17:17:55 2018 -0700

    Convert a bunch more macros to scons-rule.

M	src/runtime/mit-macros.scm

commit c5139a6103df0d294fbc120ae5c1af8c54a7f17a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 17:17:36 2018 -0700

    Use folding to eliminate loops in macros.

M	src/runtime/mit-macros.scm

commit 3a9b060ca5abed8b60928ec16b26a6b9901b3d67
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 27 00:29:18 2018 -0700

    Rewrite COND and DO to use spar rules.

M	src/runtime/mit-macros.scm

commit f15e38d3cb2886ecb238a5065b969351d722e573
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 26 23:54:01 2018 -0700

    Change scons-call to not quote its operator.
    
    Instead one must explicitly call scons-close when necessary.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-constructor.scm

commit 17a8b97f187fef90b3c33f0973d4504b94dd5279
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 26 23:53:18 2018 -0700

    Add context to items, for errors that happen during item compilation.

M	src/edwin/clsmac.scm
M	src/runtime/host-adapter.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-items.scm
M	src/runtime/syntax-parser.scm
M	src/runtime/syntax-rules.scm
M	src/runtime/syntax.scm

commit 4e89ce82abd61b7f5482e3504bd451f467400ba1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 26 22:07:07 2018 -0700

    Formalize the context of a syntax error.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-check.scm
M	src/runtime/syntax-parser.scm
M	src/runtime/syntax.scm

commit e3cecb01609e99c81240d952a505d9ed17736ad1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 26 01:32:47 2018 -0700

    Implement spar-not.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 11695556cbb599709ad2857f9b14f55f0f51ba69
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 19:13:33 2018 -0700

    Rewrite COND-EXPAND to use spar rule.

M	src/runtime/mit-macros.scm

commit fd824f3c157d2258a24ed9e8855ea822ff20d23a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 17:05:17 2018 -0700

    Change spars to set up error context when calling out to procedures.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit ff73a5037b3a7cbca9cb0406f65dafc9c82142e1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 08:49:44 2018 -0700

    Tweak CASE to use new keyword pattern.

M	src/runtime/mit-macros.scm

commit 2e6ddd70360c345e63d17bf2ed3624e38e108730
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 08:46:54 2018 -0700

    Rename spar-seq to spar-and.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 56d7d46579fbe6904e2697cb303c628d834e3c02
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 08:36:58 2018 -0700

    Tweak spar patterns.
    
    * Rename (quote <x>) to (noise <x>).
    * Rename (keyword <id>) to (noise-keyword <id>).
    * Implement (keyword <id>) that matches <id> and then pushes it.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-parser.scm

commit c7125c87f352760240b434f7f67cc746a66a7881
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 25 08:31:23 2018 -0700

    Clarify that spar-push-if pushes the form, and spar-push-elt the elt.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 6fbaeeefd8e54c32f55de3bc076f47306d536d12
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Mar 23 23:52:39 2018 -0700

    Rewrite CASE as a spar-transformer.

M	src/runtime/mit-macros.scm

commit bb5ba4b9cb5cd7be43ca0497d3d94a5c0e5d6f47
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Mar 23 23:04:15 2018 -0700

    Implement spar-if and associated pattern.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 028b41b462d778bb7e4334565767ee8b8b2060ef
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Fri Mar 23 22:00:08 2018 -0700

    Simplify spars pattern language.
    
    Also change some of the terms to be clearer: I'm anticipating how the
    documentation will read.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-parser.scm

commit dcb6101d29e852c4ba618f34bcd1362b9e8c391a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 22 23:51:23 2018 -0700

    Eliminate parse-define-form.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/sysmac.scm
M	tests/load.scm
M	tests/unit-testing.scm

commit 12f81af2399cd524c031479a61c83357053ed25a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 22 23:33:38 2018 -0700

    Rewrite core of pattern compiler to use rules.

M	src/runtime/syntax-parser.scm

commit f8ca14106b84ed44bc1c5e72eed909f841c4b411
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 22 23:32:26 2018 -0700

    Implement spar-arg:compare and (keyword id) pattern.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 6d958ebd33a6dc257bb4a448703a1c470583c128
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 22 00:10:25 2018 -0700

    More macros converted to new model, plus a lot of fixes and tweaks.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-parser.scm

commit 740ed5cd79ee6db163068597a78ec0c9d2845c56
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 21:16:07 2018 -0700

    Implement syntax-constructor ("scons") mechanism.
    
    This eliminates a potential problem with RSC and ER macros, which typically
    construct ordinary list structure using quasiquote and renaming the keywords.
    Unfortunately this will fail if the use environment has redefined the quasiquote
    and/or quote keywords.  These constructors are careful not to use any keywords
    except renamed ones; they also hide most of the renaming while providing a
    simple procedural interface.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
A	src/runtime/syntax-constructor.scm
M	src/runtime/syntax-parser.scm

commit 346b65b0d3cfeebd9ce8224b5d7d7ec6e6c0909c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 20:52:29 2018 -0700

    Handle case where debugging-info has an old-style pathname.

M	src/runtime/infstr.scm
M	src/runtime/runtime.pkg

commit 1bc7c74751bd08a158f1d28b6aba21cba6c58a47
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 20:31:38 2018 -0700

    Don't write pathnames into debugging info.

M	src/compiler/base/asstop.scm

commit a9bf1f05b41d2ffbd4b6f30569c1fafae7fdb213
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 17:14:53 2018 -0700

    Implement spar-top-level to cut down on boilerplate.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 9242dca651e1ec5ba2d593a573fabe5f5673d2b4
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 16:52:30 2018 -0700

    Tweak.

M	src/runtime/mit-macros.scm

commit 88ca82bb5eb3cf5b711fb3eb56054fbe7bc4e513
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 15:45:04 2018 -0700

    Change record predicate to check for child types.  Reported by Arthur.

M	src/runtime/record.scm

commit 5ca1b441a6766eb7a64c169f84b77b4689bd701f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 01:50:54 2018 -0700

    Make record inheritance comply with SRFI 131.

M	src/runtime/mit-macros.scm
M	src/runtime/record.scm

commit 4dfff28892240095f1ef2655d04ef840e7c36027
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 21 00:40:16 2018 -0700

    Implement pattern language to make spars more terse.

M	src/runtime/mit-macros.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 7fc4ba4c7c5aa49512b4bfda877ac182501d59ba
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 20 22:53:32 2018 -0700

    Add forgotten export.

M	src/runtime/runtime.pkg

commit c755e0b4f01abc6ec61217310fc0fdcc4f749714
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 19 22:34:31 2018 -0700

    Change spar-match-null to a procedure.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/syntax-parser.scm

commit d3036ed946d60d5fee5d85784ab7985862c2c159
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 18 20:38:53 2018 -0700

    Simplify spar interface a bit more.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 967ee03736e7648cc59fe8a66958a45865f0745c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 18 20:10:00 2018 -0700

    Implement record inheritance at Arthur's request.

M	src/runtime/mit-macros.scm
M	src/runtime/record.scm
M	src/runtime/runtime.pkg

commit f7f4b264090948f24081053d8ed66a29d853a9b6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sun Mar 18 15:01:23 2018 -0700

    Eliminate default-inits arg from make-record-type.
    
    This will allow all optional args to be removed after 9.3.

M	src/runtime/defstr.scm
M	src/runtime/record.scm

commit e2e7c9ef98dcad52937bccfc596fd10c38e06980
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 17 16:42:40 2018 -0700

    Streamline definition of record-type proxies.

M	src/runtime/record.scm

commit 20f68a318d9588914f62ddafcc6c24a903a2613c
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 17 16:38:30 2018 -0700

    Allow a record to be both applicable and fasdumpable.

M	src/microcode/fixobj.h
M	src/microcode/object.h
M	src/microcode/utabmd.c
M	src/microcode/vector.c
M	src/runtime/record.scm

commit 98e4113f1da428841852f589f58a4acfa6098e9f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 17 16:38:13 2018 -0700

    Restrict access to type proxies.

M	src/runtime/runtime.pkg

commit 2f383d936d2f458dc7bfcfb7978fbf2a49cafc98
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 17 00:56:09 2018 -0700

    Change default value of repl:write-result-hash-numbers? as requested by GJS.

M	src/runtime/rep.scm

commit afc0b965029103f68ad867a047974af0dea153ec
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 15 22:52:45 2018 -0700

    Change pathname representation to be a fasdumpable record.

M	src/runtime/pathname.scm

commit 9da20e91223c3fac437c074285125cb62de27640
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 15 22:52:24 2018 -0700

    Use proxy instances for set-record-type-fasdumpable!.

M	src/runtime/record.scm
M	src/runtime/runtime.pkg

commit 08d9b9b0af6f0c4cd85c2d9c5a597ea32d5e8056
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 15 22:52:08 2018 -0700

    Fix typo in previous change.

M	src/runtime/record.scm

commit 6f3a57e283a2bf5866695e2b74c3714ab3be496f
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Mar 15 22:28:31 2018 -0700

    Implement fasdumpable records.
    
    This is restricted to the runtime system since each type must have a
    pre-allocated constant to represent it in the proxy table.
    
    At the moment an applicable record can't be fasdumpable too.  That can be fixed
    by teaching the microcode about the proxy mechanism, but for now it's not
    necessary.

M	src/runtime/record.scm
M	src/runtime/runtime.pkg

commit 7e86b85d50edb0126132442919aa9846b0cce2a6
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 14 21:37:56 2018 -0700

    In pp, treat named list/vector specially.

M	src/runtime/pp.scm

commit ffefa004080037a8d0d52301fff1b19d91443bed
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Mar 14 21:29:03 2018 -0700

    Use cached predicate dispatchers only where tagging is ubiquitous.

M	src/runtime/predicate-dispatch.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-items.scm
M	src/runtime/syntax-rename.scm
M	src/xml/xml-output.scm

commit 83ed3f3a474eb6d6793801ed1c29e04385a8a996
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 13 22:54:25 2018 -0700

    Implement applicable records.

M	src/microcode/cmpint.c
M	src/microcode/cmpint.h
M	src/microcode/extern.h
M	src/microcode/fixobj.h
M	src/microcode/interp.c
M	src/microcode/utils.c
M	src/microcode/vector.c
M	src/runtime/dispatch-tag.scm
M	src/runtime/record.scm
M	src/runtime/runtime.pkg

commit e7371ce026173e48e885fe23817247802f6a38da
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Mon Mar 12 22:18:37 2018 -0700

    Change representation of dispatch tags to eliminated nested "extra" vector.

M	src/microcode/fixobj.h
M	src/runtime/bundle.scm
M	src/runtime/compound-predicate.scm
M	src/runtime/dispatch-tag.scm
M	src/runtime/parametric-predicate.scm
M	src/runtime/record.scm
M	src/runtime/runtime.pkg
M	src/sos/class.scm

commit 9ff7e8e8ce9215c1ba5d5ccfb1bba0939ab3f396
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 20:52:32 2018 -0800

    Eliminate two unused procedures.

M	src/runtime/runtime.pkg
M	src/runtime/syntax.scm

commit de04d4f5ec7a45d5539671b3873e92f24494ac44
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 20:48:07 2018 -0800

    Guarantee that capture-syntactic-environment preserves error context.

M	src/runtime/syntax.scm

commit eb30a0592a8e7b1b09a5c5478e17b027afa71f89
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 18:26:54 2018 -0800

    Some more tweaks to the low-level macro interfaces.

M	src/runtime/mit-macros.scm
M	src/runtime/syntax-low.scm

commit 4fe8a071acc1213d24138f4fc5b2e8f5739b65be
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 17:47:16 2018 -0800

    Implement first two macros using syntax-parser.

M	src/runtime/mit-macros.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg

commit 99adc09499b5f06a07c490d437972f5086d362f2
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 17:46:34 2018 -0800

    More tweaks to syntax-parser interface.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 2747f5128148c076b4fc21ecab82a6ec3c170220
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Mar 6 17:26:11 2018 -0800

    Tweak interface for syntax-parser macros.

M	src/runtime/runtime.pkg
M	src/runtime/syntax-low.scm
M	src/runtime/syntax-parser.scm

commit 5d567c5169d58e64dd7d7bdbae2b64f77df8863a
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 3 22:23:23 2018 -0800

    Refactor syntax-low to improve support for spar transformers.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-low.scm
M	src/runtime/syntax-parser.scm
M	src/runtime/syntax.scm

commit 3349a721db55f35d461357bb3c3d6ee4e8458340
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Sat Mar 3 10:58:32 2018 -0800

    Eliminate a bunch of now-unused classifier procedures.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax.scm

commit 42b9b093977effe190f3a129450f0387f9f73d20
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Feb 28 22:18:00 2018 -0800

    Split compile-expr-item into expr and non-expr versions.

M	src/edwin/clsmac.scm
M	src/edwin/edwin.pkg
M	src/runtime/host-adapter.scm
M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-items.scm
M	src/runtime/syntax.scm

commit 4b71c8283e44426859c74b0eb08e59d6c6b3b783
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Feb 27 22:27:22 2018 -0800

    Add weak-pair support to equal?.

M	src/runtime/equals.scm
M	src/runtime/runtime.pkg

commit a0ff0be5866db1eac7c4f16562c89bb91fcf8184
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Feb 27 22:20:53 2018 -0800

    Add call/cc as alias.

M	src/runtime/runtime.pkg

commit d15ddd23d1159285fa371c6f85fbc234bc345a81
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Feb 27 22:16:05 2018 -0800

    Allow calling register-predicate! twice with the same args.

M	src/runtime/predicate.scm

commit 4c022360ec50077e083fdeda2b1b3865f66545ef
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Thu Feb 22 23:36:24 2018 -0800

    Put back support for printing tagged lists and vectors when built by 9.2.

M	src/runtime/record.scm
M	src/runtime/runtime.pkg
M	src/runtime/unpars.scm

commit b3de5513be0b4fc63506c42821d9466d9d84b989
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Feb 21 23:35:23 2018 -0800

    Make sure that tagged vector/pair predicates are registered.

M	src/runtime/defstr.scm

commit df0ca7c5ad8e9d24230f0a405c8dd8badbc4e754
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Wed Feb 21 23:34:53 2018 -0800

    Change compiled-code environments to be records.

M	src/runtime/environment.scm
M	src/runtime/predicate.scm
M	src/runtime/runtime.pkg

commit 64a33f993618106e3cd49466703e4de161a6efb1
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Feb 20 23:27:45 2018 -0800

    Put error messages back into classifiers.
    
    Also:
    * Clean up spar API some more.
    * Add spar-error for signalling errors.
    * Add special args for specifying procedure args.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
M	src/runtime/syntax-parser.scm

commit 7d140950ca955de868598bcefb88baf13ec75559
Author: Chris Hanson <org/chris-hanson/cph>
Date:   Tue Feb 20 21:31:51 2018 -0800

    Rename spar-require-X to spar-match-X.

M	src/runtime/mit-syntax.scm
M	src/runtime/runtime.pkg
